2024-03-12  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release

	* configure.ac (AC_INIT): Set version to 9.1.1.
	(OCTAVE_PATCH_VERSION): Now 1.
	* NEWS.9.md: Create section for a future 9.2 release.

	Files: configure.ac etc/NEWS.9.md

2024-03-14  John W. Eaton  <jwe@octave.org>

	Added tag release-9-1-0 for changeset d0c18b1446df

	Files: .hgtags

2024-03-12  John W. Eaton  <jwe@octave.org>

	Version 9.1.0 released

	* configure.ac (AC_INIT): Update version info for release.
	(OCTAVE_MINOR_VERSION): Set to 1.
	(OCTAVE_PATCH_VERSION): Set to 0.
	(OCTAVE_RELEASE_DATE): Set to 2024-03-14.

	* org.octave.Octave.metainfo.xml: Add 9.1.0 to the list of version
	numbers and release dates.

	* etc/NEWS.9.md: Update release date.

	Files: configure.ac etc/NEWS.9.md etc/icons/org.octave.Octave.metainfo.xml

	* configure.ac (OCTAVE_API_VERSION): Now api-v59.

	Files: configure.ac

2024-03-14  Markus Mützel  <markus.muetzel@gmx.de>

	Avoid error during startup check on old versions of Windows.

	* scripts/startup/site-rcfile: Avoid error on old versions of Windows 10 where
	the registry key that indicates the used console host did not exist yet.

	Files: scripts/startup/site-rcfile

2024-03-09  Fernando Alvarruiz  <feralber@upvnet.upv.es>

	doc: Add note about modification of shared variables in BISTs (bug #65296)

	* testfun.txi: add note about modification of shared variables.

	Files: doc/interpreter/testfun.txi

2024-03-12  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: update patch docstring with property usage warning notes (bug #65421)

	* scripts/plot/draw/patch.m:  Expand programming notes section to capture
	current state of geometry input ordering and potential unexpected behavior
	of mixing xyz and face-vertex calling forms.

	Files: scripts/plot/draw/patch.m

2024-03-12  John W. Eaton  <jwe@octave.org>

	* configure.ac (OCTAVE_API_VERSION): Now api-v59.

	Files: configure.ac

2024-03-11  Markus Mützel  <markus.muetzel@gmx.de>

	patch: Allow row or column vector for color per face (bug #65431).

	* scripts/plot/draw/private/__patch__.m: Ignore orientation of input vector
	with color values per face.

	Files: scripts/plot/draw/private/__patch__.m

	Fix thinko in 0bd22664f028

	Files: scripts/plot/draw/private/__patch__.m

	patch: Correctly handle per face color in input C (bug #65431).

	* scripts/plot/draw/private/__patch__.m: If the input C looks like it contains
	a color value per face of the patch, set the patch property "facevertexcdata"
	to its value.

	Files: scripts/plot/draw/private/__patch__.m

2024-03-11  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	bar.m: Use scalar value for cdata of patch object (bug #65431).

	* scripts/plot/draw/private/__bar__.m: Use scalar value for "cdata" property
	when creating patch objects.

	Files: scripts/plot/draw/private/__bar__.m

2024-03-11  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.9.md: Add note about stricter checks for color data of patch objects (bug #65431).

	* NEWS.9.md: Add note about stricter checks for color data of patch objects.

	Files: etc/NEWS.9.md

2024-03-09  Markus Mützel  <markus.muetzel@gmx.de>

	Check that size of "cdata" property matches in patch object (bug #65431).

	* libinterp/corefcn/graphics.cc (patch::properties::update_fvc): Do not
	continue if the number of color values in the "cdata" property doesn't match
	the number of faces (or vertices per face) in the patch object.

	Files: libinterp/corefcn/graphics.cc

2024-03-08  Markus Mützel  <markus.muetzel@gmx.de>

	Check that number of values in "facevertexcdata" is consistent in patch (bug #65431).

	* libinterp/corefcn/graphics.cc (patch::properties::update_data): Do not
	continue if the number of color values in the "facevertexcdata" property
	matches neither the number of faces nor the number of vertices of a patch
	object.

	Files: libinterp/corefcn/graphics.cc

	doc: Fix typos in docstring for regexp.

	* libinterp/corefcn/regexp.cc (Fregexp): Fix typos.

	Files: libinterp/corefcn/regexp.cc

	build: Remove non-existent file from tarball (bug #65406).

	* test/load-path/module.mk: Remove file from list that does not exist.

	Files: test/load-path/module.mk

2024-03-07  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Correct descriptions of patch cdata and facevertexcdata properties

	* doc/interpreter/genpropdoc.m:  Correct descriptions of the shapes of both
	cdata and facevertexcdata and how that affects patch color.

	Files: doc/interpreter/genpropdoc.m

2024-03-07  John W. Eaton  <jwe@octave.org>

	maint: strip trailing whitespace from source files

	Files: libgui/src/files-dock-widget.cc libinterp/corefcn/ft-text-
	renderer.cc libinterp/corefcn/load-save.cc
	libinterp/corefcn/regexp.cc scripts/gui/uicontrol.m
	scripts/plot/draw/rose.m

2024-03-07  Markus Mützel  <markus.muetzel@gmx.de>

	Refresh fcn-info on current directory change (bug #65406).

	* interpreter.cc (interpreter::chdir): Update the last prompt time stamp to
	avoid skipping a fcn-info refresh so that functions in the new current directory
	can shadow functions further back in the load path order.

	* test/load-path/refresh-load-path.tst: Add new test to this issue.
	* test/load-path/in-load-path/load_path_fcn.m,
	test/load-path/not-in-load-path/load_path_fcn.m: Add helper functions for new
	test.
	* test/load-path/module.mk: Add files of new test to build system.
	* test/Makefile.am: Include new module.

	Files: libinterp/corefcn/interpreter.cc test/Makefile.am test/load-path/in-
	load-path/load_path_fcn.m test/load-path/module.mk test/load-
	path/not-in-load-path/load_path_fcn.m test/load-path/refresh-load-
	path.tst

2024-03-05  Markus Mützel  <markus.muetzel@gmx.de>

	build: Improve checks for SUNDIALS 7 compatibility (bug #65392).

	* m4/acinclude.m4 (OCTAVE_CHECK_SUNDIALS_SUNCONTEXT_CREATE): New function to
	check whether the function "SUNContext_Create" is needed and whether it is
	exported from sundials_core library.
	(OCTAVE_CHECK_SUNDIALS_SUNLINSOL_KLU): Use new function.

	* configure.ac: Remove unconditional check for sundials_core library.

	Files: configure.ac m4/acinclude.m4

2024-03-06  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Correct typos in genpropdoc.m property descriptions.

	* doc/interpreter/genpropdoc.m: Correct several typographical errors in
	s.doc entries for Graphics Property Document descritpions.

	Files: doc/interpreter/genpropdoc.m

2024-03-05  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	median.m:  Fix vectors with Infs incorrectly returning NaN (bug #65405)

	* scripts/statistics/median.m: Add check for even vectors with Inf as median
	values where substraction returns NaN instead of Inf.  Add BISTs.
	* scripts/statistics/mad.m:  Add BISTs affected by change to median.

	Files: scripts/statistics/mad.m scripts/statistics/median.m

2024-03-04  Rik  <rik@octave.org>

	methods.m: Emit sensible error message if Java not installed or classname does not exist (bug #65408)

	* methods.m: Use try/catch block to test whether Java classname exists.  If try
	block fails, because Java is not installed or the classname does not exist,
	then throw an error about the classname not being found.  Add BIST test for
	bug #65408.

	Files: scripts/miscellaneous/methods.m

2024-03-04  Arun Giridhar  <arungiridhar@gmail.com>

	doc: Update outdated donation info in manual

	Files: doc/interpreter/preface.txi

2024-03-04  John W. Eaton  <jwe@octave.org>

	Find class/ctor help for 'CLS.m' if CLS has no method named 'm' (bug #65398)

	* help.h, help.cc (help_system::raw_help_for_class): New function,
	extracted from help_system:raw_help_from_symbol_table.
	* help.cc (help_system:raw_help_from_symbol_table): Call raw_help_for_class twice:
	first in the location of the original code and then again at the end of the
	function in a last attempt to find help for CLS if we are searching for the
	documentation for CLS.m and there is no method 'm' in the class CLS.

	Files: libinterp/corefcn/help.cc libinterp/corefcn/help.h

2024-03-03  Rik  <rik@octave.org>

	mad.m, median.m: Use Octave coding conventions in BIST tests.

	* mad.m, median.m: Separate values in arrays with commas.  Use space between
	function name and opening parenthesis.

	Files: scripts/statistics/mad.m scripts/statistics/median.m

2024-03-01  Markus Mützel  <markus.muetzel@gmx.de>

	build: Skip step that checks for C++11 flags during configuration (bug #65327).

	* configure.ac: Use (un-documented) workaround to skip autotools test for
	compiler flags that enable C++11 support. That test is broken for compilers
	that are C++20-compliant.

	Files: configure.ac

2024-03-02  Markus Mützel  <markus.muetzel@gmx.de>

	Fix compatibility with SUNDIALS 7 (bug #65392).

	* configure.ac: Check for SUNDIALS core library. Check for name of type used
	for real numbers by SUNDIALS. Show information about SUNDIALS core library in
	summary.
	* m4/acinclude.m4 (OCTAVE_CHECK_SUNDIALS_SUNREALTYPE): New function to check
	for the name of the type used for real numbers by SUNDIALS.
	(OCTAVE_CHECK_SUNDIALS_SIZEOF_REALTYPE): Use detected name in test.
	* libinterp/dldfcn/__ode15__.cc: Replace "realtype" by "OCTAVE_SUNREALTYPE".
	(IDA::initialize): Pass SUN_COMM_NULL as first argument of SUNContext_Create
	if it is defined.

	Files: configure.ac libinterp/dldfcn/__ode15__.cc m4/acinclude.m4

2024-03-02  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	median.m: Correct handling of all-NaN vectors (bug #65405)

	* scripts/statistics/median.m: Add shortcut codepath for all-NaN inputs
	regardless of size.  Add BISTs for all-NaN vectors and arrays with 'omitnan'
	option.
	* scripts/statistics/mad.m:  Add BISTs for all Inf inputs with option to call
	median.

	Files: scripts/statistics/mad.m scripts/statistics/median.m

2024-03-02  John W. Eaton  <jwe@octave.org>

	Fix duplicate final value in scanf function (bug #65390, bug #63467).

	* oct-stream.cc (octave_scan): Don't check whether input stream "is" has hit
	EOF after skipping whitespace.  Instead, call read_value() and let error
	propagate up through "is" state to this function.  Check state of stream
	and either pass on a correctly-read value, or clear EOF bit and propagate
	up failure status in stream status bits.

	* io.tst: Add regression indicator to solved bug #63383.  Add BIST tests
	for bug #63467 and bug #65390

	Files: libinterp/corefcn/oct-stream.cc test/io.tst

2024-02-29  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: correct typo in genpropdoc.m from cset f3c6badd9dd4 (bug #56175)

	* doc/interpreter/genpropdoc.m: Correct description of image cdata property.

	Files: doc/interpreter/genpropdoc.m

	doc: Document cdata image property class dependence. (bug #56175)

	* doc/interpreter/genpropdoc.m:  Update property description for image cdata
	to describe the RGB color range dependence on cdata type.

	Files: doc/interpreter/genpropdoc.m

2024-02-27  John W. Eaton  <jwe@octave.org>

	display total time to execute test suite

	* __run_test_suite__.m (__run_test_suite__): Also track and display
	total CPU and wall-clock time.
	(print_pass_fail): Use ID to pair tic and toc calls.

	Files: scripts/testfun/__run_test_suite__.m

2024-02-27  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: update save and load docstring options for hdf5 formats (bug #42530)

	* libinterp/corefcn/load-save.cc (save):  Clarify in docstring that octave
	does not yet implement -v7.3 saving.  Adjust -hdf5 option description line
	wrapping.
	* libinterp/corefcn/load-save.cc (load):  Update docstirng entry for -v7.3 to
	clarify that reading of this format is possible.  Update -hdf5 option
	description to clarify that it can also often work for files saved as v7.3.

	Files: libinterp/corefcn/load-save.cc

2024-02-16  Markus Mützel  <markus.muetzel@gmx.de>

	GUI: Cache file icons for file browser (bug #65312).

	* files-dock-widget.h (class files_dock_widget): New member variable
	"m_file_icon_provider".

	* files-dock-widget.cc (cache_file_icon_provider): New local class inheriting
	from QFileIconProvider to cache icons for Qt in a std::map.
	* files-dock-widget.cc (files_dock_widget::files_dock_widget): Initialize
	"m_file_icon_provider" and "m_file_system_model" in constructor.

	Files: libgui/src/files-dock-widget.cc libgui/src/files-dock-widget.h

2024-02-26  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Add PCRE reference link to regexp docstring (bug #39431)

	* libinterp/corefcn/regexp.cc (regexp): Add note to the end of docstring
	linking out to the PCRE documentaiton pages for a full syntax reference.

	Files: libinterp/corefcn/regexp.cc

2024-02-23  John W. Eaton  <jwe@octave.org>

	don't include any GUI classes or functions in doxygen output

	The functions in libgui are not part of the Octave API, so omit them
	from the public documentation.

	* Doxyfile.in (INPUT): Remove libgui from the list.
	(EXCLUDE): Remove libgui directories from the list.

	Files: doc/doxyhtml/Doxyfile.in

	don't inline inherited members in doxygen output

	* Doxyfile.in (INLINE_INHERITED_MEMB): Set to NO.

	Files: doc/doxyhtml/Doxyfile.in

	omit non-public functions and classes from doxygen output

	* Doxyfile.in (EXTRACT_PRIVATE, EXTRACT_STATIC,
	EXTRACT_LOCAL_CLASSES): Set to NO.

	Files: doc/doxyhtml/Doxyfile.in

	filter out API macros from doxygen output

	* Doxyfile.in (PREDEFINED): Define all API macros used in Octave
	sources to be empty.

	Files: doc/doxyhtml/Doxyfile.in

	omit graphs from doxygen output

	* Doxyfile.in (HAVE_DOT): Set to NO.

	Files: doc/doxyhtml/Doxyfile.in

2024-02-22  John W. Eaton  <jwe@octave.org>

	* ov-java.cc: Fix some Doxygen comments.

	Files: libinterp/octave-value/ov-java.cc

	* Doxyfile.in (DOT_GRAPH_MAX_NODES): Increase from 100 to 300.

	Files: doc/doxyhtml/Doxyfile.in

	* qt-interpreter-events.cc: Fix Doxygen comment formatting.

	Files: libgui/src/qt-interpreter-events.cc

	exclude some directories from Doxygen processing

	* Doxyfile.in: Exclude libgui/kb-layouts, libgui/languages, and
	libgui/qterminal/libqterminal/unix.

	Files: doc/doxyhtml/Doxyfile.in

	* load-path.cc: Improve doxygen comment formatting.

	Files: libinterp/corefcn/load-path.cc

	* Doxyfile.in (PROJECT_LOGO): Fix file location.

	Files: doc/doxyhtml/Doxyfile.in

	* gui-sttings.h: Fix typos in comment.

	Files: libgui/src/gui-settings.h

2024-02-21  Rik  <rik@octave.org>

	doc: Tweak dbtype and dbquit documentation.

	* debug.cc (Fdbtype): Don't use @var macro around special keyword "end" (it
	makes it uppercase in regular text format which is incorrect).
	* debug.cc (Fdbquit): Use newline after single-sentence summary of function to
	follow Octave documentation conventions.

	Files: libinterp/corefcn/debug.cc

2024-02-20  Rik  <rik@octave.org>

	doc: Place major Texinfo @commands on their own line.

	Texinfo parser is primitive and most major commands should
	appear on their own line with '@' in column 1.

	* expr.txi, grammar.txi: Move @subheading commands to their own line.

	* func.txi: Remove newline between @section and @anchor
	directive.

	* genpropdoc.m: Change code to print a newline after @anchor directive
	so that @subheading appears on its own line following @anchor.

	Files: doc/interpreter/expr.txi doc/interpreter/func.txi
	doc/interpreter/genpropdoc.m doc/interpreter/grammar.txi

	doc: Force Texinfo to render a space after @w{} macro (cset 1a6cb4552775).

	Last instance in codebase missed in cset 1a6cb4552775.

	* external.txi: Use "@ " rather than a bare space " " after @w macro to prevent
	Texinfo gobbling up the whitespace.

	Files: doc/interpreter/external.txi

	doc: Force Texinfo to render a space after @w{} macro.

	* doc/interpreter/external.txi, doc/interpreter/install.txi,
	doc/interpreter/package.txi, doc/interpreter/testfun.txi,
	libinterp/corefcn/environment.cc, libinterp/corefcn/file-io.cc,
	libinterp/corefcn/interpreter.cc, libinterp/corefcn/nproc.cc,
	libinterp/corefcn/syscalls.cc, scripts/general/bitset.m,
	scripts/miscellaneous/mkoctfile.m, scripts/miscellaneous/version.m,
	scripts/path/matlabroot.m, scripts/plot/appearance/view.m:
	Use "@ " rather than a bare space " " after @w macro to prevent
	Texinfo gobbling up the whitespace.

	Files: doc/interpreter/basics.txi doc/interpreter/external.txi
	doc/interpreter/install.txi doc/interpreter/package.txi
	doc/interpreter/testfun.txi libinterp/corefcn/environment.cc
	libinterp/corefcn/file-io.cc libinterp/corefcn/interpreter.cc
	libinterp/corefcn/nproc.cc libinterp/corefcn/syscalls.cc
	scripts/general/bitset.m scripts/miscellaneous/mkoctfile.m
	scripts/miscellaneous/version.m scripts/path/matlabroot.m
	scripts/plot/appearance/view.m

	doc: Document all variants of a function (xlim, ylim, zlim) rather than just one.

	* plot.txi: Remove @anchor and @findex entries for functions related to a base
	function and use explicit @DOCSTRING entry.
	Base function (xlim): ylim, zlim.
	Base function (xticks): yticks, zticks, rticks, thetaticks.
	Base function (xtickangle): ytickangle, ztickangle.
	Base function (xlabel): ylabel, zlabel.

	Files: doc/interpreter/plot.txi

2024-02-18  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Fix links for manually entered docstrings in keyword list (bug #65285)

	* grammar.txi:  Manually add nbsp for html files for methods and properties
	keywords.

	Files: doc/interpreter/grammar.txi

	doc: Minor edits to keywords and graphics property texinfo.

	* doc/interpreter/grammar.txi: Replace incorrect property name in comment.
	* doc/interpreter/genpropdoc.m: Remove unnecessary @w tags on single word
	property links.  Add property links in figure units and toolbar properties.

	Files: doc/interpreter/genpropdoc.m doc/interpreter/grammar.txi

2024-02-18  Torsten Lilge  <ttl-octave@mailbox.org>

	fix anchors using XREF in html files for qt help  (bug #65285)

	* doc/interpreter/munge-texi.pl: for html files, add &nbsp; following
	  an anchor and add negative vertical space

	* libgui/src/documentation.cc: invert cset bf0b6e629eff as the cset
	  only worked for keywords, not for all anchors

	Files: doc/interpreter/munge-texi.pl libgui/src/documentation.cc

2024-02-16  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Add Logical indexing & subheading groups to Index Expressions (bug #36236)

	* doc/interpreter/expr.txi:  Add Indexing type categories as subheadings with
	ref links.  Add categories to Concept Index. Expand examples for linear
	indexing. Add logical indexing section. Add examples for normal use and usage
	where index and array are not the same size. Add subheadings to Advanced
	Indexing page. Move docstring links to section about sub2ind, add link out to
	Vectorization and Faster Code Execution page.  Add section describing chained
	index expressions.
	* doc/interpreter/numbers.txi:  Remove logical indexing example. Add ref link
	to Logical Indexing section under Index Expressions.

	Files: doc/interpreter/expr.txi doc/interpreter/numbers.txi

2024-02-16  John W. Eaton  <jwe@octave.org>

	* url-transfer.cc: Eliminate stray ';' character.

	Files: liboctave/util/url-transfer.cc

2024-02-16  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc:  Add missing hyphen to isscalar docstring (bug #48088)

	* data.cc: Hyphenate adjective for clarity on object types.

	Files: libinterp/corefcn/data.cc

2024-02-15  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Clarify object types for isX functions (bug #48088)

	* libinterp/corefcn/data.cc (isscalar, isvector, isrow, iscolumn, ismatrix,
	issquare): Change docstring to indicate the functions apply to arrays of any
	type.
	* libinterp/octave-value/ov-null-mat.cc (isnull): Replace matrix with array
	in docstring.
	* scripts/linear-algebra/isbanded.m, isdefinite.m, ishermitian.m,
	issymmetric.m, istril, istriu: Note in docstrings that functions return true
	for numeric matrices.
	* scripts/linear-algebra/isdiag.m: Note in docstring that function returns
	true for numeric matrices.  Define meaning of diagonal.

	Files: libinterp/corefcn/data.cc libinterp/octave-value/ov-null-mat.cc
	scripts/linear-algebra/isbanded.m scripts/linear-
	algebra/isdefinite.m scripts/linear-algebra/isdiag.m scripts/linear-
	algebra/ishermitian.m scripts/linear-algebra/issymmetric.m
	scripts/linear-algebra/istril.m scripts/linear-algebra/istriu.m

2024-02-15  Rik  <rik@octave.org>

	hdl2struct.m: Fix saving of legend and colorbar objects (bug #65315)

	* hdl2struct.m: Change check for axes to include axes with "tag" property set,
	as long as that tag is not "legend" or "colorbar" indicating a special object.

	Files: scripts/plot/util/hdl2struct.m

2024-02-14  Markus Mützel  <markus.muetzel@gmx.de>

	gsvd.cc: Don't modify shared variables in tests (bug #65296).

	* libinterp/corefcn/gsvd.cc: Modifications to shared variables might not
	persist if tests fail. This can cause hard to deciver failing tests. Avoid that
	issue by not modifying any of the shared variables in the BISTs.

	Files: libinterp/corefcn/gsvd.cc

2024-02-13  Jörg Sommrey  <git@sommrey.de>

	glpk: Fix lower bound for GLP_DB.

	* libinterp/dldfcn/__glpk__.cc (glpk): Use correct lower bound if the constraint
	type is "D" (symmetric inequality constraint).
	* glpk.m: Add BIST with "ctype" set to "D".

	See: https://github.com/gnu-octave/octave/pull/22

	Files: libinterp/dldfcn/__glpk__.cc scripts/optimization/glpk.m

2024-02-13  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Generalize isempty/square/row/vector targets as objects (bug #48088)

	* libinterp/corefcn/data.cc (isvector, isempty, isrow, iscolumn): Change
	docstrings to indicate the functions operate on any array objects and not just
	numeric types.

	Files: libinterp/corefcn/data.cc

	doc: Describe array assignment null padding and deletion behavior (bug #50202)

	* doc/interpreter/expr.txi: Add description of null-padding to Assignment
	Expressions section.  Note current inability to array arbitrary objects.   Add
	example of element deletion effect on array size.  Change prompts in variable
	object type example.  Remove group tags from one line examples.

	Files: doc/interpreter/expr.txi

2024-02-13  dependabot[bot]  <49699333+dependabot[bot]@users.noreply.github.com>

	GitHub-CI: Bump github/codeql-action from 2 to 3

	* .github/workflows/codeql-analysis.yaml: Bump github/codeql-action from 2 to 3.
	Release notes: https://github.com/github/codeql-action/releases
	Changelog: https://github.com/github/codeql-action/blob/main/CHANGELOG.md
	Commits: https://github.com/github/codeql-action/compare/v2...v3

	Files: .github/workflows/codeql-analysis.yaml

2024-02-12  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI: Use dependabot to periodically check for updated actions.

	* .github/dependabot.yml: Add new file.

	Files: .github/dependabot.yml

	Avoid opening file in editor during tests for breakpoints (bug #65277).

	* test/classdef-debug/test_classdef_breakpoints.tst,
	libinterp/parse-tree/bptable.cc: Depending on the GUI settings, setting a
	breakpoint to a file might trigger opening files in the built-in editor. Avoid
	that by temporarily de-activating that GUI setting during these tests.
	* debug.cc: Use same temporary GUI preference value everywhere.

	Files: libinterp/corefcn/debug.cc libinterp/parse-tree/bp-table.cc
	test/classdef-debug/test_classdef_breakpoints.tst

2024-02-10  Torsten Lilge  <ttl-octave@mailbox.org>

	fix XREF in urls of octaves help collection (bug #65285)

	* documentation.cc (handle_index_clicked): replace #XREF by
	  #index- in help urls

	Files: libgui/src/documentation.cc

2024-02-09  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	Move anchor location for graphics prop and keyword subheadings (bug #59737)

	* doc/interpreter/grammar.txi:  Move keyword category anchors to the front of
	the same line containing the keyword category subheadings so links show the
	heading after being followed. Adjust the text for properties and methods
	functions ref links.
	* doc/interpreter/genpropdoc.m (printdoc):  Put anchor and subheading on same
	line followed by prindex for graphics property categories to ensure ref links
	take you to the heading location and not the line below the heading.

	Files: doc/interpreter/genpropdoc.m doc/interpreter/grammar.txi

2024-02-09  Markus Mützel  <markus.muetzel@gmx.de>

	filter: Add small tolerance to BIST with floating point input.

	* libinterp/corefcn/filter.cc (Ffilter): Add tolerance of 1*eps to tests that
	use complex floating point values as the input.
	See: https://octave.discourse.group/t/5251

	Files: libinterp/corefcn/filter.cc

	GitHub-CI (cygwin): Rebase only shared libraries.

	* .github/workflows/make.yaml (cygwin): Don't rebase built executables. Only
	the shared libraries might need to be rebased.
	See: https://octave.discourse.group/t/5236/32

	Files: .github/workflows/make.yaml

2024-02-08  Rik  <rik@octave.org>

	doc: Document behavior of size when DIM arg exceeds actual number of dimensions (bug #65261)

	* data.cc (Fsize): Add explanation of case where DIM arg exceeds ndims (A).
	Add Example #5 to docstrings showing case of DIM arg exceeding ndims (A).

	Files: libinterp/corefcn/data.cc

	Re-order configure summary.

	Re-oder configure summary in approximately logical order of importance and with
	similar items (like build decisions which affect libraries) grouped together.

	* configure.ac: Re-order configure summary.

	Files: configure.ac

2024-02-08  John W. Eaton  <jwe@octave.org>

	update configure summary

	* configure.ac: Include library visibility, polymorphic allocator,
	embedded mercurial ID, and installation of build logs in final summary.

	Files: configure.ac

2024-02-08  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Remove trailing comma from links in property & keyword lists (bug #59737)

	* doc/interpreter/grammar.txi: Add nonrendering @: after ref links in
	horizontal lists to suppress trailing comma.
	* doc/interpreter/genpropdoc.m (printdoc): Same as above.  Change Category
	title to a subsubheading.

	Files: doc/interpreter/genpropdoc.m doc/interpreter/grammar.txi

2024-02-07  Rik  <rik@octave.org>

	doc: Fix Texinfo warning in f1bf2e22a94f (bug #5973).

	* grammar.txi: Move @anchor macros out of @deftypefn macros to stop Texinfo
	* warning.  Don't use spaces in @ref macro per current Octave styling.
	Use newlines around @DOCSTRING macro for readability per current Octave
	styling.

	Files: doc/interpreter/grammar.txi

2024-02-07  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Add reference to 'end' keyword in indexing expressions doc (bug #59737)

	* doc/interpreter/expr.txi: Add @ref to end keyword in expr.txi pointing to
	the keyword list page defined in grammar.txi.

	Files: doc/interpreter/expr.txi

	doc: Expand keyword list to include categorized docstrings. (bug #59737)

	* doc/interpreter/grammar.txi: Replace keyword list with list of DOCSTRING
	links.  Separate keywords into categories.  Add category and alphabetical
	keyword lists to top of page.  Add manual definitions and links for methods
	and properties to avoid same-name function collision.
	* doc/interpreter/var.txi:  Add global and persistent references links to
	keyword index.

	Files: doc/interpreter/grammar.txi doc/interpreter/var.txi

2024-02-07  Rik  <rik@octave.org>

	doc: Fix Texinfo problem in profile.m.

	* profile.m: Move @seealso macro *outside* of @table.  Improve wording for
	"profile on" documentation.

	Files: scripts/profiler/profile.m

2024-02-07  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	genpropdoc.m: Change Category XREF naming to avoid html file collision (bug #57138)

	* doc/interpreter/genpropdoc.m (printdoc):  Rename Position category to Object
	Position.  Add 'category' to automatic naming of graphics property category
	links to avoid future property names collisions.

	Files: doc/interpreter/genpropdoc.m

	doc: Add keyword docstrings for __FILE__ and __LINE__. (bug #59737)

	* libinterp/op-kw-docs: Add new docstring entries for __FILE__ and __LINE__
	keywords.

	Files: libinterp/op-kw-docs

2024-02-07  John W. Eaton  <jwe@octave.org>

	merge away extra head on stable

	Files: 

2024-02-07  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	Correct whitespace for end docstring, remove doc location comment (bug #59737)

	* libinterp/parse-tree/pt-eval.cc (end):  Remove comment before end keyword
	pointing to definition in op-kw-doc.  Remove whitespace before texinfo
	kewords in end example.

	Files: libinterp/parse-tree/pt-eval.cc

2024-02-07  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI: Rebase built binaries before running tests.

	* .github/workflows/make.yaml (cygwin): Rebase built binaries before running
	tests. See https://octave.discourse.group/t/5236/29

	Files: .github/workflows/make.yaml

	GitHub-CI: Update actions to newer versions.

	.github/workflows/make.yaml, codeql,yaml: GitHub-hosted runners are
	transitioning from Node.js 16 to Node.js 20. Update to the latest versions of
	actions to prepare for that change.
	See: https://github.blog/changelog/2023-09-22-github-actions-transitioning-from-node-16-to-node-20/

	Files: .github/workflows/codeql-analysis.yaml .github/workflows/make.yaml

2024-02-07  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release candidate

	* configure.ac (AC_INIT): Set version to 9.0.91.
	(OCTAVE_PATCH_VERSION): Set to 91.

	Files: configure.ac

	Added tag rc-9-0-90 for changeset 99d90c3bd485

	Files: .hgtags

	bump version for first 9.1 release candidate

	* configure.ac (AC_INIT): Set version to 9.0.90.
	(OCTAVE_PATCH_VERSION): Set to 90.
	(OCTAVE_RELEASE_DATE): Set to 2024-02-07.

	* etc/NEWS.9.md: Update.

	* libgui/module.mk (%canon_reldir%_liboctgui_current): Set to 10.
	* libinterp/module.mk (%canon_reldir%_liboctinterp_current): Set to 12.
	* liboctave/module.mk (%canon_reldir%_%canon_reldir%_current): Set to 11.

	Files: configure.ac etc/NEWS.9.md libgui/module.mk libinterp/module.mk
	liboctave/module.mk

2024-02-06  Rik  <rik@octave.org>

	embedded.cc: Update example code to use non-deprecated function is_initialized().

	* embedded.cc: Update example code to use non-deprecated function
	is_initialized().

	Files: examples/code/embedded.cc

2024-02-06  John W. Eaton  <jwe@octave.org>

	rename and deprecate application::interpreter_initialized

	* octave.h, octave.cc (application::interpreter_is_initialized):
	Replaces application::interpreter_initialized.
	(application::interpreter_ienitialized):
	Deprecate, call interpreter_is_initialized.

	Files: libinterp/octave.cc libinterp/octave.h

	rename and deprecate interpreter::initialized

	* interpreter.h (interpreter::is_initialized):
	Replaces interpreter::initialized.
	(interpreter::initialized): Deprecate, call is_initialized.  Update
	all uses to call is_initialized instead.

	Files: libgui/src/interpreter-qobject.cc libinterp/corefcn/interpreter.h
	libinterp/octave.cc

2024-02-06  Markus Mützel  <markus.muetzel@gmx.de>

	build: Fix building source tarball after 2bc78bbc3fde

	* test/bug-65220/module.mk: Use correct path for new files.

	Files: test/bug-65220/module.mk

2024-02-05  Rik  <rik@octave.org>

	test: Add BIST tests for classdef help (bug #65220).

	* test/Makefile.am: include bug-65220/module.mk into build system.

	* test/bug-65220/module.mk: Makefile rules for new test directory.

	* bug-65220.tst: BIST tests for classdef help.

	* cdef_help1.m, cdef_help2.m: Helper files with different classdef definitions
	for use with bug-65220.tst.

	Files: test/Makefile.am test/bug-65220/bug-65220.tst
	test/bug-65220/cdefdir/cdef_help1.m
	test/bug-65220/cdefdir/cdef_help2.m test/bug-65220/module.mk

2024-02-04  John W. Eaton  <jwe@octave.org>

	allow help for ordinary functions to work again (bug #65220)

	* comment-list.h (comment_elt::doc_string): Delete enum element.  The
	lexer and parser no longer attempt to tag comments as doc strings when
	they are initially recognized so this tag is unused now.
	(comment_elt::is_doc_string): Delete function.
	(comment_list::find_doc_comment, comment_list::find_doc_string):
	New functions.

	* lex.h, lex.ll (lexical_feedback::m_classdef_doc_string,
	lexical_feedback::m_doc_string): Delete data members and all uses.
	(base_parser::finish_comment): Don't try to recognize doc string here.

	* parse.h, oct-parse.yy (classdef_beg): Don't try to recognize
	doc string here.
	(classdef): Use stash_comment to grab comment before END instead of
	calling lexer.get_comment inside rule.  Don't try to recognize doc
	string here.
	* (base_parser::make_script): Examine comment lists attached to commands
	to find doc string.
	* (base_parser::make_function): Examine leading and body comment lists
	to find doc string.  For classdef methods, attempt Matlab compatible
	behavior by looking at whether comments only use '%' characters.
	* (base_parser::start_function): New argument, doc_string.  Use it
	instead of asking the lexer for the doc string.
	* (base_parser::make_classdef): New argument, bc.  Delete it on error.
	Extract doc string from leading or body comment.

	* help.cc (help_system::raw_help_from_symbol_table): When searching
	using the full name and a class is found, only search for a
	constructor if the full name contains a '.' and there is no doc string
	for the class itself.  If a class is found and there is no doc string
	for the class itself or a constructor, generate a simple doc string
	indicating that the class exists but is undocumented.

	Files: libinterp/corefcn/help.cc libinterp/parse-tree/comment-list.h
	libinterp/parse-tree/lex.h libinterp/parse-tree/lex.ll
	libinterp/parse-tree/oct-parse.yy libinterp/parse-tree/parse.h

2024-02-03  Markus Mützel  <markus.muetzel@gmx.de>

	logm: Increase tolerance in test for Apple Silicon.

	* scripts/linear-algebra/logm.m: The tolerance in this test is exceeded by
	approx. 0.5*eps on Apple Silicon. Increase the tolerance to make the test pass
	in CI.

	Files: scripts/linear-algebra/logm.m

	GitHub-CI (macos): Add runner with macOS 14 using Apple silicon.

	* .github/workflows/make.yaml (macos): Add macOS 14 runner. Those GitHub-hosted
	runners use Apple silicon. Adjust rules to account for the fact that Homebrew
	uses different prefixes for Intel and for Apple silicon. Drop macOS 12 runner.

	Files: .github/workflows/make.yaml

2024-02-02  John W. Eaton  <jwe@octave.org>

	select classdef method doc based on comment style (bug #65220)

	(base_parser::make_function): For classdef methods, choose the first
	comment inside the function as the doc string only if the comment
	blocks don't use any '#' characters.  Otherwise, use the comment above
	the function.

	Files: libinterp/parse-tree/oct-parse.yy

	when parsing, record whether a comment uses a '#' delimeter

	* comment-list.h (comment_elt::m_uses_hash_char): New data member.
	(comment_elt::comment_elt): New arg, uses_hash_char.
	(comment_elt::empty, comment_elt::uses_hash_char, comment_elt::reset):
	New functions.
	(comment_list::append): New arg, uses_hash_char.

	* lex.h (lexical_feedback::m_comment_uses_hash_char): New data member.
	(lexical_feedback::m_classdef_doc_string): Rename from
	m_classdef_help_text and declare as comment_elt instead of
	std::string.  Change all uses.
	lexical_feedback::m_doc_string): Rename from m_help_text and declare
	as comment_elt instead of std::string.  Change all uses.
	(lexical_feedback::reset): Reset m_comment_uses_hash_char.
	(comment_buffer::append): New arg, uses_has_char.  Change all uses.
	(base_lexer::check_comment_for_hash_char): New function.
	(<COMMAND_START>({CCHAR}{ANY_EXCEPT_NL}*)?{NL}):
	Set curr_lexer->m_comment_uses_hash_char.
	(<BLOCK_COMMENT_START>^{S}*{CCHAR}\{{S}*{NL}): Likewise.
	(<BLOCK_COMMENT_START>^{S}*{CCHAR}\}{S}*{NL}): Likewise.
	(<LINE_COMMENT_START>{S}*{CCHAR}{ANY_EXCEPT_NL}*{NL}): Likewise.
	(base_lexer::handle_continuation): Likewise.
	(base_lexer::finish_comment): Reset m_comment_uses_hash_char.

	* oct-parse.yy: Update for storing parsed comments with comment_elt
	instead of std::string.

	Files: libinterp/parse-tree/comment-list.h libinterp/parse-tree/lex.h
	libinterp/parse-tree/lex.ll libinterp/parse-tree/oct-parse.yy

	* oct-parse.yy (classdef): Update OCTAVE_YYUSE for recent change.

	Files: libinterp/parse-tree/oct-parse.yy

2024-02-02  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Note inability to use 'end' within subsXX function docstrings (bug #59737)

	* libinterp/octave-value/ov.cc (subsref), (subsasgn): Add docstring note
	mentioning that the end keyword cannot be used in these functions.
	* scripts/miscellaneous/substruct.m: Add docstring note mentioning that the
	end keyword cannot be used in subsref and subsasgn functions.

	Files: libinterp/octave-value/ov.cc scripts/miscellaneous/substruct.m

2024-02-02  Rik  <rik@octave.org>

	doc: Miscellaneous improvements to calling forms of several functions.

	* oct-parse.yy (Ffeval): Add output to function calling form.

	* which.m: Add second calling form of function.  Use @var macro around input
	argument.

	* ifftshift.m: Reverse names of input and output arguments to match fftshift.

	Files: libinterp/parse-tree/oct-parse.yy scripts/help/which.m
	scripts/signal/ifftshift.m

2024-02-02  Markus Mützel  <markus.muetzel@gmx.de>

	doc: Avoid using variable in comment before it is used in the code.

	* examples/code/embedded.cc: Avoid referring to a variable in a comment that is
	not yet declared at that point in the actual code of the example.

	Files: examples/code/embedded.cc

2024-02-01  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Add notes to 'end' docstring about class and subsref limation (bug #59737)

	* libinterp/parse-tree-pt-eval.cc (end):  Add programming note indicating
	that end cannot be used in subsref, subsasgn, substruct for indexing. Add
	second note describing how end must be overloaded for use in indexing with
	classes.

	Files: libinterp/parse-tree/pt-eval.cc

2024-02-01  Rik  <rik@octave.org>

	anonymous-function.tst: New file for anonymous function BIST tests.

	* test/anonymous-function.tst: Add BIST test for bug #64783.

	* test/Makefile.am: Add anonymous-function.tst to build system.

	Files: test/Makefile.am test/anonymous-function.tst

2024-02-01  John W. Eaton  <jwe@octave.org>

	include timing info in test suite result summary output

	* __run_test_suite__.m (__run_test_suite__): Collect CPU and
	wall-clock time for each test.  Print header for column of CPU and
	wall-clock times.
	(print_pass_fail): New arguments, cpu_tm and clock_tm.  Set to 0 if
	only argument is a struct.  If at least one is non-zero, display
	timing info in summary ouput.

	Files: scripts/testfun/__run_test_suite__.m

	make help for classde work again (bug #65220)

	* oct-parse.yy (classdef): Undo unintentional change in position of
	first stash_comment non-terminal in rule made in changeset
	80d3a6abfc4d.

	Files: libinterp/parse-tree/oct-parse.yy

2024-01-29  John W. Eaton  <jwe@octave.org>

	improve symbol lookup in help and which functions (bug #65220)

	* help.h, help.cc (get_help_from_fcn): New static function.
	(help_system::get_which_info_from_fcn): New member function.
	(help_system::which, help_system::raw_help_from_symbol_table):
	Improve symbol lookup for names like "a.b.c".  Consider packages,
	classes, methods, and properties.

	Files: libinterp/corefcn/help.cc libinterp/corefcn/help.h

2024-01-31  John W. Eaton  <jwe@octave.org>

	improve capture of classdef and classdef method doc strings

	* lex.h, lex.ll (lexical_feedback::m_classdef_help_text): New data member.
	(lexical_feedback::lexical_feedback): Initialize it.
	(lexical_feedback::reset): Reset it to the empty string.

	* parse.h, oct-parse.yy (function): Also capture comments that appear
	just before the function body.
	(base_parser::make_function): New argument ot accept these comments.
	Maybe capture comments inside a classdef ctor or method as help text.
	(CLASSDEF): Transfer lexer.m_help_text to lexer.m_classdef_help.
	(classdef): Also capture comments that appear just before the class
	body and use the first block of them as classdef help if it is not
	already set.
	(base_parser::make_classdef): Pass m_lexer.m_classdef_help_text to
	tree_classdef ctor then set m_lexer.m_classdef_help_text the empty string.
	(properties_beg, methods_beg, events_beg, enumeration_beg):
	Set lexer.m_help_text to the empty string.

	* pt-classdef.h (tree_classdef::m_help_text): New data member.
	(tree_classdef::tree_classdef): Initialize it.
	(tree_classdef::doc_string): Return it instead of
	m_element_list->doc_string ().

	Files: libinterp/parse-tree/lex.h libinterp/parse-tree/lex.ll
	libinterp/parse-tree/oct-parse.yy libinterp/parse-tree/parse.h
	libinterp/parse-tree/pt-classdef.h

	don't allow anon fcn eval to return comma-separated list (bug #64783)

	* pt-eval.cc (tree_evaluator::execute_user_function): If evaluation of
	an anonymous function (special_expr) results in a comma-separated
	list, return the first element of the list, not the comma-separated
	list itself.

	Files: libinterp/parse-tree/pt-eval.cc

	allow properties to be documented

	* cdef-class.cc (cdef_class::meta_class): Set doc strings for
	cdef_property objects when iterating through the list of properties.

	Files: libinterp/octave-value/cdef-class.cc

	move doc_string methods from cdef_class to cdef_meta_object

	* cdef-object.h (cdef_meta_object_rep::m_doc_string,
	cdef_meta_object_rep::doc_string): Move data member and functions here
	from cdef_class_rep.
	(cdef_meta_object::doc_string): Move functions here from cdef_class.

	Files: libinterp/octave-value/cdef-class.h libinterp/octave-value/cdef-
	object.h

2024-01-31  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Correct integrand restriction descriptions in integral funcs (bug #59403)

	* scripts/general/integral2.m, quad2d.m:  Correct description of integrand f to
	indicate requirement for elementwise operation and describe workarounds with
	'vectorized' option.  Expand vectorized option description to explain option
	and potential costs. Add third example demonstrating incorrect results and
	corrective options for nonvectorized integrands.
	* scripts/general/integral3.m:  Make same changes as above.  Correct docstring
	entries still referring to 2-D operation.

	Files: scripts/general/integral2.m scripts/general/integral3.m
	scripts/general/quad2d.m

2024-01-30  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	quad2d.m: Correct docstring statement on default value of 'vectorized' option

	* scripts/general/quad2d.m:  Correct 'vectorized' option description to indicate
	that the default state is TRUE not FALSE.

	Files: scripts/general/quad2d.m

2024-01-30  Torsten Lilge  <ttl-octave@mailbox.org>

	fix crash (sig 6) when closing octave with exp. terminal widget

	* octave-qobject.cc (base_qobject::close_gui): Do not delete
	  main_window here as it is deleted later in the destructor of
	  base_qobject

	Files: libgui/src/octave-qobject.cc

2024-01-29  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	plot.m: Document the expected output of scalar/vector inputs (bug #60588)

	* scripts/plot/draw/plot.m:  Add note to plot docstring describing that the
	output from a scalar x and vector y, and vice versa, plots a series of
	individual points.

	Files: scripts/plot/draw/plot.m

2024-01-29  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	doc: Add category link list to top of graphic property pages (bug #57138)

	* doc/interpreter/genpropdoc.m:  Add list of object property
	category link list to top of Graphic Object pages.  Add xref links
	to category headings in property list.

	Files: doc/interpreter/genpropdoc.m

2024-01-29  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: avoid splitting formula across lines in uicontrol.m (bug #62490)

	* scripts/gui/uicontrol.m:  Add @w{} tag around formula in note about
	multi-line/selection behavior.

	Files: scripts/gui/uicontrol.m

	doc: update uicontrol help to explain multiline/selection settings (bug #62490)

	* scripts/gui/uicontrol.m:  Add Note below style descriptions to indicate that
	multiline edit and muli-select listbox styles are controlled by the Min and Max
	properties.

	Files: scripts/gui/uicontrol.m

	doc: Add missing release notes for Octave v.4.4.1 (bug #65222)

	* etc/NEWS.4:  Add missing bugfix list for v.4.4.1 to the top of the file.

	Files: etc/NEWS.4

2024-01-28  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: add Graphic Properties definitions for uifigure objects (bug #65167)

	* doc/interpreter/genpropdoc.m:  Add property definitions for uimenu, uipanel,
	uitable, uicontrol, uitoolbar, uipushtool, uitoggletool, uibuttongroup, and
	uicontextmenu objects.  Adjust line wrapping.  Add missing semicolons.  Correct
	some @xref links to @ref.

	Files: doc/interpreter/genpropdoc.m

2024-01-26  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	genpropdoc: adjust property page categories, add patch & scatter defs (bug #57138)

	* doc/interpreter/genpropdoc.m:  Adjust categories for a number of properties
	to make object categories more consistent.  Add Unused category back in for
	Root and Figure objects.  Update property decriptions for
	Root/handlevisibility, pointerlocation, pointerwindow; Figure/currentpoint;
	Axes/ambientlightcolor, clipping, clippingstyle, colororder, colororderindex,
	linestyleorder, linestyleorderindex, linewidth, nextseriesindex, tickdir;
	Line/children, linewidth; Text/children, linestyle, linewidth, string;
	Image/children, Surface/children, linewidth; Patch/children, cdata,
	cdatamapping, edgecolor, facecolor, faces, facevertexalphdata,
	facevertexcdata, linestyle, linewidth, vertices, xdata, ydata, zdata;
	Scatter/annotation, cdata, cdatasource, children, datatiptemplate,
	latitudedata, latitudedatasource, linewidth, longitudedata,
	longitudedatasource, rdata, rdatasource, thetadata, thetadatasource,
	xdatasource, ydatasource, zdatasource; Light/children.  Add qcode{} tags to
	quoted property names in s.doc strings.  Adjust some whitespace and line wrapping.

	Files: doc/interpreter/genpropdoc.m

2024-01-12  John W. Eaton  <jwe@octave.org>

	Don't treat parent class constructor as inherited class method (bug #65037)

	* fcn-info.cc (fcn_info::fcn_info_rep::find_method): Ignore any
	methods that are actually parent class constructors.
	* ov-classdef.cc (octave_classdef_meta::is_classdef_constructor):
	Also consider methods and parent classes.

	* test/bug-65037/bug-65037.tst, test/bug-65037/bug65037_base.m,
	test/bug-65037/bug65037_derived.m, test/bug-65037/module.mk:
	New test files.
	* test/Makefile.am: Update.

	Files: libinterp/corefcn/fcn-info.cc libinterp/octave-value/ov-classdef.cc
	test/Makefile.am test/bug-65037/bug-65037.tst
	test/bug-65037/bug65037_base.m test/bug-65037/bug65037_derived.m
	test/bug-65037/module.mk

2024-01-26  Markus Mützel  <markus.muetzel@gmx.de>

	lo-ieee.h: Eliminate macro that refers to removed functions.

	* lo-ieee.h (lo_ieee_is_NaN_or_NA): __lo_ieee_float_is_NaN_or_NA and
	__lo_ieee_is_NaN_or_NA have been removed more than 9 years ago in 5b263e517c95.
	Remove macro that was still referring to them.

	Files: liboctave/util/lo-ieee.h

	lo-ieee.h: Restore compatibility with C.

	* lo-ieee.h (__lo_ieee_isnan, __lo_ieee_isfinite, __lo_ieee_isinf,
	__lo_ieee_signbit, __lo_ieee_float_isnan, __lo_ieee_float_isfinite,
	__lo_ieee_float_isinf): Restore ability to include this header in C code. Use
	functions from C++11 or C99 depending on whether header is included in C or C++
	code.

	Files: liboctave/util/lo-ieee.h

2024-01-25  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI: Move step that might abort action until after more tests have run.

	* .github/workflows/make.yaml: The "analyze test suite results" step might
	abort a running action if at least one test failed unexpectedly in the test
	suite. Move that test more to the end to allow running more steps before
	potentially aborting.

	Files: .github/workflows/make.yaml

	GitHub-CI: Let mkoctfile use the compiler (and flags) as detected by configure.

	* .github/workflows/make.yaml: The configure script might detect that flags
	need to be added to the compiler to conform to a required standard. Don't
	override those detected flags for mkoctfile. Unset the respective environment
	variables instead.

	Files: .github/workflows/make.yaml

2024-01-25  John W. Eaton  <jwe@octave.org>

	be more explicit about creation of invalid vs anonymous symbol_scope objects

	In changeset ea3458c1d884, the meaning of symbol_scope() changed from
	creating a valid but anonymous (unnamed) scope to creating an invalid
	scope.  Require the intent to be clear by deleting the default
	constructor so that one must pass either nullptr or a name and provide
	convenience functions to explicitly create invalid or anonymous
	scopes.

	* symscope.h (symbol_scope::invalid, symbol_scope::anonymous):
	New static functions.
	(symbol_scope (const std::shared_ptr<symbol_scope_rep>)):
	Eliminate default argument value.
	(symbol_scope::symbol_scope ()): Delete.  Replace uses with
	symbol_scope::invalid or symbol_scope::anonymous as appropriate.

	Files: libinterp/corefcn/call-stack.h libinterp/corefcn/symscope.h
	libinterp/corefcn/symtab.h libinterp/octave-value/ov-fcn.h
	libinterp/octave-value/ov-usr-fcn.h libinterp/parse-tree/lex.ll
	libinterp/parse-tree/oct-parse.yy libinterp/parse-tree/pt-eval.cc
	libinterp/parse-tree/pt-fcn-handle.cc libinterp/parse-tree/pt-fcn-
	handle.h

	use macros instead of inline functions to allow __LINE__ and __FILE__ to work

	* error.h (panic_if, panic_unless, error_if, error_unless):
	Define with macros instead of inline functions.

	Files: libinterp/corefcn/error.h

2024-01-24  John W. Eaton  <jwe@octave.org>

	* fminsearch.m: Pass varargin{:} to final evaluation of objective function.

	Files: scripts/optimization/fminsearch.m

2024-01-24  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Allow zoom box to be drawn again (bug #65205)

	* GLCanvas.cc (GLWidget::drawZoomBox): Set OpenGL context current before trying
	  to draw.

	Files: libgui/graphics/GLCanvas.cc

2024-01-24  Markus Mützel  <markus.muetzel@gmx.de>

	build: Disable visibility flags by default.

	* configure.ac (ENABLE_LIB_VISIBILITY_FLAGS): Change default to not using
	visibility attributes (on stable branch only).  Not all necessary symbols are
	currently exported from liboctinterp if visibility attributes are enabled.

	Files: configure.ac

2024-01-23  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	genpropdoc.m: Remove commented code left in cset 90c570d578af

	* genpropdoc.m (printdoc): Remove commented sorting lines from texi
	generation function.

	Files: doc/interpreter/genpropdoc.m

	repelem.m: Update author contact email address in docstring.

	Files: scripts/general/repelem.m

2024-01-23  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	doc: Implement categories for graphics object properties lists (bug #57138)

	* genpropdoc.m (getdoc):  Add new category field to object document structure.
	  Add category explanation to function docstring.  Add category string to all
	  defined properties.  Remove invalid Root properties errormessage, language,
	  and recursionlimit.  Remove invalid Line property interpreter.  Add Patch
	  property cdatamapping.  Remove Patch property interpreter.  Add Scatter
	  properties annotation, datatiptemplate, latitudedata, latitudedatasource,
	  longitudedata, longitudeatasource, rdata, rdatasource, thetadata, and
	  thetadatasource.  Remove invalid uimenu property label.  Add uimenu
	  properties menuselectedfcn and text.  Add uipushtool and uitoggletool
	  property __named_icon__. Correct some misspellings.
	  (printdoc):  Modify texinfo build to add categories as @subsubheading and
	  build separate properties tables within each category.

	Files: doc/interpreter/genpropdoc.m

2024-01-22  Rik  <rik@octave.org>

	Stop segfault when invalid HTML color property used (bug #65192)

	* graphics.cc (color_values::str2rgb): Add additional catch block for
	std::invalid_argument when calling stoi() within a try block.

	Files: libinterp/corefcn/graphics.cc

2024-01-22  Markus Mützel  <markus.muetzel@gmx.de>

	doc: Expand on documentation of interfacing to Fortran code.

	* doc/interpreter/external.txi: Remove recommendation of obsolete macro. Add
	documentation for related preprocessor macros.
	* examples/code/fortrandemo.cc: Don't use obsolete macro in example.

	Files: doc/interpreter/external.txi examples/code/fortrandemo.cc

	Try to avoid warning about possible integer range overflow from GCC.

	* libinterp/corefcn/data.cc (single_type_concat): Use octave_idx_type, not int.

	Files: libinterp/corefcn/data.cc

	ov-base-mat.cc: Remove inclusion of unnecessary header.

	* ov-base-mat.cc: Don't include ov-inline.h. That is probably a left-over from
	moving the bytecode-interpreter to an own branch.

	Files: libinterp/octave-value/ov-base-mat.cc

	doc: Fix typo in Fortran example code.

	* examples/code/fortrandemo.cc: Use same Fortran function name in lower-case
	and in upper-case version for arguments of F77_FUNC.

	Files: examples/code/fortrandemo.cc

2021-01-24  Steven  <steven.waldrip@gmail.com>

	unique.m: Changed see also list to include uniquetol (bug #59850).

	* unique.m: Add uniquetol to @seealso list.

	Files: scripts/set/unique.m

2024-01-20  John W. Eaton  <jwe@octave.org>

	avoid possible integer range warning from GCC

	* Array-base.cc (rec_index_helper::m_n, rec_index_helper::m_top):
	Declare as octave_idx_type, not int.
	(rec_index_helper::rec_index_helper): Use octave_idx_type as needed.
	(rec_index_helper::do_index, rec_index_helper::do_assign,
	rec_index_helper::do_fill): Declare LEV parameter as octave_idx_type,
	not int.

	Files: liboctave/array/Array-base.cc

	split test with multiple assertions

	* ov-usr-fcn.cc: Split test with multiple calls to assert to aid in
	diagnosing test failures.

	Files: libinterp/octave-value/ov-usr-fcn.cc

	atttempt to make isargout work properly in more cases (bug #65153)

	* parse-tree/pt-eval.cc (tree_evaluator::execute_user_function):
	Except for anonymous functions, invalidate lvalue_list after
	generating list of ignored outputs.

	* parse-tree/pt-mat.cc (tree_matrix::evaluate): Invalidate lvalue_list
	before evaluating matrix list elements.

	* pt-assign.cc (tree_multi_assignment::evaluate_n):
	Eliminate useless setting of lvalue_list to nullptr.

	Files: libinterp/parse-tree/pt-assign.cc libinterp/parse-tree/pt-eval.cc
	libinterp/parse-tree/pt-mat.cc

	Backed out changeset 56995fce2adc

	Files: doc/interpreter/func.txi etc/NEWS.9.md libinterp/corefcn/stack-
	frame.h libinterp/octave-value/ov-usr-fcn.cc libinterp/op-kw-docs
	libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-eval.h
	scripts/miscellaneous/nthargout.m

	Backed out changeset 366a63fc8c29

	Files: libinterp/parse-tree/pt-eval.h

2024-01-20  Markus Mützel  <markus.muetzel@gmx.de>

	Fix typo in 56995fce2adc

	* pt-eval.h (ignored_fcn_outputs): Remove semicolon after function attribute.

	Files: libinterp/parse-tree/pt-eval.h

2024-01-19  Rik  <rik@octave.org>

	NEWS.9.md: Reformat line breaks and indentation for clarity.

	* NEWS.9.md: Reformat line breaks and indentation for clarity.

	Files: etc/NEWS.9.md

2024-01-19  John W. Eaton  <jwe@octave.org>

	replace uses of isargout with checks for nargout

	* sortrows.m, condest.m, gls.m, ols.m, decic.m, fminsearch.m,
	lsqnonneg.m, pqpnonneg.m, qp.m, hgload.me deconv.m, polyfit.m,
	ismember.m, unique.m, strtok.m, datenum.m, weekday.m:
	Check nargout instead of using isargout.

	Files: scripts/general/sortrows.m scripts/linear-algebra/condest.m
	scripts/linear-algebra/gls.m scripts/linear-algebra/ols.m
	scripts/ode/decic.m scripts/optimization/fminsearch.m
	scripts/optimization/lsqnonneg.m scripts/optimization/pqpnonneg.m
	scripts/optimization/qp.m scripts/plot/util/hgload.m
	scripts/polynomial/deconv.m scripts/polynomial/polyfit.m
	scripts/set/ismember.m scripts/set/unique.m scripts/strings/strtok.m
	scripts/time/datenum.m scripts/time/weekday.m

	prepare for eventual removal of isargout

	* ov-usr-fcn.cc (val_in_table): Delete.
	(isargout1): Simplify.
	(Fisargout): Always return true for all values of k in the range
	1:min (1, nargout).  Update doc string.  Update tests.

	* pt-eval.h, pt-eval.cc (tree_evaluator::ignored_fcn_outputs):
	Deprecate.  Always return an empty Matrix object.
	(tree_evaluator::bind_auto_fcn_vars): Eliminate ignored_outputs argument.
	(tree_evaluator::execute_user_function): Don't call
	ignored_fcn_outputs or pass resulting value to bind_auto_fcn_vars.

	* stack-frame.h (stack_frame::IGNORED): Delete enum value.

	* func.txi: Remove discussion of isargout.
	* NEWS.9.md: Note change in isargout behavior.
	* op-kw-docs, nthargout.m: Remove isargout from @seealso list.

	Files: doc/interpreter/func.txi etc/NEWS.9.md libinterp/corefcn/stack-
	frame.h libinterp/octave-value/ov-usr-fcn.cc libinterp/op-kw-docs
	libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-eval.h
	scripts/miscellaneous/nthargout.m

	avoid error with ignored values returned from function calls (bug #65153)

	* pt-eval.cc, pt-eval.h
	(tree_evaluator::convert_return_list_to_const_vector):
	Eliminate ignored_outputs argument.  Don't consider ignored outputs
	when constructing list of values from the list of parameters returned
	from a function.  Change all callers.

	* test/bug-65153.tst: New file.
	* test/Makefile.am: Update.

	Files: libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-eval.h
	test/Makefile.am test/bug-65153.tst

2024-01-18  Markus Mützel  <markus.muetzel@gmx.de>

	oct-stream.h: Use C++11 compatible code.

	* libinterp/corefcn/oct-stream.h (base_stream::preferred_output_stream): Avoid
	using std::make_unique which requires C++14.

	Files: libinterp/corefcn/oct-stream.h

	GitHub-CI (macos): Set C++ standard for all configurations.

	* .github/workflows/make.yaml (macos): Apple Clang 14 on the macOS runners
	defaults to C++98. Use C++11 on all runners.

	Files: .github/workflows/make.yaml

	GitHub-CI: Test building and running stand-alone executable.

	* .github/workflows/make.yaml: Install Octave on all runners. Build and run
	an example stand-alone executable.

	Files: .github/workflows/make.yaml

2024-01-16  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Clean up missing brackets from cset e5694f558ad9 (bug #65167)

	* doc/interpreter/genpropdoc.m: Add missing brackets to Text units property.

	Files: doc/interpreter/genpropdoc.m

	doc: Add missing line continuation marks from cset e5694f558ad9 (bug #65167)

	* doc/interpreter/genpropdoc.m: Add missing line continuation operators.

	Files: doc/interpreter/genpropdoc.m

	doc: Update text, image, & surface property documentation (bug #65167)

	* doc/interpreter/genpropdoc.m:  Update Graphics Object Properties definitons
	listed for Text, Image, and Surface objects.  Add Text property definitions
	for horizontalignment, units, and verticalalignment.  Change Text property
	definition from unused to defined for editing.  Remove invalid Text property
	displayname.  Add Image property definitions for cdata, cdatamapping.  Add
	Surface property definitions for cdata, cdatamapping, cdatasource, edgecolor,
	facecolor, meshstlye, xdata, xdatasource, ydata, ydatasource, zdata,
	zdatasource.  Remove invalid Surface property interpreter.  Remove input
	validation BISTs that won't be run by the test suite.

	Files: doc/interpreter/genpropdoc.m

2024-01-08  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	getpixelposition: handle rel_to_fig option correctly (bug #65096)

	* getpixelposition.m: Don't add lower left hand corner position of parent
	figure when relative mode used.  Shorten input validation to use just
	one ! operator.

	Files: scripts/gui/getpixelposition.m

2024-01-16  Rik  <rik@octave.org>

	doc: More cleanup of graphics property documentation (bug #65167).

	* genpropdoc.m: Fix a few misspellings.  Use hyphen to form compound adjective
	'[xyz]-axis'.  End sentences with a period.  Use two spaces between sentences.
	Wrap most long lines at 80 characters.  Provide better explanation of normal
	and modal windows.

	Files: doc/interpreter/genpropdoc.m

2024-01-15  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Add unimplemented property note to x/y/ztickangle functions (bug #64716)

	* scripts/plot/appearance/xtickangle.m, ytickangle.m, ztickangle.m: Add
	programming notes to docstrings indicating that the rotation properties
	are unimplemented and setting the property will have no effect on the
	plot.

	Files: scripts/plot/appearance/xtickangle.m
	scripts/plot/appearance/ytickangle.m
	scripts/plot/appearance/ztickangle.m

	doc: Update root, figure, & axes property documentation (bug #65167)

	* doc/interpreter/genpropdoc.m:  Update Graphics Object Properties definitons
	listed for Root, Figure, and Axes objects.  Add base definitions for
	beingdeleted, selected, and selectionhighlight.  Add Root property definitions
	for commandwindowsize, fixedwidthfontname, screendepth, screenpixelsperinch,
	screensize, and units. Change Root property definition from unused to defined
	for monitorpositions. Add Figure property definitions for currentobject,
	innerposition, and windowstate.  Change Figure property definitions from unused
	to unimplemented for currentcharacter, and dockcontrols.  Uncomment disabled
	Figure property definition for number and move to alphabetical location. Add
	Axes property definitions for alimmode, alphamap, alphascale, cameraposition,
	camerapositionmode, cameratarget, cameratargetmode, cameraupvector,
	cameraupvectormode, cameraviewangle, cameraviewanglemode, climmode, colormap,
	colorscale, dataaspectratiomode, fontsizemode, gridlinestyle, interactions,
	layout, legend, minorgridlinestyle, nextseriesindex, plotboxaspectratiomode,
	tickdirmode, toolbar, xaxis, xcolormode, xlimmode, xminortick, xscale,
	xticklabelmode, xtickmode, yaxis, ycolormode, ylimmode, yminortick, yscale,
	yticklabelmode, ytickmode, zaxis, zcolormode, zdir, zlimmode, zminortick,
	zscale, zticklabelmode, and ztickmode.  Update Axes property definition for
	clim, fontsize, gridcolor, gridcolormode, minorgridcolor, minorgridcolormode,
	tickdirmode, and ydir.  Change Axes property definition from unused to
	unimplemented for gridalphamode, linestyleorder, linestyleorderindex,
	minorgridalphamode, projection, sortmethod, xticklabelrotation,
	yticklabelrotation, and zticklabelrotation.  Adjust some long lines.  Add
	input validation BISTs.

	Files: doc/interpreter/genpropdoc.m

2024-01-14  Rik  <rik@octave.org>

	__unimplemented__.m: Update BIST test to pass on multiple platforms (bug #46337).

	* __unimplemented__.m: Use '.' to match the quote character in the expected string of
	BIST test since the actual glyph can vary between systems.

	Files: scripts/help/__unimplemented__.m

	__unimplemented__.m: Explicitly generate "plain text" output from makeinfo (bug #46337)

	* __unimplemented__.m: Call __makeinfo__ with additional format argument
	"plain text".

	Files: scripts/help/__unimplemented__.m

2024-01-13  Rik  <rik@octave.org>

	__unimplemented__.m: Overhaul function  (bug #46337)

	Report how to get help on @class/fcn functions in packages (bug #46337).

	* __unimplemented__.m: For control, financial, image, statistics, symbolic
	packages, call check_package() with third argument set to list of @classes
	that occur in the package.  New variable print_contribute_msg to decide
	whether to print addendum message about how programmers can contribute
	missing functionality.  Use TexInfo markup in strings.  Update BIST
	tests.
	* __unimplemented__.m (check_package): Use default for 3rd argument.
	Use numel() instead of length().

	Files: scripts/help/__unimplemented__.m

2024-01-13  Markus Mützel  <markus.muetzel@gmx.de>

	io.tst: Use random prefix for temporary files in test (bug #65150).

	* test/io.tst: Use random prefix for temporary files in test. Use
	unwind_protect block to clean up after the test.

	Files: test/io.tst

2024-01-11  John W. Eaton  <jwe@octave.org>

	eliminate useless "if (ptr)" checks protecting "delete ptr" statements.

	Affected files: graphics.in.h, ov-usr-fcn.cc, pt.h.

	Files: libinterp/corefcn/graphics.in.h libinterp/octave-value/ov-usr-fcn.cc
	libinterp/parse-tree/pt.h

	avoid GCC warning about dangling reference to temporary

	* QtHandlesUtils.h (Utils::properties): Declare argument as reference
	to avoid copy.  Provide separate const overload.

	* EditControl.cc (EditControl::create): Declare reference to
	uicontrol::properties object as const.

	Files: libgui/graphics/EditControl.cc libgui/graphics/QtHandlesUtils.h

	avoid warning about ignored return value

	Recent versions of Qt tag the QTranslator::load with the [[nodiscard]]
	attribute so that compilers are encouraged to warn if the return value
	is not used.  Avoid that possible compiler warning for our uses of
	QTranslator::load and also warn at runtime if translation files fail
	to load properly.

	* gui-settings.h, gui-settings.cc (gui_settings::load_translator):
	New functions.
	(gui_settings::config_translators): Use them instead of calling
	QTraslator::load directly.

	Files: libgui/src/gui-settings.cc libgui/src/gui-settings.h

2024-01-10  Rik  <rik@octave.org>

	doc: Remove @seealso link to Octave keyword in onCleanup docstring.

	* ov-oncleanup.cc (FonCleanup): Remove @seealso link to unwind_protect and try
	keywords.

	Files: libinterp/octave-value/ov-oncleanup.cc

	doc: Rewrite documentation for onCleanup.

	* ov-oncleanup.cc (FonCleanup): Rewrite documentation.

	Files: libinterp/octave-value/ov-oncleanup.cc

2024-01-09  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	griddata.m: Fix linear interpolation with three query points. (bug #65146)

	* scripts/geometry/griddata.m:  Add dim specifier to cross function call in
	linear interpolation code.  Add BIST to verify proper output when linear
	interpolation is used with only three query points.
	* etc/NEWS.9.md:  Add griddata to list of functions with bugfixes.

	Files: etc/NEWS.9.md scripts/geometry/griddata.m

2024-01-10  Markus Mützel  <markus.muetzel@gmx.de>

	Avoid leaking memory for m_converter in base_stream.

	* libinterp/corefcn/oct-stream.h (base_stream): Convert "m_converter" and
	"m_conv_ostream" to unique_ptr.
	(base_stream::preferred_output_stream): Adapt for that change.
	(base_stream::~base_stream): Use default destructor.

	Files: libinterp/corefcn/oct-stream.h

	Avoid leaking memory for m_conv_ostream in base_stream.

	* libinterp/corefcn/oct-stream.h (base_stream::~base_stream): Delete
	potentially created output stream with wrapper for encoding facet in destructor.

	Files: libinterp/corefcn/oct-stream.h

2024-01-09  Rik  <rik@octave.org>

	Fix memory leak in cmdline_options().

	* octave.cc (as_octave_value): Use member function all_args() rath than
	sys_argv() which needs to be paired with a delete call.

	Files: libinterp/octave.cc

2024-01-08  Rik  <rik@octave.org>

	Fix memory leak in gzip.

	* gzip.cc (gz::zipper::close): delete "m_strm" pointer created with new in
	constructor.

	Files: libinterp/dldfcn/gzip.cc

	maint: Fix shadowed variable in cset 1f6b33749810.

	* __ode15__.cc (integrate): Rename second unwind_action object to "act2".

	Files: libinterp/dldfcn/__ode15__.cc

	Fix memory leaks in __ode15__.

	* __ode15__.cc (set_up, set_tolerance, integrate, interpolate): Use
	octave::unwind_action objects to guarantee every N_Vector created
	with N_VNew_Serial is freed with N_VDestroy_Serial.

	Files: libinterp/dldfcn/__ode15__.cc

2024-01-08  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (alpine): No parallel make to avoid issue with xvfb-run

	* .github/workflows/make.yaml (alpine): The runner intermittently fails with
	the same error that also occured on Ubuntu with parallel make.
	The error is:
	  qt.qpa.xcb: could not connect to display :99
	  qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though
	  it was found.
	  This application failed to start because no Qt platform plugin could be
	  initialized. Reinstalling the application may fix this problem.
	Disable parallel make also for the Alpine runner.

	Files: .github/workflows/make.yaml

2024-01-07  Rik  <rik@octave.org>

	Fix memory leak in min2norm_solve family of functions.

	* sparse-qr.cc (min2norm_solve): For each template specialization, call
	cholmod_l_free_dense() or cholmod_l_free_sparse() on the output of
	library call SuiteSparseQR_min2norm().  Rename temporary variable "vec"
	to "xdata" for clarity.  Use consistent arrangement of variable declarations
	and function calls in each template specialization.

	Files: liboctave/numeric/sparse-qr.cc

2024-01-03  Rik  <rik@octave.org>

	doc: Update octave man page for release 9.1.

	* octave.1: Rewrite text to more closely follow the description on the Octave
	web site.  Use .UR/.UE macros to format hyperlinks.  Use italic, rather than
	bold, for filenames.  Use bold for user-input that is typed.  Use hairspaces
	with ellipses.  Change AUTHOR section to also refer to all of the Octave
	contributors.

	Files: doc/interpreter/octave.1

2023-12-31  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Add explanatory note for unused/unimplemented properties (bug #64985)

	* doc/interpreter/plot.txi: Add statement to Graphics Properties section
	indicating that poperties marked unused or unimplemented are still
	handled by Octave but have no effect on the object.

	Files: doc/interpreter/plot.txi

2023-12-28  Rik  <rik@octave.org>

	Stop memory leak in octave_u8_conv_to_encoding().

	* uniconv-wrappers.c (octave_u8_conv_to_encoding_intern): Reverse greater-than
	'>' test to less-than '<' test to correctly decide when to free memory.

	Files: liboctave/wrappers/uniconv-wrappers.c

	Stop memory leaks in class ft_manager.
	Multiple leaks in external library Fontconfig caused by creating resources and
	then not calling library routines to destroy them.

	* ft-text-renderer.cc (ft_manager::do_get_system_fonts): Call FcPatternDestroy,
	FcObjectSetDestroy, FcCharSetDestroy to free memory after use.

	Files: libinterp/corefcn/ft-text-renderer.cc

	Stop memory leak in Container class in libgui/.

	* Container.cc (~Container): Delete m_canvas pointer in destructor.
	* Container.cc (Container): Remove extra space on initialization line.

	Files: libgui/graphics/Container.cc

2023-12-27  Serkan Önder  <serkanonder@outlook.com>

	tr_TR.ts: Update Turkish translation file for Octave 9.1 (bug #64982)

	* tr_TR.ts: Update Turkish translation file.

	Files: libgui/languages/tr_TR.ts

2023-12-27  Rik  <rik@octave.org>

	maint: Add FIXME notes about memory leak in register_type().

	* ov-base.h (DEFINE_OV_TYPEID_FUNCTIONS_AND_DATA_INTERNAL): Add FIXME note
	above macro.
	* ov-base.h: Align line continuation marker '\' in macros.

	* ov-typeinfo.cc (register_type): Add "FIXME" to existing programming note and
	rephrase.

	Files: libinterp/octave-value/ov-base.h libinterp/octave-value/ov-
	typeinfo.cc

2023-12-26  Rik  <rik@octave.org>

	rose.m: Overhaul function to get correct results for corner cases (bug #48889)

	* rose.m: Add Programming Note to describe algorithm approach.  Replace atan2()
	with mod() for a more accurate way to map input to range [0, 2*pi).  Use ranges
	in degrees (integers), rather than radians (floating point), for improved
	accuracy.  Remove warning about uncentered bins.  Rename input to "theta" and
	outputs to "th" and "r" for clarity.  Tighten test used to warn about bad
	plotting results.  Add specific BIST tests various corner cases.

	Files: scripts/plot/draw/rose.m

2023-12-23  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (mingw): Mark run as failed on unexpected test suite error.

	* .github/workflows/make.yaml (mingw): We have 0 FAILs or REGRESSIONs for the
	MinGW environments we test on the stable branch. Mark the test run as failed
	if that should regress.

	Files: .github/workflows/make.yaml

2023-12-22  Markus Mützel  <markus.muetzel@gmx.de>

	erfc: Mark test as known issue with the UCRT on Windows (bug #65075).

	* mappers.cc (erfc): Duplicate test to be able to mark it as a known failure
	with the UCRT on Windows.

	Files: libinterp/corefcn/mappers.cc

2023-12-22  Marco Caliari  <marco.caliari@univr.it>

	it_IT.ts: Update Italian translation file for Octave 9.1 (bug #64982)

	* it_IT.ts: Update Italian translation file.

	Files: libgui/languages/it_IT.ts

2023-12-22  Rik  <rik@octave.org>

	CITATION: Update information for 9.1.0 release.

	* CITATION: Update information for 9.1.0 release.

	Files: CITATION

2023-12-22  Markus Mützel  <markus.muetzel@gmx.de>

	mappers.cc: Remove special handling for MinGW (bug #52627).

	* mappers.cc (acos, acosh, asin, asinh): The accuracy issues with the math
	library in MinGW have been resolved for these functions. Remove special
	handling for that platform.

	Files: libinterp/corefcn/mappers.cc

2023-12-22  John W. Eaton  <jwe@octave.org>

	maint: update Octave Project Developers copyright for the new year

	Files: Makefile.am README bootstrap.conf build-aux/OctJavaQry.java build-
	aux/changelog.tmpl build-aux/check-subst-vars.in.sh build-aux/find-
	defun-files.in.sh build-aux/find-files-with-tests.in.sh build-
	aux/get-source-mtime.sh build-aux/mk-hg-id.sh build-aux/mk-octave-
	config-h.sh build-aux/mk-opts.pl build-aux/mk-pkg-add.sh build-
	aux/subst-config-vals.in.sh build-aux/subst-cross-config-vals.in.sh
	build-aux/subst-script-vals.in.sh build-aux/update-bug-status.sh
	configure.ac doc/doxyhtml/Doxyfile.in doc/interpreter/arith.txi
	doc/interpreter/audio.txi doc/interpreter/basics.txi
	doc/interpreter/bugs.txi doc/interpreter/config-images.sh
	doc/interpreter/container.txi doc/interpreter/cp-idx.txi
	doc/interpreter/data.txi doc/interpreter/debug.txi
	doc/interpreter/diagperm.txi doc/interpreter/diffeq.txi
	doc/interpreter/doccheck/add_to_aspell_dict
	doc/interpreter/doccheck/mk_undocumented_list
	doc/interpreter/doccheck/spellcheck doc/interpreter/errors.txi
	doc/interpreter/eval.txi doc/interpreter/expr.txi
	doc/interpreter/external.txi doc/interpreter/fn-idx.txi
	doc/interpreter/func.txi doc/interpreter/genpropdoc.m
	doc/interpreter/geometry.txi doc/interpreter/geometryimages.m
	doc/interpreter/grammar.txi doc/interpreter/gui.txi
	doc/interpreter/image.txi doc/interpreter/images.awk
	doc/interpreter/install.txi doc/interpreter/interp.txi
	doc/interpreter/interpimages.m doc/interpreter/intro.txi
	doc/interpreter/io.txi doc/interpreter/linalg.txi
	doc/interpreter/macros.texi doc/interpreter/matrix.txi
	doc/interpreter/mk-doc-cache.pl doc/interpreter/mkcontrib.awk
	doc/interpreter/mkoctfile.1 doc/interpreter/munge-texi.pl
	doc/interpreter/nonlin.txi doc/interpreter/numbers.txi
	doc/interpreter/obsolete.txi doc/interpreter/octave-cli.1
	doc/interpreter/octave-config.1 doc/interpreter/octave.1
	doc/interpreter/octave.css doc/interpreter/octave.texi
	doc/interpreter/oop.txi doc/interpreter/op-idx.txi
	doc/interpreter/optim.txi doc/interpreter/package.txi
	doc/interpreter/plot.txi doc/interpreter/plotimages.m
	doc/interpreter/poly.txi doc/interpreter/pr-idx.txi
	doc/interpreter/preface.txi doc/interpreter/quad.txi
	doc/interpreter/set.txi doc/interpreter/signal.txi
	doc/interpreter/sparse.txi doc/interpreter/sparseimages.m
	doc/interpreter/splineimages.m doc/interpreter/stats.txi
	doc/interpreter/stmt.txi doc/interpreter/strings.txi
	doc/interpreter/system.txi doc/interpreter/testfun.txi
	doc/interpreter/var.txi doc/interpreter/vectorize.txi
	doc/liboctave/array.texi doc/liboctave/bugs.texi doc/liboctave/cp-
	idx.texi doc/liboctave/dae.texi doc/liboctave/diffeq.texi
	doc/liboctave/error.texi doc/liboctave/factor.texi doc/liboctave/fn-
	idx.texi doc/liboctave/install.texi doc/liboctave/intro.texi
	doc/liboctave/liboctave.texi doc/liboctave/matvec.texi
	doc/liboctave/nleqn.texi doc/liboctave/nlfunc.texi
	doc/liboctave/ode.texi doc/liboctave/optim.texi
	doc/liboctave/preface.texi doc/liboctave/quad.texi
	doc/liboctave/range.texi doc/refcard/refcard-a4.tex
	doc/refcard/refcard-legal.tex doc/refcard/refcard-letter.tex
	doc/refcard/refcard.tex etc/HACKING.md etc/gdbinit
	etc/icons/org.octave.Octave.metainfo.xml
	libgui/graphics/BaseControl.cc libgui/graphics/BaseControl.h
	libgui/graphics/ButtonControl.cc libgui/graphics/ButtonControl.h
	libgui/graphics/ButtonGroup.cc libgui/graphics/ButtonGroup.h
	libgui/graphics/Canvas.cc libgui/graphics/Canvas.h
	libgui/graphics/CheckBoxControl.cc libgui/graphics/CheckBoxControl.h
	libgui/graphics/Container.cc libgui/graphics/Container.h
	libgui/graphics/ContextMenu.cc libgui/graphics/ContextMenu.h
	libgui/graphics/EditControl.cc libgui/graphics/EditControl.h
	libgui/graphics/Figure.cc libgui/graphics/Figure.h
	libgui/graphics/FigureWindow.cc libgui/graphics/FigureWindow.h
	libgui/graphics/GLCanvas.cc libgui/graphics/GLCanvas.h
	libgui/graphics/GenericEventNotify.h libgui/graphics/KeyMap.cc
	libgui/graphics/KeyMap.h libgui/graphics/ListBoxControl.cc
	libgui/graphics/ListBoxControl.h libgui/graphics/Logger.cc
	libgui/graphics/Logger.h libgui/graphics/Menu.cc
	libgui/graphics/Menu.h libgui/graphics/MenuContainer.h
	libgui/graphics/Object.cc libgui/graphics/Object.h
	libgui/graphics/ObjectProxy.cc libgui/graphics/ObjectProxy.h
	libgui/graphics/Panel.cc libgui/graphics/Panel.h
	libgui/graphics/PopupMenuControl.cc
	libgui/graphics/PopupMenuControl.h
	libgui/graphics/PushButtonControl.cc
	libgui/graphics/PushButtonControl.h libgui/graphics/PushTool.cc
	libgui/graphics/PushTool.h libgui/graphics/QtHandlesUtils.cc
	libgui/graphics/QtHandlesUtils.h
	libgui/graphics/RadioButtonControl.cc
	libgui/graphics/RadioButtonControl.h
	libgui/graphics/SliderControl.cc libgui/graphics/SliderControl.h
	libgui/graphics/Table.cc libgui/graphics/Table.h
	libgui/graphics/TextControl.cc libgui/graphics/TextControl.h
	libgui/graphics/TextEdit.cc libgui/graphics/TextEdit.h
	libgui/graphics/ToggleButtonControl.cc
	libgui/graphics/ToggleButtonControl.h libgui/graphics/ToggleTool.cc
	libgui/graphics/ToggleTool.h libgui/graphics/ToolBar.cc
	libgui/graphics/ToolBar.h libgui/graphics/ToolBarButton.cc
	libgui/graphics/ToolBarButton.h libgui/graphics/annotation-dialog.cc
	libgui/graphics/annotation-dialog.h libgui/graphics/gl-select.cc
	libgui/graphics/gl-select.h libgui/graphics/qopengl-functions.h
	libgui/graphics/qt-graphics-toolkit.cc libgui/graphics/qt-graphics-
	toolkit.h libgui/liboctgui-build-info.h libgui/liboctgui-build-
	info.in.cc libgui/qterminal/libqterminal/win32/QWinTerminalImpl.cpp
	libgui/qterminal/libqterminal/win32/QWinTerminalImpl.h
	libgui/src/color-picker.cc libgui/src/color-picker.h
	libgui/src/command-widget.cc libgui/src/command-widget.h
	libgui/src/community-news.cc libgui/src/community-news.h
	libgui/src/dialog.cc libgui/src/dialog.h libgui/src/documentation-
	bookmarks.cc libgui/src/documentation-bookmarks.h
	libgui/src/documentation-dock-widget.cc libgui/src/documentation-
	dock-widget.h libgui/src/documentation.cc libgui/src/documentation.h
	libgui/src/dw-main-window.cc libgui/src/dw-main-window.h
	libgui/src/external-editor-interface.cc libgui/src/external-editor-
	interface.h libgui/src/files-dock-widget.cc libgui/src/files-dock-
	widget.h libgui/src/find-files-dialog.cc libgui/src/find-files-
	dialog.h libgui/src/find-files-model.cc libgui/src/find-files-
	model.h libgui/src/graphics-init.cc libgui/src/graphics-init.h
	libgui/src/gui-preferences-all.h libgui/src/gui-preferences-cs.cc
	libgui/src/gui-preferences-cs.h libgui/src/gui-preferences-dc.cc
	libgui/src/gui-preferences-dc.h libgui/src/gui-preferences-dw.cc
	libgui/src/gui-preferences-dw.h libgui/src/gui-preferences-ed.cc
	libgui/src/gui-preferences-ed.h libgui/src/gui-preferences-fb.cc
	libgui/src/gui-preferences-fb.h libgui/src/gui-preferences-ff.cc
	libgui/src/gui-preferences-ff.h libgui/src/gui-preferences-global.cc
	libgui/src/gui-preferences-global.h libgui/src/gui-preferences-gp.cc
	libgui/src/gui-preferences-gp.h libgui/src/gui-preferences-hw.cc
	libgui/src/gui-preferences-hw.h libgui/src/gui-preferences-mw.cc
	libgui/src/gui-preferences-mw.h libgui/src/gui-preferences-nr.cc
	libgui/src/gui-preferences-nr.h libgui/src/gui-preferences-pd.cc
	libgui/src/gui-preferences-pd.h libgui/src/gui-preferences-sc.cc
	libgui/src/gui-preferences-sc.h libgui/src/gui-preferences-sd.cc
	libgui/src/gui-preferences-sd.h libgui/src/gui-preferences-ve.cc
	libgui/src/gui-preferences-ve.h libgui/src/gui-preferences-ws.cc
	libgui/src/gui-preferences-ws.h libgui/src/gui-preferences.cc
	libgui/src/gui-preferences.h libgui/src/gui-settings.cc
	libgui/src/gui-settings.h libgui/src/gui-utils.cc libgui/src/gui-
	utils.h libgui/src/history-dock-widget.cc libgui/src/history-dock-
	widget.h libgui/src/interpreter-qobject.cc libgui/src/interpreter-
	qobject.h libgui/src/led-indicator.cc libgui/src/led-indicator.h
	libgui/src/m-editor/file-editor-interface.h
	libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/file-
	editor-tab.h libgui/src/m-editor/file-editor.cc
	libgui/src/m-editor/file-editor.h libgui/src/m-editor/find-dialog.cc
	libgui/src/m-editor/find-dialog.h libgui/src/m-editor/marker.cc
	libgui/src/m-editor/marker.h libgui/src/m-editor/octave-
	qscintilla.cc libgui/src/m-editor/octave-qscintilla.h
	libgui/src/m-editor/octave-txt-lexer.cc libgui/src/m-editor/octave-
	txt-lexer.h libgui/src/main-window.cc libgui/src/main-window.h
	libgui/src/news-reader.cc libgui/src/news-reader.h
	libgui/src/octave-dock-widget.cc libgui/src/octave-dock-widget.h
	libgui/src/octave-qobject.cc libgui/src/octave-qobject.h
	libgui/src/qt-application.cc libgui/src/qt-application.h
	libgui/src/qt-interpreter-events.cc libgui/src/qt-interpreter-
	events.h libgui/src/qt-utils.h libgui/src/release-notes.cc
	libgui/src/release-notes.h libgui/src/set-path-dialog.cc
	libgui/src/set-path-dialog.h libgui/src/set-path-model.cc
	libgui/src/set-path-model.h libgui/src/settings-dialog.cc
	libgui/src/settings-dialog.h libgui/src/shortcuts-tree-widget.cc
	libgui/src/shortcuts-tree-widget.h libgui/src/tab-bar.cc
	libgui/src/tab-bar.h libgui/src/terminal-dock-widget.cc
	libgui/src/terminal-dock-widget.h libgui/src/variable-editor-
	model.cc libgui/src/variable-editor-model.h libgui/src/variable-
	editor.cc libgui/src/variable-editor.h libgui/src/welcome-wizard.cc
	libgui/src/welcome-wizard.h libgui/src/workspace-model.cc
	libgui/src/workspace-model.h libgui/src/workspace-view.cc
	libgui/src/workspace-view.h libinterp/build-env.h libinterp/build-
	env.in.cc libinterp/corefcn/Cell.cc libinterp/corefcn/Cell.h
	libinterp/corefcn/__betainc__.cc libinterp/corefcn/__contourc__.cc
	libinterp/corefcn/__dsearchn__.cc libinterp/corefcn/__eigs__.cc
	libinterp/corefcn/__expint__.cc libinterp/corefcn/__ftp__.cc
	libinterp/corefcn/__gammainc__.cc libinterp/corefcn/__ichol__.cc
	libinterp/corefcn/__ilu__.cc libinterp/corefcn/__isprimelarge__.cc
	libinterp/corefcn/__lin_interpn__.cc
	libinterp/corefcn/__magick_read__.cc
	libinterp/corefcn/__pchip_deriv__.cc libinterp/corefcn/__qp__.cc
	libinterp/corefcn/amd.cc libinterp/corefcn/auto-shlib.cc
	libinterp/corefcn/auto-shlib.h libinterp/corefcn/balance.cc
	libinterp/corefcn/base-text-renderer.cc libinterp/corefcn/base-text-
	renderer.h libinterp/corefcn/besselj.cc libinterp/corefcn/bitfcns.cc
	libinterp/corefcn/bsxfun.cc libinterp/corefcn/c-file-ptr-stream.cc
	libinterp/corefcn/c-file-ptr-stream.h libinterp/corefcn/call-
	stack.cc libinterp/corefcn/call-stack.h libinterp/corefcn/ccolamd.cc
	libinterp/corefcn/cdisplay.c libinterp/corefcn/cdisplay.h
	libinterp/corefcn/cellfun.cc libinterp/corefcn/chol.cc
	libinterp/corefcn/coct-hdf5-types.c libinterp/corefcn/colamd.cc
	libinterp/corefcn/colloc.cc libinterp/corefcn/conv2.cc
	libinterp/corefcn/daspk.cc libinterp/corefcn/dasrt.cc
	libinterp/corefcn/dassl.cc libinterp/corefcn/data.cc
	libinterp/corefcn/data.h libinterp/corefcn/debug.cc
	libinterp/corefcn/default-defs.in.h libinterp/corefcn/defaults.cc
	libinterp/corefcn/defaults.h libinterp/corefcn/defun-dld.h
	libinterp/corefcn/defun-int.h libinterp/corefcn/defun.cc
	libinterp/corefcn/defun.h libinterp/corefcn/det.cc
	libinterp/corefcn/dirfns.cc libinterp/corefcn/display.cc
	libinterp/corefcn/display.h libinterp/corefcn/dlmread.cc
	libinterp/corefcn/dmperm.cc libinterp/corefcn/dot.cc
	libinterp/corefcn/dynamic-ld.cc libinterp/corefcn/dynamic-ld.h
	libinterp/corefcn/eig.cc libinterp/corefcn/ellipj.cc
	libinterp/corefcn/environment.cc libinterp/corefcn/environment.h
	libinterp/corefcn/error.cc libinterp/corefcn/error.h
	libinterp/corefcn/errwarn.cc libinterp/corefcn/errwarn.h
	libinterp/corefcn/event-manager.cc libinterp/corefcn/event-manager.h
	libinterp/corefcn/event-queue.cc libinterp/corefcn/event-queue.h
	libinterp/corefcn/fcn-info.cc libinterp/corefcn/fcn-info.h
	libinterp/corefcn/fft.cc libinterp/corefcn/fft2.cc
	libinterp/corefcn/fftn.cc libinterp/corefcn/file-io.cc
	libinterp/corefcn/file-io.h libinterp/corefcn/filter.cc
	libinterp/corefcn/find.cc libinterp/corefcn/ft-text-renderer.cc
	libinterp/corefcn/ft-text-renderer.h libinterp/corefcn/gcd.cc
	libinterp/corefcn/genprops.awk libinterp/corefcn/getgrent.cc
	libinterp/corefcn/getpwent.cc libinterp/corefcn/getrusage.cc
	libinterp/corefcn/gh-manager.cc libinterp/corefcn/gh-manager.h
	libinterp/corefcn/givens.cc libinterp/corefcn/gl-render.cc
	libinterp/corefcn/gl-render.h libinterp/corefcn/gl2ps-print.cc
	libinterp/corefcn/gl2ps-print.h libinterp/corefcn/graphics-handle.h
	libinterp/corefcn/graphics-toolkit.cc libinterp/corefcn/graphics-
	toolkit.h libinterp/corefcn/graphics-utils.cc
	libinterp/corefcn/graphics-utils.h libinterp/corefcn/graphics.cc
	libinterp/corefcn/graphics.in.h libinterp/corefcn/gsvd.cc
	libinterp/corefcn/gtk-manager.cc libinterp/corefcn/gtk-manager.h
	libinterp/corefcn/gzfstream.cc libinterp/corefcn/gzfstream.h
	libinterp/corefcn/hash.cc libinterp/corefcn/help.cc
	libinterp/corefcn/help.h libinterp/corefcn/hess.cc
	libinterp/corefcn/hex2num.cc libinterp/corefcn/hook-fcn.cc
	libinterp/corefcn/hook-fcn.h libinterp/corefcn/input.cc
	libinterp/corefcn/input.h libinterp/corefcn/interpreter-private.cc
	libinterp/corefcn/interpreter-private.h
	libinterp/corefcn/interpreter.cc libinterp/corefcn/interpreter.h
	libinterp/corefcn/inv.cc libinterp/corefcn/jsondecode.cc
	libinterp/corefcn/jsonencode.cc libinterp/corefcn/kron.cc
	libinterp/corefcn/latex-text-renderer.cc libinterp/corefcn/latex-
	text-renderer.h libinterp/corefcn/load-path.cc
	libinterp/corefcn/load-path.h libinterp/corefcn/load-save.cc
	libinterp/corefcn/load-save.h libinterp/corefcn/lookup.cc
	libinterp/corefcn/ls-ascii-helper.cc libinterp/corefcn/ls-ascii-
	helper.h libinterp/corefcn/ls-hdf5.cc libinterp/corefcn/ls-hdf5.h
	libinterp/corefcn/ls-mat-ascii.cc libinterp/corefcn/ls-mat-ascii.h
	libinterp/corefcn/ls-mat4.cc libinterp/corefcn/ls-mat4.h
	libinterp/corefcn/ls-mat5.cc libinterp/corefcn/ls-mat5.h
	libinterp/corefcn/ls-oct-binary.cc libinterp/corefcn/ls-oct-binary.h
	libinterp/corefcn/ls-oct-text.cc libinterp/corefcn/ls-oct-text.h
	libinterp/corefcn/ls-utils.cc libinterp/corefcn/ls-utils.h
	libinterp/corefcn/lsode.cc libinterp/corefcn/lu.cc
	libinterp/corefcn/mappers.cc libinterp/corefcn/matrix_type.cc
	libinterp/corefcn/max.cc libinterp/corefcn/mex-private.h
	libinterp/corefcn/mex.cc libinterp/corefcn/mex.h
	libinterp/corefcn/mexproto.h libinterp/corefcn/mgorth.cc
	libinterp/corefcn/mk-errno-list.sh libinterp/corefcn/mk-
	mxtypes-h.in.sh libinterp/corefcn/mx-type-traits.h
	libinterp/corefcn/mxarray.h libinterp/corefcn/mxtypes.in.h
	libinterp/corefcn/nproc.cc libinterp/corefcn/oct-errno.h
	libinterp/corefcn/oct-errno.in.cc libinterp/corefcn/oct-fstrm.cc
	libinterp/corefcn/oct-fstrm.h libinterp/corefcn/oct-handle.h
	libinterp/corefcn/oct-hdf5-types.cc libinterp/corefcn/oct-
	hdf5-types.h libinterp/corefcn/oct-hdf5.h libinterp/corefcn/oct-
	hist.cc libinterp/corefcn/oct-hist.h libinterp/corefcn/oct-iostrm.cc
	libinterp/corefcn/oct-iostrm.h libinterp/corefcn/oct-map.cc
	libinterp/corefcn/oct-map.h libinterp/corefcn/oct-opengl.h
	libinterp/corefcn/oct-prcstrm.cc libinterp/corefcn/oct-prcstrm.h
	libinterp/corefcn/oct-procbuf.cc libinterp/corefcn/oct-procbuf.h
	libinterp/corefcn/oct-process.cc libinterp/corefcn/oct-process.h
	libinterp/corefcn/oct-stdstrm.h libinterp/corefcn/oct-stream.cc
	libinterp/corefcn/oct-stream.h libinterp/corefcn/oct-strstrm.cc
	libinterp/corefcn/oct-strstrm.h libinterp/corefcn/oct-tex-
	lexer.in.ll libinterp/corefcn/oct-tex-parser.yy
	libinterp/corefcn/oct-tex-symbols.in libinterp/corefcn/oct.h
	libinterp/corefcn/octave-default-image.h libinterp/corefcn/ordqz.cc
	libinterp/corefcn/ordschur.cc libinterp/corefcn/pager.cc
	libinterp/corefcn/pager.h libinterp/corefcn/perms.cc
	libinterp/corefcn/pinv.cc libinterp/corefcn/pow2.cc
	libinterp/corefcn/pr-flt-fmt.cc libinterp/corefcn/pr-flt-fmt.h
	libinterp/corefcn/pr-output.cc libinterp/corefcn/pr-output.h
	libinterp/corefcn/procstream.cc libinterp/corefcn/procstream.h
	libinterp/corefcn/psi.cc libinterp/corefcn/qr.cc
	libinterp/corefcn/quad.cc libinterp/corefcn/quadcc.cc
	libinterp/corefcn/qz.cc libinterp/corefcn/rand.cc
	libinterp/corefcn/rcond.cc libinterp/corefcn/regexp.cc
	libinterp/corefcn/schur.cc libinterp/corefcn/settings.cc
	libinterp/corefcn/settings.h libinterp/corefcn/sighandlers.cc
	libinterp/corefcn/sighandlers.h libinterp/corefcn/sparse-xdiv.cc
	libinterp/corefcn/sparse-xdiv.h libinterp/corefcn/sparse-xpow.cc
	libinterp/corefcn/sparse-xpow.h libinterp/corefcn/sparse.cc
	libinterp/corefcn/spparms.cc libinterp/corefcn/sqrtm.cc
	libinterp/corefcn/stack-frame.cc libinterp/corefcn/stack-frame.h
	libinterp/corefcn/stream-euler.cc libinterp/corefcn/strfind.cc
	libinterp/corefcn/strfns.cc libinterp/corefcn/sub2ind.cc
	libinterp/corefcn/svd.cc libinterp/corefcn/sylvester.cc
	libinterp/corefcn/symbfact.cc libinterp/corefcn/syminfo.cc
	libinterp/corefcn/syminfo.h libinterp/corefcn/symrcm.cc
	libinterp/corefcn/symrec.cc libinterp/corefcn/symrec.h
	libinterp/corefcn/symscope.cc libinterp/corefcn/symscope.h
	libinterp/corefcn/symtab.cc libinterp/corefcn/symtab.h
	libinterp/corefcn/syscalls.cc libinterp/corefcn/sysdep.cc
	libinterp/corefcn/sysdep.h libinterp/corefcn/text-engine.cc
	libinterp/corefcn/text-engine.h libinterp/corefcn/text-renderer.cc
	libinterp/corefcn/text-renderer.h libinterp/corefcn/time.cc
	libinterp/corefcn/toplev.cc libinterp/corefcn/tril.cc
	libinterp/corefcn/tsearch.cc libinterp/corefcn/typecast.cc
	libinterp/corefcn/url-handle-manager.cc libinterp/corefcn/url-
	handle-manager.h libinterp/corefcn/urlwrite.cc
	libinterp/corefcn/utils.cc libinterp/corefcn/utils.h
	libinterp/corefcn/variables.cc libinterp/corefcn/variables.h
	libinterp/corefcn/xdiv.cc libinterp/corefcn/xdiv.h
	libinterp/corefcn/xnorm.cc libinterp/corefcn/xnorm.h
	libinterp/corefcn/xpow.cc libinterp/corefcn/xpow.h
	libinterp/dldfcn/__delaunayn__.cc
	libinterp/dldfcn/__fltk_uigetfile__.cc libinterp/dldfcn/__glpk__.cc
	libinterp/dldfcn/__init_fltk__.cc
	libinterp/dldfcn/__init_gnuplot__.cc libinterp/dldfcn/__ode15__.cc
	libinterp/dldfcn/__voronoi__.cc libinterp/dldfcn/audiodevinfo.cc
	libinterp/dldfcn/audioread.cc libinterp/dldfcn/config-module.awk
	libinterp/dldfcn/config-module.sh libinterp/dldfcn/convhulln.cc
	libinterp/dldfcn/fftw.cc libinterp/dldfcn/gzip.cc
	libinterp/dldfcn/oct-qhull.h libinterp/liboctinterp-build-info.h
	libinterp/liboctinterp-build-info.in.cc libinterp/mk-build-env-
	features.sh libinterp/mk-builtins.pl libinterp/mk-doc.pl
	libinterp/octave-value/cdef-class.cc libinterp/octave-value/cdef-
	class.h libinterp/octave-value/cdef-fwd.h libinterp/octave-
	value/cdef-manager.cc libinterp/octave-value/cdef-manager.h
	libinterp/octave-value/cdef-method.cc libinterp/octave-value/cdef-
	method.h libinterp/octave-value/cdef-object.cc libinterp/octave-
	value/cdef-object.h libinterp/octave-value/cdef-package.cc
	libinterp/octave-value/cdef-package.h libinterp/octave-value/cdef-
	property.cc libinterp/octave-value/cdef-property.h libinterp/octave-
	value/cdef-utils.cc libinterp/octave-value/cdef-utils.h
	libinterp/octave-value/ov-base-diag.cc libinterp/octave-value/ov-
	base-diag.h libinterp/octave-value/ov-base-int.cc libinterp/octave-
	value/ov-base-int.h libinterp/octave-value/ov-base-mat.cc
	libinterp/octave-value/ov-base-mat.h libinterp/octave-value/ov-base-
	scalar.cc libinterp/octave-value/ov-base-scalar.h libinterp/octave-
	value/ov-base-sparse.cc libinterp/octave-value/ov-base-sparse.h
	libinterp/octave-value/ov-base.cc libinterp/octave-value/ov-base.h
	libinterp/octave-value/ov-bool-mat.cc libinterp/octave-value/ov-
	bool-mat.h libinterp/octave-value/ov-bool-sparse.cc
	libinterp/octave-value/ov-bool-sparse.h libinterp/octave-value/ov-
	bool.cc libinterp/octave-value/ov-bool.h libinterp/octave-value/ov-
	builtin.cc libinterp/octave-value/ov-builtin.h libinterp/octave-
	value/ov-cell.cc libinterp/octave-value/ov-cell.h libinterp/octave-
	value/ov-ch-mat.cc libinterp/octave-value/ov-ch-mat.h
	libinterp/octave-value/ov-class.cc libinterp/octave-value/ov-class.h
	libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	classdef.h libinterp/octave-value/ov-colon.cc libinterp/octave-
	value/ov-colon.h libinterp/octave-value/ov-complex.cc
	libinterp/octave-value/ov-complex.h libinterp/octave-value/ov-cs-
	list.cc libinterp/octave-value/ov-cs-list.h libinterp/octave-
	value/ov-cx-diag.cc libinterp/octave-value/ov-cx-diag.h
	libinterp/octave-value/ov-cx-mat.cc libinterp/octave-value/ov-cx-
	mat.h libinterp/octave-value/ov-cx-sparse.cc libinterp/octave-
	value/ov-cx-sparse.h libinterp/octave-value/ov-dld-fcn.cc
	libinterp/octave-value/ov-dld-fcn.h libinterp/octave-value/ov-fcn-
	handle.cc libinterp/octave-value/ov-fcn-handle.h libinterp/octave-
	value/ov-fcn.cc libinterp/octave-value/ov-fcn.h libinterp/octave-
	value/ov-float.cc libinterp/octave-value/ov-float.h
	libinterp/octave-value/ov-flt-complex.cc libinterp/octave-value/ov-
	flt-complex.h libinterp/octave-value/ov-flt-cx-diag.cc
	libinterp/octave-value/ov-flt-cx-diag.h libinterp/octave-value/ov-
	flt-cx-mat.cc libinterp/octave-value/ov-flt-cx-mat.h
	libinterp/octave-value/ov-flt-re-diag.cc libinterp/octave-value/ov-
	flt-re-diag.h libinterp/octave-value/ov-flt-re-mat.cc
	libinterp/octave-value/ov-flt-re-mat.h libinterp/octave-value/ov-
	inline.h libinterp/octave-value/ov-int-traits.h libinterp/octave-
	value/ov-int16.cc libinterp/octave-value/ov-int16.h
	libinterp/octave-value/ov-int32.cc libinterp/octave-value/ov-int32.h
	libinterp/octave-value/ov-int64.cc libinterp/octave-value/ov-int64.h
	libinterp/octave-value/ov-int8.cc libinterp/octave-value/ov-int8.h
	libinterp/octave-value/ov-intx.h libinterp/octave-value/ov-java.cc
	libinterp/octave-value/ov-java.h libinterp/octave-value/ov-lazy-
	idx.cc libinterp/octave-value/ov-lazy-idx.h libinterp/octave-
	value/ov-legacy-range.cc libinterp/octave-value/ov-legacy-range.h
	libinterp/octave-value/ov-magic-int.cc libinterp/octave-value/ov-
	magic-int.h libinterp/octave-value/ov-mex-fcn.cc libinterp/octave-
	value/ov-mex-fcn.h libinterp/octave-value/ov-null-mat.cc
	libinterp/octave-value/ov-null-mat.h libinterp/octave-value/ov-
	oncleanup.cc libinterp/octave-value/ov-oncleanup.h libinterp/octave-
	value/ov-perm.cc libinterp/octave-value/ov-perm.h libinterp/octave-
	value/ov-range-traits.h libinterp/octave-value/ov-range.cc
	libinterp/octave-value/ov-range.h libinterp/octave-value/ov-re-
	diag.cc libinterp/octave-value/ov-re-diag.h libinterp/octave-
	value/ov-re-mat.cc libinterp/octave-value/ov-re-mat.h
	libinterp/octave-value/ov-re-sparse.cc libinterp/octave-value/ov-re-
	sparse.h libinterp/octave-value/ov-scalar.cc libinterp/octave-
	value/ov-scalar.h libinterp/octave-value/ov-str-mat.cc
	libinterp/octave-value/ov-str-mat.h libinterp/octave-value/ov-
	struct.cc libinterp/octave-value/ov-struct.h libinterp/octave-
	value/ov-typeinfo.cc libinterp/octave-value/ov-typeinfo.h
	libinterp/octave-value/ov-uint16.cc libinterp/octave-value/ov-
	uint16.h libinterp/octave-value/ov-uint32.cc libinterp/octave-
	value/ov-uint32.h libinterp/octave-value/ov-uint64.cc
	libinterp/octave-value/ov-uint64.h libinterp/octave-value/ov-
	uint8.cc libinterp/octave-value/ov-uint8.h libinterp/octave-
	value/ov-usr-fcn.cc libinterp/octave-value/ov-usr-fcn.h
	libinterp/octave-value/ov.cc libinterp/octave-value/ov.h
	libinterp/octave-value/ovl.cc libinterp/octave-value/ovl.h
	libinterp/octave.cc libinterp/octave.h libinterp/op-kw-docs
	libinterp/operators/mk-ops.sh libinterp/operators/op-b-b.cc
	libinterp/operators/op-b-bm.cc libinterp/operators/op-b-sbm.cc
	libinterp/operators/op-bm-b.cc libinterp/operators/op-bm-bm.cc
	libinterp/operators/op-bm-sbm.cc libinterp/operators/op-cdm-cdm.cc
	libinterp/operators/op-cdm-cm.cc libinterp/operators/op-cdm-cs.cc
	libinterp/operators/op-cdm-dm.cc libinterp/operators/op-cdm-m.cc
	libinterp/operators/op-cdm-s.cc libinterp/operators/op-cell.cc
	libinterp/operators/op-chm.cc libinterp/operators/op-class.cc
	libinterp/operators/op-cm-cdm.cc libinterp/operators/op-cm-cm.cc
	libinterp/operators/op-cm-cs.cc libinterp/operators/op-cm-dm.cc
	libinterp/operators/op-cm-m.cc libinterp/operators/op-cm-pm.cc
	libinterp/operators/op-cm-s.cc libinterp/operators/op-cm-scm.cc
	libinterp/operators/op-cm-sm.cc libinterp/operators/op-cs-cm.cc
	libinterp/operators/op-cs-cs.cc libinterp/operators/op-cs-m.cc
	libinterp/operators/op-cs-s.cc libinterp/operators/op-cs-scm.cc
	libinterp/operators/op-cs-sm.cc libinterp/operators/op-dm-cdm.cc
	libinterp/operators/op-dm-cm.cc libinterp/operators/op-dm-cs.cc
	libinterp/operators/op-dm-dm.cc libinterp/operators/op-dm-m.cc
	libinterp/operators/op-dm-s.cc libinterp/operators/op-dm-scm.cc
	libinterp/operators/op-dm-sm.cc libinterp/operators/op-dm-
	template.cc libinterp/operators/op-dms-template.cc
	libinterp/operators/op-fcdm-fcdm.cc libinterp/operators/op-fcdm-
	fcm.cc libinterp/operators/op-fcdm-fcs.cc libinterp/operators/op-
	fcdm-fdm.cc libinterp/operators/op-fcdm-fm.cc
	libinterp/operators/op-fcdm-fs.cc libinterp/operators/op-fcm-fcdm.cc
	libinterp/operators/op-fcm-fcm.cc libinterp/operators/op-fcm-fcs.cc
	libinterp/operators/op-fcm-fdm.cc libinterp/operators/op-fcm-fm.cc
	libinterp/operators/op-fcm-fs.cc libinterp/operators/op-fcm-pm.cc
	libinterp/operators/op-fcn.cc libinterp/operators/op-fcs-fcm.cc
	libinterp/operators/op-fcs-fcs.cc libinterp/operators/op-fcs-fm.cc
	libinterp/operators/op-fcs-fs.cc libinterp/operators/op-fdm-fcdm.cc
	libinterp/operators/op-fdm-fcm.cc libinterp/operators/op-fdm-fcs.cc
	libinterp/operators/op-fdm-fdm.cc libinterp/operators/op-fdm-fm.cc
	libinterp/operators/op-fdm-fs.cc libinterp/operators/op-fm-fcdm.cc
	libinterp/operators/op-fm-fcm.cc libinterp/operators/op-fm-fcs.cc
	libinterp/operators/op-fm-fdm.cc libinterp/operators/op-fm-fm.cc
	libinterp/operators/op-fm-fs.cc libinterp/operators/op-fm-pm.cc
	libinterp/operators/op-fs-fcm.cc libinterp/operators/op-fs-fcs.cc
	libinterp/operators/op-fs-fm.cc libinterp/operators/op-fs-fs.cc
	libinterp/operators/op-i16-i16.cc libinterp/operators/op-i32-i32.cc
	libinterp/operators/op-i64-i64.cc libinterp/operators/op-i8-i8.cc
	libinterp/operators/op-int-concat.cc libinterp/operators/op-int.h
	libinterp/operators/op-m-cdm.cc libinterp/operators/op-m-cm.cc
	libinterp/operators/op-m-cs.cc libinterp/operators/op-m-dm.cc
	libinterp/operators/op-m-m.cc libinterp/operators/op-m-pm.cc
	libinterp/operators/op-m-s.cc libinterp/operators/op-m-scm.cc
	libinterp/operators/op-m-sm.cc libinterp/operators/op-mi.cc
	libinterp/operators/op-pm-cm.cc libinterp/operators/op-pm-fcm.cc
	libinterp/operators/op-pm-fm.cc libinterp/operators/op-pm-m.cc
	libinterp/operators/op-pm-pm.cc libinterp/operators/op-pm-scm.cc
	libinterp/operators/op-pm-sm.cc libinterp/operators/op-pm-
	template.cc libinterp/operators/op-range.cc libinterp/operators/op-
	s-cm.cc libinterp/operators/op-s-cs.cc libinterp/operators/op-s-m.cc
	libinterp/operators/op-s-s.cc libinterp/operators/op-s-scm.cc
	libinterp/operators/op-s-sm.cc libinterp/operators/op-sbm-b.cc
	libinterp/operators/op-sbm-bm.cc libinterp/operators/op-sbm-sbm.cc
	libinterp/operators/op-scm-cm.cc libinterp/operators/op-scm-cs.cc
	libinterp/operators/op-scm-m.cc libinterp/operators/op-scm-s.cc
	libinterp/operators/op-scm-scm.cc libinterp/operators/op-scm-sm.cc
	libinterp/operators/op-sm-cm.cc libinterp/operators/op-sm-cs.cc
	libinterp/operators/op-sm-m.cc libinterp/operators/op-sm-s.cc
	libinterp/operators/op-sm-scm.cc libinterp/operators/op-sm-sm.cc
	libinterp/operators/op-str-m.cc libinterp/operators/op-str-s.cc
	libinterp/operators/op-str-str.cc libinterp/operators/op-struct.cc
	libinterp/operators/op-ui16-ui16.cc libinterp/operators/op-
	ui32-ui32.cc libinterp/operators/op-ui64-ui64.cc
	libinterp/operators/op-ui8-ui8.cc libinterp/operators/ops.h
	libinterp/options.h libinterp/parse-tree/anon-fcn-validator.cc
	libinterp/parse-tree/anon-fcn-validator.h libinterp/parse-tree/bp-
	table.cc libinterp/parse-tree/bp-table.h libinterp/parse-
	tree/comment-list.cc libinterp/parse-tree/comment-list.h
	libinterp/parse-tree/filepos.h libinterp/parse-tree/lex.h
	libinterp/parse-tree/lex.ll libinterp/parse-tree/oct-lvalue.cc
	libinterp/parse-tree/oct-lvalue.h libinterp/parse-tree/oct-parse.yy
	libinterp/parse-tree/octave.gperf libinterp/parse-tree/parse.h
	libinterp/parse-tree/profiler.cc libinterp/parse-tree/profiler.h
	libinterp/parse-tree/pt-all.h libinterp/parse-tree/pt-anon-scopes.cc
	libinterp/parse-tree/pt-anon-scopes.h libinterp/parse-tree/pt-arg-
	list.cc libinterp/parse-tree/pt-arg-list.h libinterp/parse-tree/pt-
	args-block.cc libinterp/parse-tree/pt-args-block.h libinterp/parse-
	tree/pt-array-list.cc libinterp/parse-tree/pt-array-list.h
	libinterp/parse-tree/pt-assign.cc libinterp/parse-tree/pt-assign.h
	libinterp/parse-tree/pt-binop.cc libinterp/parse-tree/pt-binop.h
	libinterp/parse-tree/pt-bp.cc libinterp/parse-tree/pt-bp.h
	libinterp/parse-tree/pt-cbinop.cc libinterp/parse-tree/pt-cbinop.h
	libinterp/parse-tree/pt-cell.cc libinterp/parse-tree/pt-cell.h
	libinterp/parse-tree/pt-check.cc libinterp/parse-tree/pt-check.h
	libinterp/parse-tree/pt-classdef.cc libinterp/parse-tree/pt-
	classdef.h libinterp/parse-tree/pt-cmd.h libinterp/parse-tree/pt-
	colon.cc libinterp/parse-tree/pt-colon.h libinterp/parse-tree/pt-
	const.cc libinterp/parse-tree/pt-const.h libinterp/parse-tree/pt-
	decl.cc libinterp/parse-tree/pt-decl.h libinterp/parse-tree/pt-
	eval.cc libinterp/parse-tree/pt-eval.h libinterp/parse-tree/pt-
	except.cc libinterp/parse-tree/pt-except.h libinterp/parse-tree/pt-
	exp.cc libinterp/parse-tree/pt-exp.h libinterp/parse-tree/pt-fcn-
	handle.cc libinterp/parse-tree/pt-fcn-handle.h libinterp/parse-
	tree/pt-id.cc libinterp/parse-tree/pt-id.h libinterp/parse-tree/pt-
	idx.cc libinterp/parse-tree/pt-idx.h libinterp/parse-tree/pt-jump.h
	libinterp/parse-tree/pt-loop.cc libinterp/parse-tree/pt-loop.h
	libinterp/parse-tree/pt-mat.cc libinterp/parse-tree/pt-mat.h
	libinterp/parse-tree/pt-misc.cc libinterp/parse-tree/pt-misc.h
	libinterp/parse-tree/pt-pr-code.cc libinterp/parse-tree/pt-pr-code.h
	libinterp/parse-tree/pt-select.cc libinterp/parse-tree/pt-select.h
	libinterp/parse-tree/pt-spmd.cc libinterp/parse-tree/pt-spmd.h
	libinterp/parse-tree/pt-stmt.cc libinterp/parse-tree/pt-stmt.h
	libinterp/parse-tree/pt-tm-const.cc libinterp/parse-tree/pt-tm-
	const.h libinterp/parse-tree/pt-unop.cc libinterp/parse-tree/pt-
	unop.h libinterp/parse-tree/pt-walk.cc libinterp/parse-tree/pt-
	walk.h libinterp/parse-tree/pt.cc libinterp/parse-tree/pt.h
	libinterp/parse-tree/token.cc libinterp/parse-tree/token.h
	libinterp/template-inst/Array-tc.cc libinterp/template-inst/Array.cc
	libinterp/usage.h liboctave/array/Array-C.cc
	liboctave/array/Array-b.cc liboctave/array/Array-base.cc
	liboctave/array/Array-ch.cc liboctave/array/Array-d.cc
	liboctave/array/Array-f.cc liboctave/array/Array-fC.cc
	liboctave/array/Array-fwd.h liboctave/array/Array-i.cc
	liboctave/array/Array-idx-vec.cc liboctave/array/Array-oct.cc
	liboctave/array/Array-s.cc liboctave/array/Array-str.cc
	liboctave/array/Array-util.cc liboctave/array/Array-util.h
	liboctave/array/Array-voidp.cc liboctave/array/Array.h
	liboctave/array/CColVector.cc liboctave/array/CColVector.h
	liboctave/array/CDiagMatrix.cc liboctave/array/CDiagMatrix.h
	liboctave/array/CMatrix.cc liboctave/array/CMatrix.h
	liboctave/array/CNDArray.cc liboctave/array/CNDArray.h
	liboctave/array/CRowVector.cc liboctave/array/CRowVector.h
	liboctave/array/CSparse.cc liboctave/array/CSparse.h
	liboctave/array/DiagArray2.cc liboctave/array/DiagArray2.h
	liboctave/array/MArray-C.cc liboctave/array/MArray-d.cc
	liboctave/array/MArray-f.cc liboctave/array/MArray-fC.cc
	liboctave/array/MArray-fwd.h liboctave/array/MArray-i.cc
	liboctave/array/MArray-s.cc liboctave/array/MArray.cc
	liboctave/array/MArray.h liboctave/array/MDiagArray2.cc
	liboctave/array/MDiagArray2.h liboctave/array/MSparse-C.cc
	liboctave/array/MSparse-d.cc liboctave/array/MSparse.cc
	liboctave/array/MSparse.h liboctave/array/Matrix.h
	liboctave/array/MatrixType.cc liboctave/array/MatrixType.h
	liboctave/array/PermMatrix.cc liboctave/array/PermMatrix.h
	liboctave/array/Range.cc liboctave/array/Range.h
	liboctave/array/Sparse-C.cc liboctave/array/Sparse-b.cc
	liboctave/array/Sparse-d.cc liboctave/array/Sparse-fwd.h
	liboctave/array/Sparse.cc liboctave/array/Sparse.h
	liboctave/array/boolMatrix.cc liboctave/array/boolMatrix.h
	liboctave/array/boolNDArray.cc liboctave/array/boolNDArray.h
	liboctave/array/boolSparse.cc liboctave/array/boolSparse.h
	liboctave/array/chMatrix.cc liboctave/array/chMatrix.h
	liboctave/array/chNDArray.cc liboctave/array/chNDArray.h
	liboctave/array/dColVector.cc liboctave/array/dColVector.h
	liboctave/array/dDiagMatrix.cc liboctave/array/dDiagMatrix.h
	liboctave/array/dMatrix.cc liboctave/array/dMatrix.h
	liboctave/array/dNDArray.cc liboctave/array/dNDArray.h
	liboctave/array/dRowVector.cc liboctave/array/dRowVector.h
	liboctave/array/dSparse.cc liboctave/array/dSparse.h
	liboctave/array/dim-vector.cc liboctave/array/dim-vector.h
	liboctave/array/fCColVector.cc liboctave/array/fCColVector.h
	liboctave/array/fCDiagMatrix.cc liboctave/array/fCDiagMatrix.h
	liboctave/array/fCMatrix.cc liboctave/array/fCMatrix.h
	liboctave/array/fCNDArray.cc liboctave/array/fCNDArray.h
	liboctave/array/fCRowVector.cc liboctave/array/fCRowVector.h
	liboctave/array/fColVector.cc liboctave/array/fColVector.h
	liboctave/array/fDiagMatrix.cc liboctave/array/fDiagMatrix.h
	liboctave/array/fMatrix.cc liboctave/array/fMatrix.h
	liboctave/array/fNDArray.cc liboctave/array/fNDArray.h
	liboctave/array/fRowVector.cc liboctave/array/fRowVector.h
	liboctave/array/idx-vector.cc liboctave/array/idx-vector.h
	liboctave/array/int16NDArray.cc liboctave/array/int16NDArray.h
	liboctave/array/int32NDArray.cc liboctave/array/int32NDArray.h
	liboctave/array/int64NDArray.cc liboctave/array/int64NDArray.h
	liboctave/array/int8NDArray.cc liboctave/array/int8NDArray.h
	liboctave/array/intNDArray-fwd.h liboctave/array/intNDArray.cc
	liboctave/array/intNDArray.h liboctave/array/mx-fwd.h
	liboctave/array/range-fwd.h liboctave/array/uint16NDArray.cc
	liboctave/array/uint16NDArray.h liboctave/array/uint32NDArray.cc
	liboctave/array/uint32NDArray.h liboctave/array/uint64NDArray.cc
	liboctave/array/uint64NDArray.h liboctave/array/uint8NDArray.cc
	liboctave/array/uint8NDArray.h liboctave/external/blas-xtra/cconv2.f
	liboctave/external/blas-xtra/cdotc3.f liboctave/external/blas-
	xtra/cmatm3.f liboctave/external/blas-xtra/csconv2.f
	liboctave/external/blas-xtra/dconv2.f liboctave/external/blas-
	xtra/ddot3.f liboctave/external/blas-xtra/dmatm3.f
	liboctave/external/blas-xtra/sconv2.f liboctave/external/blas-
	xtra/sdot3.f liboctave/external/blas-xtra/smatm3.f
	liboctave/external/blas-xtra/xerbla.cc liboctave/external/blas-
	xtra/zconv2.f liboctave/external/blas-xtra/zdconv2.f
	liboctave/external/blas-xtra/zdotc3.f liboctave/external/blas-
	xtra/zmatm3.f liboctave/external/lapack-xtra/crsf2csf.f
	liboctave/external/lapack-xtra/zrsf2csf.f
	liboctave/external/mk-f77-def.in.sh liboctave/liboctave-build-info.h
	liboctave/liboctave-build-info.in.cc liboctave/mk-version-h.in.sh
	liboctave/numeric/CollocWt.cc liboctave/numeric/CollocWt.h
	liboctave/numeric/DAE.h liboctave/numeric/DAEFunc.h
	liboctave/numeric/DAERT.h liboctave/numeric/DAERTFunc.h
	liboctave/numeric/DASPK-opts.in liboctave/numeric/DASPK.cc
	liboctave/numeric/DASPK.h liboctave/numeric/DASRT-opts.in
	liboctave/numeric/DASRT.cc liboctave/numeric/DASRT.h
	liboctave/numeric/DASSL-opts.in liboctave/numeric/DASSL.cc
	liboctave/numeric/DASSL.h liboctave/numeric/DET.h
	liboctave/numeric/EIG.cc liboctave/numeric/EIG.h
	liboctave/numeric/LSODE-opts.in liboctave/numeric/LSODE.cc
	liboctave/numeric/LSODE.h liboctave/numeric/ODE.h
	liboctave/numeric/ODEFunc.h liboctave/numeric/ODES.cc
	liboctave/numeric/ODES.h liboctave/numeric/ODESFunc.h
	liboctave/numeric/Quad-opts.in liboctave/numeric/Quad.cc
	liboctave/numeric/Quad.h liboctave/numeric/aepbalance.cc
	liboctave/numeric/aepbalance.h liboctave/numeric/base-dae.h
	liboctave/numeric/base-de.h liboctave/numeric/bsxfun-decl.h
	liboctave/numeric/bsxfun-defs.cc liboctave/numeric/bsxfun.h
	liboctave/numeric/chol.cc liboctave/numeric/chol.h
	liboctave/numeric/eigs-base.cc liboctave/numeric/eigs-base.h
	liboctave/numeric/fEIG.cc liboctave/numeric/fEIG.h
	liboctave/numeric/gepbalance.cc liboctave/numeric/gepbalance.h
	liboctave/numeric/gsvd.cc liboctave/numeric/gsvd.h
	liboctave/numeric/hess.cc liboctave/numeric/hess.h
	liboctave/numeric/lo-amos-proto.h liboctave/numeric/lo-arpack-
	proto.h liboctave/numeric/lo-blas-proto.h liboctave/numeric/lo-
	lapack-proto.h liboctave/numeric/lo-mappers.cc liboctave/numeric/lo-
	mappers.h liboctave/numeric/lo-qrupdate-proto.h
	liboctave/numeric/lo-ranlib-proto.h liboctave/numeric/lo-slatec-
	proto.h liboctave/numeric/lo-specfun.cc liboctave/numeric/lo-
	specfun.h liboctave/numeric/lu.cc liboctave/numeric/lu.h
	liboctave/numeric/oct-convn.cc liboctave/numeric/oct-convn.h
	liboctave/numeric/oct-fftw.cc liboctave/numeric/oct-fftw.h
	liboctave/numeric/oct-norm.cc liboctave/numeric/oct-norm.h
	liboctave/numeric/oct-rand.cc liboctave/numeric/oct-rand.h
	liboctave/numeric/oct-spparms.cc liboctave/numeric/oct-spparms.h
	liboctave/numeric/qr.cc liboctave/numeric/qr.h
	liboctave/numeric/qrp.cc liboctave/numeric/qrp.h
	liboctave/numeric/randgamma.cc liboctave/numeric/randgamma.h
	liboctave/numeric/randmtzig.cc liboctave/numeric/randmtzig.h
	liboctave/numeric/randpoisson.cc liboctave/numeric/randpoisson.h
	liboctave/numeric/schur.cc liboctave/numeric/schur.h
	liboctave/numeric/sparse-chol.cc liboctave/numeric/sparse-chol.h
	liboctave/numeric/sparse-dmsolve.cc liboctave/numeric/sparse-
	dmsolve.h liboctave/numeric/sparse-lu.cc liboctave/numeric/sparse-
	lu.h liboctave/numeric/sparse-qr.cc liboctave/numeric/sparse-qr.h
	liboctave/numeric/svd.cc liboctave/numeric/svd.h
	liboctave/operators/Sparse-diag-op-defs.h
	liboctave/operators/Sparse-op-decls.h liboctave/operators/Sparse-op-
	defs.h liboctave/operators/Sparse-perm-op-defs.h
	liboctave/operators/config-ops.sh liboctave/operators/mk-ops.awk
	liboctave/operators/mx-base.h liboctave/operators/mx-defs.h
	liboctave/operators/mx-ext.h liboctave/operators/mx-inlines.cc
	liboctave/operators/mx-op-decl.h liboctave/operators/mx-op-defs.h
	liboctave/operators/mx-ops liboctave/operators/smx-ops
	liboctave/operators/vx-ops liboctave/system/child-list.cc
	liboctave/system/child-list.h liboctave/system/cmach-info.c
	liboctave/system/cmach-info.h liboctave/system/dir-ops.cc
	liboctave/system/dir-ops.h liboctave/system/file-ops.cc
	liboctave/system/file-ops.h liboctave/system/file-stat.cc
	liboctave/system/file-stat.h liboctave/system/lo-sysdep.cc
	liboctave/system/lo-sysdep.h liboctave/system/lo-sysinfo.cc
	liboctave/system/lo-sysinfo.h liboctave/system/mach-info.cc
	liboctave/system/mach-info.h liboctave/system/oct-env.cc
	liboctave/system/oct-env.h liboctave/system/oct-group.cc
	liboctave/system/oct-group.h liboctave/system/oct-password.cc
	liboctave/system/oct-password.h liboctave/system/oct-syscalls.cc
	liboctave/system/oct-syscalls.h liboctave/system/oct-time.cc
	liboctave/system/oct-time.h liboctave/system/oct-uname.cc
	liboctave/system/oct-uname.h liboctave/util/action-container.cc
	liboctave/util/action-container.h liboctave/util/base-list.h
	liboctave/util/blaswrap.c liboctave/util/byte-swap.h
	liboctave/util/caseless-str.h liboctave/util/cmd-edit.cc
	liboctave/util/cmd-edit.h liboctave/util/cmd-hist.cc
	liboctave/util/cmd-hist.h liboctave/util/d1mach-tst.for
	liboctave/util/d1mach.f liboctave/util/data-conv.cc
	liboctave/util/data-conv.h liboctave/util/f77-dummy-main.cc
	liboctave/util/f77-fcn.c liboctave/util/f77-fcn.h
	liboctave/util/file-info.cc liboctave/util/file-info.h
	liboctave/util/glob-match.cc liboctave/util/glob-match.h
	liboctave/util/i1mach.f liboctave/util/kpse.cc liboctave/util/kpse.h
	liboctave/util/lo-array-errwarn.cc liboctave/util/lo-array-errwarn.h
	liboctave/util/lo-error.c liboctave/util/lo-error.h
	liboctave/util/lo-hash.cc liboctave/util/lo-hash.h
	liboctave/util/lo-ieee.cc liboctave/util/lo-ieee.h
	liboctave/util/lo-regexp.cc liboctave/util/lo-regexp.h
	liboctave/util/lo-traits.h liboctave/util/lo-utils.cc
	liboctave/util/lo-utils.h liboctave/util/oct-atomic.c
	liboctave/util/oct-atomic.h liboctave/util/oct-base64.cc
	liboctave/util/oct-base64.h liboctave/util/oct-binmap.h
	liboctave/util/oct-cmplx.cc liboctave/util/oct-cmplx.h
	liboctave/util/oct-glob.cc liboctave/util/oct-glob.h
	liboctave/util/oct-inttypes-fwd.h liboctave/util/oct-inttypes.cc
	liboctave/util/oct-inttypes.h liboctave/util/oct-locbuf.h
	liboctave/util/oct-mutex.cc liboctave/util/oct-mutex.h
	liboctave/util/oct-refcount.h liboctave/util/oct-rl-edit.c
	liboctave/util/oct-rl-edit.h liboctave/util/oct-rl-hist.c
	liboctave/util/oct-rl-hist.h liboctave/util/oct-shlib.cc
	liboctave/util/oct-shlib.h liboctave/util/oct-sort.cc
	liboctave/util/oct-sort.h liboctave/util/oct-sparse.cc
	liboctave/util/oct-sparse.h liboctave/util/oct-string.cc
	liboctave/util/oct-string.h liboctave/util/octave-preserve-stream-
	state.h liboctave/util/pathsearch.cc liboctave/util/pathsearch.h
	liboctave/util/quit.cc liboctave/util/quit.h liboctave/util/r1mach.f
	liboctave/util/singleton-cleanup.cc liboctave/util/singleton-
	cleanup.h liboctave/util/sparse-util.cc liboctave/util/sparse-util.h
	liboctave/util/str-vec.cc liboctave/util/str-vec.h
	liboctave/util/unwind-prot.cc liboctave/util/unwind-prot.h
	liboctave/util/url-transfer.cc liboctave/util/url-transfer.h
	liboctave/version.cc liboctave/version.in.h
	liboctave/wrappers/areadlink-wrapper.c liboctave/wrappers/areadlink-
	wrapper.h liboctave/wrappers/async-system-wrapper.c
	liboctave/wrappers/async-system-wrapper.h
	liboctave/wrappers/base64-wrappers.c
	liboctave/wrappers/base64-wrappers.h
	liboctave/wrappers/canonicalize-file-name-wrapper.c
	liboctave/wrappers/canonicalize-file-name-wrapper.h
	liboctave/wrappers/cxx-signal-helpers.cc liboctave/wrappers/dirent-
	wrappers.c liboctave/wrappers/dirent-wrappers.h
	liboctave/wrappers/fcntl-wrappers.c liboctave/wrappers/fcntl-
	wrappers.h liboctave/wrappers/filepos-wrappers.c
	liboctave/wrappers/filepos-wrappers.h liboctave/wrappers/fpucw-
	wrappers.c liboctave/wrappers/fpucw-wrappers.h
	liboctave/wrappers/gen-tempname-wrapper.c liboctave/wrappers/gen-
	tempname-wrapper.h liboctave/wrappers/getopt-wrapper.c
	liboctave/wrappers/getopt-wrapper.h liboctave/wrappers/glob-
	wrappers.c liboctave/wrappers/glob-wrappers.h
	liboctave/wrappers/hash-wrappers.c liboctave/wrappers/hash-
	wrappers.h liboctave/wrappers/iconv-wrappers.c
	liboctave/wrappers/iconv-wrappers.h liboctave/wrappers/intprops-
	wrappers.c liboctave/wrappers/intprops-wrappers.h
	liboctave/wrappers/localcharset-wrapper.c
	liboctave/wrappers/localcharset-wrapper.h liboctave/wrappers/math-
	wrappers.c liboctave/wrappers/math-wrappers.h
	liboctave/wrappers/mkostemp-wrapper.c liboctave/wrappers/mkostemp-
	wrapper.h liboctave/wrappers/mkostemps-wrapper.c
	liboctave/wrappers/mkostemps-wrapper.h liboctave/wrappers/nanosleep-
	wrapper.c liboctave/wrappers/nanosleep-wrapper.h
	liboctave/wrappers/nproc-wrapper.c liboctave/wrappers/nproc-
	wrapper.h liboctave/wrappers/octave-popen2.c
	liboctave/wrappers/octave-popen2.h liboctave/wrappers/putenv-
	wrapper.c liboctave/wrappers/putenv-wrapper.h
	liboctave/wrappers/pwd-wrappers.c liboctave/wrappers/pwd-wrappers.h
	liboctave/wrappers/set-program-name-wrapper.c
	liboctave/wrappers/set-program-name-wrapper.h
	liboctave/wrappers/signal-wrappers.c liboctave/wrappers/signal-
	wrappers.h liboctave/wrappers/stat-wrappers.c
	liboctave/wrappers/stat-wrappers.h liboctave/wrappers/strcase-
	wrappers.c liboctave/wrappers/strcase-wrappers.h
	liboctave/wrappers/strdup-wrapper.c liboctave/wrappers/strdup-
	wrapper.h liboctave/wrappers/strftime-wrapper.c
	liboctave/wrappers/strftime-wrapper.h liboctave/wrappers/strmode-
	wrapper.c liboctave/wrappers/strmode-wrapper.h
	liboctave/wrappers/strptime-wrapper.c liboctave/wrappers/strptime-
	wrapper.h liboctave/wrappers/time-wrappers.c
	liboctave/wrappers/time-wrappers.h liboctave/wrappers/uname-
	wrapper.c liboctave/wrappers/uname-wrapper.h
	liboctave/wrappers/unicase-wrappers.c liboctave/wrappers/unicase-
	wrappers.h liboctave/wrappers/uniconv-wrappers.c
	liboctave/wrappers/uniconv-wrappers.h liboctave/wrappers/unictype-
	wrappers.c liboctave/wrappers/unictype-wrappers.h
	liboctave/wrappers/unistd-wrappers.c liboctave/wrappers/unistd-
	wrappers.h liboctave/wrappers/unistr-wrappers.c
	liboctave/wrappers/unistr-wrappers.h liboctave/wrappers/unsetenv-
	wrapper.c liboctave/wrappers/unsetenv-wrapper.h
	liboctave/wrappers/vasprintf-wrapper.c liboctave/wrappers/vasprintf-
	wrapper.h liboctave/wrappers/wait-for-input.c
	liboctave/wrappers/wait-for-input.h liboctave/wrappers/wait-
	wrappers.c liboctave/wrappers/wait-wrappers.h m4/acinclude.m4
	m4/octave_blas.m4 oct-conf-post-private.in.h oct-conf-post-
	public.in.h run-octave.in scripts/+containers/Map.m
	scripts/+matlab/+lang/MemoizedFunction.m
	scripts/+matlab/+lang/makeUniqueStrings.m
	scripts/+matlab/+lang/makeValidName.m
	scripts/+matlab/+net/base64decode.m
	scripts/+matlab/+net/base64encode.m scripts/@ftp/ascii.m
	scripts/@ftp/binary.m scripts/@ftp/cd.m scripts/@ftp/close.m
	scripts/@ftp/delete.m scripts/@ftp/dir.m scripts/@ftp/disp.m
	scripts/@ftp/ftp.m scripts/@ftp/loadobj.m scripts/@ftp/mget.m
	scripts/@ftp/mkdir.m scripts/@ftp/mput.m scripts/@ftp/rename.m
	scripts/@ftp/rmdir.m scripts/@ftp/saveobj.m
	scripts/audio/@audioplayer/__get_properties__.m
	scripts/audio/@audioplayer/audioplayer.m
	scripts/audio/@audioplayer/disp.m scripts/audio/@audioplayer/get.m
	scripts/audio/@audioplayer/isplaying.m
	scripts/audio/@audioplayer/pause.m scripts/audio/@audioplayer/play.m
	scripts/audio/@audioplayer/playblocking.m
	scripts/audio/@audioplayer/resume.m scripts/audio/@audioplayer/set.m
	scripts/audio/@audioplayer/stop.m
	scripts/audio/@audioplayer/subsasgn.m
	scripts/audio/@audioplayer/subsref.m
	scripts/audio/@audiorecorder/__get_properties__.m
	scripts/audio/@audiorecorder/audiorecorder.m
	scripts/audio/@audiorecorder/disp.m
	scripts/audio/@audiorecorder/get.m
	scripts/audio/@audiorecorder/getaudiodata.m
	scripts/audio/@audiorecorder/getplayer.m
	scripts/audio/@audiorecorder/isrecording.m
	scripts/audio/@audiorecorder/pause.m
	scripts/audio/@audiorecorder/play.m
	scripts/audio/@audiorecorder/record.m
	scripts/audio/@audiorecorder/recordblocking.m
	scripts/audio/@audiorecorder/resume.m
	scripts/audio/@audiorecorder/set.m
	scripts/audio/@audiorecorder/stop.m
	scripts/audio/@audiorecorder/subsasgn.m
	scripts/audio/@audiorecorder/subsref.m scripts/audio/lin2mu.m
	scripts/audio/mu2lin.m scripts/audio/record.m scripts/audio/sound.m
	scripts/audio/soundsc.m scripts/deprecated/shift.m
	scripts/deprecated/sparse_auto_mutate.m scripts/elfun/acosd.m
	scripts/elfun/acot.m scripts/elfun/acotd.m scripts/elfun/acoth.m
	scripts/elfun/acsc.m scripts/elfun/acscd.m scripts/elfun/acsch.m
	scripts/elfun/asec.m scripts/elfun/asecd.m scripts/elfun/asech.m
	scripts/elfun/asind.m scripts/elfun/atan2d.m scripts/elfun/atand.m
	scripts/elfun/cosd.m scripts/elfun/cospi.m scripts/elfun/cot.m
	scripts/elfun/cotd.m scripts/elfun/coth.m scripts/elfun/csc.m
	scripts/elfun/cscd.m scripts/elfun/csch.m scripts/elfun/sec.m
	scripts/elfun/secd.m scripts/elfun/sech.m scripts/elfun/sind.m
	scripts/elfun/sinpi.m scripts/elfun/tand.m
	scripts/general/accumarray.m scripts/general/accumdim.m
	scripts/general/bincoeff.m scripts/general/bitcmp.m
	scripts/general/bitget.m scripts/general/bitset.m
	scripts/general/blkdiag.m scripts/general/cart2pol.m
	scripts/general/cart2sph.m scripts/general/cell2mat.m
	scripts/general/celldisp.m scripts/general/circshift.m
	scripts/general/common_size.m scripts/general/cplxpair.m
	scripts/general/cumtrapz.m scripts/general/curl.m
	scripts/general/dblquad.m scripts/general/deal.m
	scripts/general/deg2rad.m scripts/general/del2.m
	scripts/general/divergence.m scripts/general/flip.m
	scripts/general/fliplr.m scripts/general/flipud.m
	scripts/general/gradient.m scripts/general/idivide.m
	scripts/general/int2str.m scripts/general/integral.m
	scripts/general/integral2.m scripts/general/integral3.m
	scripts/general/interp1.m scripts/general/interp2.m
	scripts/general/interp3.m scripts/general/interpft.m
	scripts/general/interpn.m scripts/general/isequal.m
	scripts/general/isequaln.m scripts/general/isuniform.m
	scripts/general/logspace.m scripts/general/nextpow2.m
	scripts/general/num2str.m scripts/general/pagectranspose.m
	scripts/general/pagetranspose.m scripts/general/pol2cart.m
	scripts/general/polyarea.m scripts/general/postpad.m
	scripts/general/prepad.m scripts/general/private/__splinen__.m
	scripts/general/quad2d.m scripts/general/quadgk.m
	scripts/general/quadl.m scripts/general/quadv.m
	scripts/general/rad2deg.m scripts/general/randi.m
	scripts/general/rat.m scripts/general/repelem.m
	scripts/general/repmat.m scripts/general/rescale.m
	scripts/general/rng.m scripts/general/rot90.m
	scripts/general/rotdim.m scripts/general/shiftdim.m
	scripts/general/sortrows.m scripts/general/sph2cart.m
	scripts/general/structfun.m scripts/general/subsindex.m
	scripts/general/trapz.m scripts/general/triplequad.m
	scripts/general/xor.m scripts/geometry/convhull.m
	scripts/geometry/delaunay.m scripts/geometry/delaunayn.m
	scripts/geometry/dsearch.m scripts/geometry/dsearchn.m
	scripts/geometry/griddata.m scripts/geometry/griddata3.m
	scripts/geometry/griddatan.m scripts/geometry/inpolygon.m
	scripts/geometry/rectint.m scripts/geometry/rotx.m
	scripts/geometry/roty.m scripts/geometry/rotz.m
	scripts/geometry/tsearchn.m scripts/geometry/voronoi.m
	scripts/geometry/voronoin.m scripts/gui/dialog.m
	scripts/gui/errordlg.m scripts/gui/getappdata.m
	scripts/gui/getpixelposition.m scripts/gui/guidata.m
	scripts/gui/guihandles.m scripts/gui/helpdlg.m
	scripts/gui/inputdlg.m scripts/gui/isappdata.m scripts/gui/listdlg.m
	scripts/gui/listfonts.m scripts/gui/movegui.m scripts/gui/msgbox.m
	scripts/gui/private/__file_filter__.m
	scripts/gui/private/__fltk_file_filter__.m
	scripts/gui/private/__get_funcname__.m
	scripts/gui/private/__is_function__.m
	scripts/gui/private/__ok_cancel_dlg__.m
	scripts/gui/private/__uigetdir_fltk__.m
	scripts/gui/private/__uigetfile_fltk__.m
	scripts/gui/private/__uiobject_split_args__.m
	scripts/gui/private/__uiputfile_fltk__.m scripts/gui/questdlg.m
	scripts/gui/rmappdata.m scripts/gui/setappdata.m
	scripts/gui/uibuttongroup.m scripts/gui/uicontextmenu.m
	scripts/gui/uicontrol.m scripts/gui/uifigure.m
	scripts/gui/uigetdir.m scripts/gui/uigetfile.m scripts/gui/uimenu.m
	scripts/gui/uipanel.m scripts/gui/uipushtool.m
	scripts/gui/uiputfile.m scripts/gui/uiresume.m
	scripts/gui/uisetfont.m scripts/gui/uitable.m
	scripts/gui/uitoggletool.m scripts/gui/uitoolbar.m
	scripts/gui/uiwait.m scripts/gui/waitbar.m
	scripts/gui/waitforbuttonpress.m scripts/gui/warndlg.m
	scripts/help/__gripe_missing_component__.m
	scripts/help/__makeinfo__.m scripts/help/__unimplemented__.m
	scripts/help/ans.m scripts/help/bessel.m scripts/help/debug.m
	scripts/help/doc.m scripts/help/doc_cache_create.m
	scripts/help/error_ids.m scripts/help/get_first_help_sentence.m
	scripts/help/help.m scripts/help/lookfor.m
	scripts/help/print_usage.m
	scripts/help/private/__additional_help_message__.m
	scripts/help/private/__strip_html_tags__.m scripts/help/slash.m
	scripts/help/type.m scripts/help/warning_ids.m scripts/help/which.m
	scripts/image/autumn.m scripts/image/bone.m scripts/image/brighten.m
	scripts/image/cmpermute.m scripts/image/cmunique.m
	scripts/image/colorcube.m scripts/image/colormap.m
	scripts/image/contrast.m scripts/image/cool.m scripts/image/copper.m
	scripts/image/cubehelix.m scripts/image/flag.m
	scripts/image/frame2im.m scripts/image/getframe.m
	scripts/image/gray.m scripts/image/gray2ind.m scripts/image/hot.m
	scripts/image/hsv.m scripts/image/hsv2rgb.m
	scripts/image/im2double.m scripts/image/im2frame.m
	scripts/image/image.m scripts/image/imagesc.m
	scripts/image/imfinfo.m scripts/image/imformats.m
	scripts/image/imread.m scripts/image/imshow.m
	scripts/image/imwrite.m scripts/image/ind2gray.m
	scripts/image/ind2rgb.m scripts/image/iscolormap.m
	scripts/image/jet.m scripts/image/lines.m scripts/image/movie.m
	scripts/image/ocean.m scripts/image/pink.m scripts/image/prism.m
	scripts/image/private/__imfinfo__.m
	scripts/image/private/__imread__.m
	scripts/image/private/__imwrite__.m
	scripts/image/private/colorspace_conversion_input_check.m
	scripts/image/private/colorspace_conversion_revert.m
	scripts/image/private/imageIO.m
	scripts/image/private/imwrite_filename.m
	scripts/image/private/ind2x.m scripts/image/rainbow.m
	scripts/image/rgb2gray.m scripts/image/rgb2hsv.m
	scripts/image/rgb2ind.m scripts/image/rgbplot.m
	scripts/image/spinmap.m scripts/image/spring.m
	scripts/image/summer.m scripts/image/turbo.m scripts/image/viridis.m
	scripts/image/white.m scripts/image/winter.m scripts/io/beep.m
	scripts/io/csvread.m scripts/io/csvwrite.m scripts/io/dlmwrite.m
	scripts/io/fileread.m scripts/io/importdata.m
	scripts/io/is_valid_file_id.m scripts/java/javaArray.m
	scripts/java/java_get.m scripts/java/java_set.m
	scripts/java/javaaddpath.m scripts/java/javachk.m
	scripts/java/javaclasspath.m scripts/java/javamem.m
	scripts/java/javarmpath.m scripts/java/org/octave/ClassHelper.java
	scripts/java/org/octave/Matrix.java
	scripts/java/org/octave/OctClassLoader.java
	scripts/java/org/octave/Octave.java
	scripts/java/org/octave/OctaveReference.java scripts/java/usejava.m
	scripts/legacy/@inline/argnames.m scripts/legacy/@inline/cat.m
	scripts/legacy/@inline/char.m scripts/legacy/@inline/disp.m
	scripts/legacy/@inline/exist.m scripts/legacy/@inline/feval.m
	scripts/legacy/@inline/formula.m scripts/legacy/@inline/horzcat.m
	scripts/legacy/@inline/inline.m scripts/legacy/@inline/nargin.m
	scripts/legacy/@inline/nargout.m scripts/legacy/@inline/subsref.m
	scripts/legacy/@inline/symvar.m scripts/legacy/@inline/vectorize.m
	scripts/legacy/@inline/vertcat.m scripts/legacy/__vectorize__.m
	scripts/legacy/findstr.m scripts/legacy/flipdim.m
	scripts/legacy/genvarname.m scripts/legacy/isdir.m
	scripts/legacy/isequalwithequalnans.m scripts/legacy/isstr.m
	scripts/legacy/maxNumCompThreads.m scripts/legacy/setstr.m
	scripts/legacy/strmatch.m scripts/legacy/strread.m
	scripts/legacy/textread.m scripts/legacy/vectorize.m scripts/linear-
	algebra/bandwidth.m scripts/linear-algebra/commutation_matrix.m
	scripts/linear-algebra/cond.m scripts/linear-algebra/condeig.m
	scripts/linear-algebra/condest.m scripts/linear-algebra/cross.m
	scripts/linear-algebra/duplication_matrix.m scripts/linear-
	algebra/expm.m scripts/linear-algebra/gls.m scripts/linear-
	algebra/housh.m scripts/linear-algebra/isbanded.m scripts/linear-
	algebra/isdefinite.m scripts/linear-algebra/isdiag.m scripts/linear-
	algebra/ishermitian.m scripts/linear-algebra/issymmetric.m
	scripts/linear-algebra/istril.m scripts/linear-algebra/istriu.m
	scripts/linear-algebra/krylov.m scripts/linear-algebra/linsolve.m
	scripts/linear-algebra/logm.m scripts/linear-algebra/lscov.m
	scripts/linear-algebra/normest.m scripts/linear-algebra/normest1.m
	scripts/linear-algebra/null.m scripts/linear-algebra/ols.m
	scripts/linear-algebra/ordeig.m scripts/linear-algebra/orth.m
	scripts/linear-algebra/planerot.m scripts/linear-algebra/qzhess.m
	scripts/linear-algebra/rank.m scripts/linear-algebra/rref.m
	scripts/linear-algebra/subspace.m scripts/linear-
	algebra/tensorprod.m scripts/linear-algebra/trace.m scripts/linear-
	algebra/vech.m scripts/linear-algebra/vecnorm.m
	scripts/miscellaneous/bug_report.m scripts/miscellaneous/bunzip2.m
	scripts/miscellaneous/cast.m scripts/miscellaneous/citation.m
	scripts/miscellaneous/clearAllMemoizedCaches.m
	scripts/miscellaneous/clearvars.m
	scripts/miscellaneous/compare_versions.m
	scripts/miscellaneous/computer.m scripts/miscellaneous/copyfile.m
	scripts/miscellaneous/delete.m scripts/miscellaneous/dir.m
	scripts/miscellaneous/dos.m scripts/miscellaneous/edit.m
	scripts/miscellaneous/fieldnames.m
	scripts/miscellaneous/fileattrib.m scripts/miscellaneous/fileparts.m
	scripts/miscellaneous/fullfile.m scripts/miscellaneous/getfield.m
	scripts/miscellaneous/grabcode.m scripts/miscellaneous/gunzip.m
	scripts/miscellaneous/info.m scripts/miscellaneous/inputParser.m
	scripts/miscellaneous/inputname.m scripts/miscellaneous/isdeployed.m
	scripts/miscellaneous/isfile.m scripts/miscellaneous/isfolder.m
	scripts/miscellaneous/ismac.m scripts/miscellaneous/ismethod.m
	scripts/miscellaneous/ispc.m scripts/miscellaneous/isunix.m
	scripts/miscellaneous/jupyter_notebook.m
	scripts/miscellaneous/license.m scripts/miscellaneous/list_primes.m
	scripts/miscellaneous/loadobj.m scripts/miscellaneous/ls.m
	scripts/miscellaneous/ls_command.m scripts/miscellaneous/memoize.m
	scripts/miscellaneous/memory.m scripts/miscellaneous/menu.m
	scripts/miscellaneous/methods.m scripts/miscellaneous/mex.m
	scripts/miscellaneous/mexext.m scripts/miscellaneous/mkdir.m
	scripts/miscellaneous/mkoctfile.m scripts/miscellaneous/movefile.m
	scripts/miscellaneous/mustBeFinite.m
	scripts/miscellaneous/mustBeGreaterThan.m
	scripts/miscellaneous/mustBeGreaterThanOrEqual.m
	scripts/miscellaneous/mustBeInteger.m
	scripts/miscellaneous/mustBeLessThan.m
	scripts/miscellaneous/mustBeLessThanOrEqual.m
	scripts/miscellaneous/mustBeMember.m
	scripts/miscellaneous/mustBeNegative.m
	scripts/miscellaneous/mustBeNonNan.m
	scripts/miscellaneous/mustBeNonempty.m
	scripts/miscellaneous/mustBeNonnegative.m
	scripts/miscellaneous/mustBeNonpositive.m
	scripts/miscellaneous/mustBeNonsparse.m
	scripts/miscellaneous/mustBeNonzero.m
	scripts/miscellaneous/mustBeNumeric.m
	scripts/miscellaneous/mustBeNumericOrLogical.m
	scripts/miscellaneous/mustBePositive.m
	scripts/miscellaneous/mustBeReal.m
	scripts/miscellaneous/namedargs2cell.m
	scripts/miscellaneous/namelengthmax.m
	scripts/miscellaneous/nargchk.m scripts/miscellaneous/narginchk.m
	scripts/miscellaneous/nargoutchk.m scripts/miscellaneous/news.m
	scripts/miscellaneous/nthargout.m scripts/miscellaneous/open.m
	scripts/miscellaneous/orderfields.m scripts/miscellaneous/pack.m
	scripts/miscellaneous/parseparams.m scripts/miscellaneous/perl.m
	scripts/miscellaneous/private/__memoize__.m
	scripts/miscellaneous/private/__publish_html_output__.m
	scripts/miscellaneous/private/__publish_latex_output__.m
	scripts/miscellaneous/private/__w2mpth__.m
	scripts/miscellaneous/private/display_info_file.m
	scripts/miscellaneous/private/tar_is_bsd.m
	scripts/miscellaneous/publish.m scripts/miscellaneous/python.m
	scripts/miscellaneous/recycle.m scripts/miscellaneous/run.m
	scripts/miscellaneous/saveobj.m scripts/miscellaneous/setfield.m
	scripts/miscellaneous/substruct.m scripts/miscellaneous/swapbytes.m
	scripts/miscellaneous/symvar.m scripts/miscellaneous/tar.m
	scripts/miscellaneous/unix.m scripts/miscellaneous/unpack.m
	scripts/miscellaneous/untar.m scripts/miscellaneous/unzip.m
	scripts/miscellaneous/validateattributes.m
	scripts/miscellaneous/ver.m scripts/miscellaneous/verLessThan.m
	scripts/miscellaneous/version.m scripts/miscellaneous/what.m
	scripts/miscellaneous/zip.m scripts/mk-doc.pl scripts/mk-pkg-add.sh
	scripts/ode/decic.m scripts/ode/ode15i.m scripts/ode/ode15s.m
	scripts/ode/ode23.m scripts/ode/ode23s.m scripts/ode/ode45.m
	scripts/ode/odeget.m scripts/ode/odeplot.m scripts/ode/odeset.m
	scripts/ode/private/AbsRel_norm.m
	scripts/ode/private/check_default_input.m
	scripts/ode/private/integrate_adaptive.m scripts/ode/private/kahan.m
	scripts/ode/private/ode_event_handler.m
	scripts/ode/private/odedefaults.m scripts/ode/private/odemergeopts.m
	scripts/ode/private/runge_kutta_23.m
	scripts/ode/private/runge_kutta_23s.m
	scripts/ode/private/runge_kutta_45_dorpri.m
	scripts/ode/private/runge_kutta_interpolate.m
	scripts/ode/private/starting_stepsize.m
	scripts/optimization/__all_opts__.m scripts/optimization/fminbnd.m
	scripts/optimization/fminsearch.m scripts/optimization/fminunc.m
	scripts/optimization/fsolve.m scripts/optimization/fzero.m
	scripts/optimization/glpk.m scripts/optimization/humps.m
	scripts/optimization/lsqnonneg.m scripts/optimization/optimget.m
	scripts/optimization/optimset.m scripts/optimization/pqpnonneg.m
	scripts/optimization/private/__fdjac__.m scripts/optimization/qp.m
	scripts/optimization/sqp.m scripts/path/import.m
	scripts/path/matlabroot.m scripts/path/pathdef.m
	scripts/path/private/getsavepath.m scripts/path/savepath.m
	scripts/pkg/pkg.m scripts/pkg/private/build.m
	scripts/pkg/private/configure_make.m
	scripts/pkg/private/default_prefix.m scripts/pkg/private/describe.m
	scripts/pkg/private/dirempty.m
	scripts/pkg/private/expand_rel_paths.m
	scripts/pkg/private/get_description.m
	scripts/pkg/private/get_forge_download.m
	scripts/pkg/private/get_forge_pkg.m
	scripts/pkg/private/get_inverse_dependencies.m
	scripts/pkg/private/get_unsatisfied_deps.m
	scripts/pkg/private/getarch.m scripts/pkg/private/getarchdir.m
	scripts/pkg/private/install.m
	scripts/pkg/private/installed_packages.m
	scripts/pkg/private/list_forge_packages.m
	scripts/pkg/private/load_packages.m
	scripts/pkg/private/load_packages_and_dependencies.m
	scripts/pkg/private/make_rel_paths.m scripts/pkg/private/rebuild.m
	scripts/pkg/private/save_order.m
	scripts/pkg/private/standardize_paths.m
	scripts/pkg/private/uninstall.m
	scripts/pkg/private/unload_packages.m
	scripts/plot/appearance/__clabel__.m
	scripts/plot/appearance/__getlegenddata__.m
	scripts/plot/appearance/__rotate_around_axis__.m
	scripts/plot/appearance/annotation.m scripts/plot/appearance/axis.m
	scripts/plot/appearance/box.m scripts/plot/appearance/camlookat.m
	scripts/plot/appearance/camorbit.m scripts/plot/appearance/campos.m
	scripts/plot/appearance/camroll.m
	scripts/plot/appearance/camtarget.m scripts/plot/appearance/camup.m
	scripts/plot/appearance/camva.m scripts/plot/appearance/camzoom.m
	scripts/plot/appearance/caxis.m scripts/plot/appearance/clabel.m
	scripts/plot/appearance/daspect.m scripts/plot/appearance/datetick.m
	scripts/plot/appearance/diffuse.m scripts/plot/appearance/grid.m
	scripts/plot/appearance/gtext.m scripts/plot/appearance/hidden.m
	scripts/plot/appearance/legend.m scripts/plot/appearance/lighting.m
	scripts/plot/appearance/material.m scripts/plot/appearance/orient.m
	scripts/plot/appearance/pbaspect.m
	scripts/plot/appearance/private/__axis_label__.m
	scripts/plot/appearance/private/__axis_limits__.m
	scripts/plot/appearance/private/__gnuplot_legend__.m
	scripts/plot/appearance/private/__tickangle__.m
	scripts/plot/appearance/rticks.m scripts/plot/appearance/shading.m
	scripts/plot/appearance/specular.m scripts/plot/appearance/text.m
	scripts/plot/appearance/thetaticks.m scripts/plot/appearance/title.m
	scripts/plot/appearance/view.m scripts/plot/appearance/whitebg.m
	scripts/plot/appearance/xlabel.m scripts/plot/appearance/xlim.m
	scripts/plot/appearance/xtickangle.m
	scripts/plot/appearance/xticklabels.m
	scripts/plot/appearance/xticks.m scripts/plot/appearance/ylabel.m
	scripts/plot/appearance/ylim.m scripts/plot/appearance/ytickangle.m
	scripts/plot/appearance/yticklabels.m
	scripts/plot/appearance/yticks.m scripts/plot/appearance/zlabel.m
	scripts/plot/appearance/zlim.m scripts/plot/appearance/ztickangle.m
	scripts/plot/appearance/zticklabels.m
	scripts/plot/appearance/zticks.m scripts/plot/draw/area.m
	scripts/plot/draw/bar.m scripts/plot/draw/barh.m
	scripts/plot/draw/camlight.m scripts/plot/draw/colorbar.m
	scripts/plot/draw/comet.m scripts/plot/draw/comet3.m
	scripts/plot/draw/compass.m scripts/plot/draw/contour.m
	scripts/plot/draw/contour3.m scripts/plot/draw/contourc.m
	scripts/plot/draw/contourf.m scripts/plot/draw/cylinder.m
	scripts/plot/draw/ellipsoid.m scripts/plot/draw/errorbar.m
	scripts/plot/draw/ezcontour.m scripts/plot/draw/ezcontourf.m
	scripts/plot/draw/ezmesh.m scripts/plot/draw/ezmeshc.m
	scripts/plot/draw/ezplot.m scripts/plot/draw/ezplot3.m
	scripts/plot/draw/ezpolar.m scripts/plot/draw/ezsurf.m
	scripts/plot/draw/ezsurfc.m scripts/plot/draw/feather.m
	scripts/plot/draw/fill.m scripts/plot/draw/fill3.m
	scripts/plot/draw/fplot.m scripts/plot/draw/hist.m
	scripts/plot/draw/isocaps.m scripts/plot/draw/isocolors.m
	scripts/plot/draw/isonormals.m scripts/plot/draw/isosurface.m
	scripts/plot/draw/light.m scripts/plot/draw/lightangle.m
	scripts/plot/draw/line.m scripts/plot/draw/loglog.m
	scripts/plot/draw/loglogerr.m scripts/plot/draw/mesh.m
	scripts/plot/draw/meshc.m scripts/plot/draw/meshz.m
	scripts/plot/draw/ostreamtube.m scripts/plot/draw/pareto.m
	scripts/plot/draw/patch.m scripts/plot/draw/pcolor.m
	scripts/plot/draw/peaks.m scripts/plot/draw/pie.m
	scripts/plot/draw/pie3.m scripts/plot/draw/plot.m
	scripts/plot/draw/plot3.m scripts/plot/draw/plotmatrix.m
	scripts/plot/draw/plotyy.m scripts/plot/draw/polar.m
	scripts/plot/draw/private/__add_datasource__.m
	scripts/plot/draw/private/__bar__.m
	scripts/plot/draw/private/__calc_isovalue_from_data__.m
	scripts/plot/draw/private/__contour__.m
	scripts/plot/draw/private/__errplot__.m
	scripts/plot/draw/private/__ezplot__.m
	scripts/plot/draw/private/__gnuplot_scatter__.m
	scripts/plot/draw/private/__interp_cube__.m
	scripts/plot/draw/private/__line__.m
	scripts/plot/draw/private/__marching_cube__.m
	scripts/plot/draw/private/__patch__.m
	scripts/plot/draw/private/__pie__.m
	scripts/plot/draw/private/__plt__.m
	scripts/plot/draw/private/__quiver__.m
	scripts/plot/draw/private/__scatter__.m
	scripts/plot/draw/private/__stem__.m
	scripts/plot/draw/private/__unite_shared_vertices__.m
	scripts/plot/draw/quiver.m scripts/plot/draw/quiver3.m
	scripts/plot/draw/rectangle.m scripts/plot/draw/reducepatch.m
	scripts/plot/draw/reducevolume.m scripts/plot/draw/ribbon.m
	scripts/plot/draw/rose.m scripts/plot/draw/scatter.m
	scripts/plot/draw/scatter3.m scripts/plot/draw/semilogx.m
	scripts/plot/draw/semilogxerr.m scripts/plot/draw/semilogy.m
	scripts/plot/draw/semilogyerr.m scripts/plot/draw/shrinkfaces.m
	scripts/plot/draw/slice.m scripts/plot/draw/smooth3.m
	scripts/plot/draw/sombrero.m scripts/plot/draw/sphere.m
	scripts/plot/draw/stairs.m scripts/plot/draw/stem.m
	scripts/plot/draw/stem3.m scripts/plot/draw/stemleaf.m
	scripts/plot/draw/stream2.m scripts/plot/draw/stream3.m
	scripts/plot/draw/streamline.m scripts/plot/draw/streamribbon.m
	scripts/plot/draw/streamtube.m scripts/plot/draw/surf.m
	scripts/plot/draw/surface.m scripts/plot/draw/surfc.m
	scripts/plot/draw/surfl.m scripts/plot/draw/surfnorm.m
	scripts/plot/draw/tetramesh.m scripts/plot/draw/trimesh.m
	scripts/plot/draw/triplot.m scripts/plot/draw/trisurf.m
	scripts/plot/draw/waterfall.m
	scripts/plot/util/__actual_axis_position__.m
	scripts/plot/util/__check_rendering_capability__.m
	scripts/plot/util/__default_plot_options__.m
	scripts/plot/util/__gnuplot_drawnow__.m
	scripts/plot/util/__next_line_color__.m
	scripts/plot/util/__next_line_style__.m
	scripts/plot/util/__opengl_info__.m
	scripts/plot/util/__plt_get_axis_arg__.m
	scripts/plot/util/__pltopt__.m scripts/plot/util/allchild.m
	scripts/plot/util/ancestor.m scripts/plot/util/axes.m
	scripts/plot/util/cla.m scripts/plot/util/clf.m
	scripts/plot/util/close.m scripts/plot/util/closereq.m
	scripts/plot/util/colstyle.m scripts/plot/util/copyobj.m
	scripts/plot/util/figure.m scripts/plot/util/findall.m
	scripts/plot/util/findfigs.m scripts/plot/util/findobj.m
	scripts/plot/util/gca.m scripts/plot/util/gcbf.m
	scripts/plot/util/gcbo.m scripts/plot/util/gcf.m
	scripts/plot/util/gco.m scripts/plot/util/ginput.m
	scripts/plot/util/gnuplot_binary.in.m
	scripts/plot/util/graphics_toolkit.m scripts/plot/util/groot.m
	scripts/plot/util/gui_mainfcn.m scripts/plot/util/hdl2struct.m
	scripts/plot/util/hggroup.m scripts/plot/util/hgload.m
	scripts/plot/util/hgsave.m scripts/plot/util/hgtransform.m
	scripts/plot/util/hold.m scripts/plot/util/isaxes.m
	scripts/plot/util/isfigure.m scripts/plot/util/isgraphics.m
	scripts/plot/util/ishandle.m scripts/plot/util/ishold.m
	scripts/plot/util/isprop.m scripts/plot/util/linkaxes.m
	scripts/plot/util/linkprop.m scripts/plot/util/meshgrid.m
	scripts/plot/util/ndgrid.m scripts/plot/util/newplot.m
	scripts/plot/util/openfig.m scripts/plot/util/pan.m
	scripts/plot/util/print.m scripts/plot/util/printd.m
	scripts/plot/util/private/__add_default_menu__.m
	scripts/plot/util/private/__ghostscript__.m
	scripts/plot/util/private/__gnuplot_draw_axes__.m
	scripts/plot/util/private/__gnuplot_draw_figure__.m
	scripts/plot/util/private/__gnuplot_get_var__.m
	scripts/plot/util/private/__gnuplot_ginput__.m
	scripts/plot/util/private/__gnuplot_has_feature__.m
	scripts/plot/util/private/__gnuplot_has_terminal__.m
	scripts/plot/util/private/__gnuplot_open_stream__.m
	scripts/plot/util/private/__gnuplot_print__.m
	scripts/plot/util/private/__gnuplot_version__.m
	scripts/plot/util/private/__opengl_print__.m
	scripts/plot/util/private/__print_parse_opts__.m
	scripts/plot/util/private/__set_default_mouse_modes__.m
	scripts/plot/util/refresh.m scripts/plot/util/refreshdata.m
	scripts/plot/util/rotate.m scripts/plot/util/rotate3d.m
	scripts/plot/util/saveas.m scripts/plot/util/savefig.m
	scripts/plot/util/shg.m scripts/plot/util/struct2hdl.m
	scripts/plot/util/subplot.m scripts/plot/util/zoom.m
	scripts/polynomial/compan.m scripts/polynomial/conv.m
	scripts/polynomial/deconv.m scripts/polynomial/mkpp.m
	scripts/polynomial/mpoles.m scripts/polynomial/padecoef.m
	scripts/polynomial/pchip.m scripts/polynomial/poly.m
	scripts/polynomial/polyaffine.m scripts/polynomial/polyder.m
	scripts/polynomial/polyeig.m scripts/polynomial/polyfit.m
	scripts/polynomial/polygcd.m scripts/polynomial/polyint.m
	scripts/polynomial/polyout.m scripts/polynomial/polyreduce.m
	scripts/polynomial/polyval.m scripts/polynomial/polyvalm.m
	scripts/polynomial/ppder.m scripts/polynomial/ppint.m
	scripts/polynomial/ppjumps.m scripts/polynomial/ppval.m
	scripts/polynomial/residue.m scripts/polynomial/roots.m
	scripts/polynomial/spline.m scripts/polynomial/splinefit.m
	scripts/polynomial/unmkpp.m scripts/prefs/addpref.m
	scripts/prefs/getpref.m scripts/prefs/ispref.m
	scripts/prefs/prefdir.m scripts/prefs/preferences.m
	scripts/prefs/private/loadprefs.m scripts/prefs/private/prefsfile.m
	scripts/prefs/private/saveprefs.m scripts/prefs/rmpref.m
	scripts/prefs/setpref.m scripts/profiler/html/style.css
	scripts/profiler/profexplore.m scripts/profiler/profexport.m
	scripts/profiler/profile.m scripts/profiler/profshow.m
	scripts/set/intersect.m scripts/set/ismember.m
	scripts/set/ismembertol.m scripts/set/powerset.m
	scripts/set/private/validsetargs.m scripts/set/setdiff.m
	scripts/set/setxor.m scripts/set/union.m scripts/set/unique.m
	scripts/set/uniquetol.m scripts/signal/__parse_movargs__.m
	scripts/signal/arch_fit.m scripts/signal/arch_rnd.m
	scripts/signal/arch_test.m scripts/signal/arma_rnd.m
	scripts/signal/autoreg_matrix.m scripts/signal/bartlett.m
	scripts/signal/blackman.m scripts/signal/detrend.m
	scripts/signal/diffpara.m scripts/signal/durbinlevinson.m
	scripts/signal/fftconv.m scripts/signal/fftfilt.m
	scripts/signal/fftshift.m scripts/signal/filter2.m
	scripts/signal/fractdiff.m scripts/signal/freqz.m
	scripts/signal/freqz_plot.m scripts/signal/hamming.m
	scripts/signal/hanning.m scripts/signal/hurst.m
	scripts/signal/ifftshift.m scripts/signal/movfun.m
	scripts/signal/movslice.m scripts/signal/periodogram.m
	scripts/signal/private/rectangle_lw.m
	scripts/signal/private/rectangle_sw.m
	scripts/signal/private/triangle_lw.m
	scripts/signal/private/triangle_sw.m scripts/signal/sinc.m
	scripts/signal/sinetone.m scripts/signal/sinewave.m
	scripts/signal/spectral_adf.m scripts/signal/spectral_xdf.m
	scripts/signal/spencer.m scripts/signal/stft.m
	scripts/signal/synthesis.m scripts/signal/unwrap.m
	scripts/signal/yulewalker.m scripts/sparse/bicg.m
	scripts/sparse/bicgstab.m scripts/sparse/cgs.m
	scripts/sparse/colperm.m scripts/sparse/eigs.m
	scripts/sparse/etreeplot.m scripts/sparse/gmres.m
	scripts/sparse/gplot.m scripts/sparse/ichol.m scripts/sparse/ilu.m
	scripts/sparse/nonzeros.m scripts/sparse/pcg.m scripts/sparse/pcr.m
	scripts/sparse/private/__alltohandles__.m
	scripts/sparse/private/__default__input__.m
	scripts/sparse/private/__sprand__.m scripts/sparse/qmr.m
	scripts/sparse/spaugment.m scripts/sparse/spconvert.m
	scripts/sparse/spdiags.m scripts/sparse/speye.m
	scripts/sparse/spfun.m scripts/sparse/spones.m
	scripts/sparse/sprand.m scripts/sparse/sprandn.m
	scripts/sparse/sprandsym.m scripts/sparse/spstats.m
	scripts/sparse/spy.m scripts/sparse/svds.m scripts/sparse/tfqmr.m
	scripts/sparse/treelayout.m scripts/sparse/treeplot.m
	scripts/specfun/beta.m scripts/specfun/betainc.m
	scripts/specfun/betaincinv.m scripts/specfun/betaln.m
	scripts/specfun/cosint.m scripts/specfun/ellipke.m
	scripts/specfun/expint.m scripts/specfun/factor.m
	scripts/specfun/factorial.m scripts/specfun/gammainc.m
	scripts/specfun/gammaincinv.m scripts/specfun/isprime.m
	scripts/specfun/lcm.m scripts/specfun/legendre.m
	scripts/specfun/nchoosek.m scripts/specfun/nthroot.m
	scripts/specfun/primes.m scripts/specfun/reallog.m
	scripts/specfun/realpow.m scripts/specfun/realsqrt.m
	scripts/specfun/sinint.m scripts/special-matrix/gallery.m
	scripts/special-matrix/hadamard.m scripts/special-matrix/hankel.m
	scripts/special-matrix/hilb.m scripts/special-matrix/invhilb.m
	scripts/special-matrix/magic.m scripts/special-matrix/pascal.m
	scripts/special-matrix/rosser.m scripts/special-matrix/toeplitz.m
	scripts/special-matrix/vander.m scripts/special-matrix/wilkinson.m
	scripts/statistics/bounds.m scripts/statistics/center.m
	scripts/statistics/corr.m scripts/statistics/corrcoef.m
	scripts/statistics/cov.m scripts/statistics/discrete_cdf.m
	scripts/statistics/discrete_inv.m scripts/statistics/discrete_pdf.m
	scripts/statistics/discrete_rnd.m scripts/statistics/empirical_cdf.m
	scripts/statistics/empirical_inv.m
	scripts/statistics/empirical_pdf.m
	scripts/statistics/empirical_rnd.m scripts/statistics/histc.m
	scripts/statistics/iqr.m scripts/statistics/kendall.m
	scripts/statistics/kurtosis.m scripts/statistics/mad.m
	scripts/statistics/mean.m scripts/statistics/meansq.m
	scripts/statistics/median.m scripts/statistics/mode.m
	scripts/statistics/moment.m scripts/statistics/movmad.m
	scripts/statistics/movmax.m scripts/statistics/movmean.m
	scripts/statistics/movmedian.m scripts/statistics/movmin.m
	scripts/statistics/movprod.m scripts/statistics/movstd.m
	scripts/statistics/movsum.m scripts/statistics/movvar.m
	scripts/statistics/normalize.m scripts/statistics/prctile.m
	scripts/statistics/quantile.m scripts/statistics/range.m
	scripts/statistics/ranks.m scripts/statistics/run_count.m
	scripts/statistics/runlength.m scripts/statistics/skewness.m
	scripts/statistics/spearman.m scripts/statistics/statistics.m
	scripts/statistics/std.m scripts/statistics/var.m
	scripts/statistics/zscore.m scripts/strings/base2dec.m
	scripts/strings/bin2dec.m scripts/strings/blanks.m
	scripts/strings/cstrcat.m scripts/strings/deblank.m
	scripts/strings/dec2base.m scripts/strings/dec2bin.m
	scripts/strings/dec2hex.m scripts/strings/endsWith.m
	scripts/strings/erase.m scripts/strings/hex2dec.m
	scripts/strings/index.m scripts/strings/isletter.m
	scripts/strings/isstring.m scripts/strings/isstrprop.m
	scripts/strings/mat2str.m scripts/strings/native2unicode.m
	scripts/strings/ostrsplit.m scripts/strings/regexptranslate.m
	scripts/strings/rindex.m scripts/strings/startsWith.m
	scripts/strings/str2num.m scripts/strings/strcat.m
	scripts/strings/strchr.m scripts/strings/strjoin.m
	scripts/strings/strjust.m scripts/strings/strsplit.m
	scripts/strings/strtok.m scripts/strings/strtrim.m
	scripts/strings/strtrunc.m scripts/strings/substr.m
	scripts/strings/unicode2native.m scripts/strings/untabify.m
	scripts/strings/validatestring.m scripts/testfun/__debug_octave__.m
	scripts/testfun/__have_feature__.m
	scripts/testfun/__printf_assert__.m
	scripts/testfun/__prog_output_assert__.m
	scripts/testfun/__run_test_suite__.m scripts/testfun/assert.m
	scripts/testfun/demo.m scripts/testfun/example.m
	scripts/testfun/fail.m scripts/testfun/oruntests.m
	scripts/testfun/private/compare_plot_demos.m
	scripts/testfun/private/dump_demos.m
	scripts/testfun/private/html_compare_plot_demos.m
	scripts/testfun/rundemos.m scripts/testfun/speed.m
	scripts/testfun/test.m scripts/time/addtodate.m
	scripts/time/asctime.m scripts/time/calendar.m scripts/time/clock.m
	scripts/time/ctime.m scripts/time/date.m scripts/time/datenum.m
	scripts/time/datestr.m scripts/time/datevec.m scripts/time/eomday.m
	scripts/time/etime.m scripts/time/is_leap_year.m scripts/time/now.m
	scripts/time/weekday.m scripts/web/web.m scripts/web/weboptions.m
	scripts/web/webread.m scripts/web/webwrite.m src/display-available.c
	src/display-available.h src/main-cli.cc src/main-gui.cc
	src/main.in.cc src/mkoctfile.in.cc src/octave-build-info.h
	src/octave-build-info.in.cc src/octave-config.in.cc src/octave-
	svgconvert.cc src/shared-fcns.h test/args.tst test/bug-31371.tst
	test/bug-35448/bug-35448.tst test/bug-35881/bug-35881.tst
	test/bug-36025/bug-36025.tst test/bug-38236/bug-38236.tst
	test/bug-38691/bug-38691.tst test/bug-40117.tst
	test/bug-41723/bug-41723.tst test/bug-44940/bug-44940.tst
	test/bug-46330.tst test/bug-46660/bug-46660.tst
	test/bug-50014/bug-50014.tst test/bug-50035/bug-50035.tst
	test/bug-50716/bug-50716.tst test/bug-51192/bug-51192.tst
	test/bug-51532/bug-51532.tst test/bug-51534/bug-51534.tst
	test/bug-51599/bug-51599.tst test/bug-52075/bug-52075.tst
	test/bug-53468/bug-53468.tst test/bug-54995/bug-54995.tst
	test/bug-55308.tst test/bug-55321.tst test/bug-55322.tst
	test/bug-58593/bug-58593.tst test/bug-59451/bug-59451.tst
	test/bug-59950.tst test/bug-60882/bug-60882.tst
	test/bug-61105/bug-61105.tst test/bug-61191/bug-61191.tst
	test/bug-61201.tst test/bug-63841/bug-63841.tst test/class-
	concat/class-concat.tst test/classdef-multiple-inheritance/classdef-
	multiple-inheritance.tst test/classdef/classdef.tst
	test/classes/classes.tst test/colormaps.tst test/command.tst
	test/complex.tst test/ctor-vs-method/ctor-vs-method.tst
	test/deprecate-props.tst test/diag-perm.tst test/error.tst
	test/eval-catch.tst test/eval-command.tst test/fcn-handle/derived-
	resolution.tst test/fcn-handle/handle-to-sibling.tst test/fcn-
	handle/keyword.tst test/fcn-handle/object-method.tst test/fcn-
	handle/package-function.tst test/fcn-handle/static-method.tst
	test/file-encoding/CP1251/test_CP1251.m test/file-encoding/file-
	encoding.tst test/file-encoding/test_CP1252.m test/fntests.m
	test/for.tst test/func.tst test/global.tst test/if.tst
	test/index.tst test/integer.tst test/io.tst test/jupyter-
	notebook/jupyter-notebook.tst test/leftdiv.tst test/line-
	continue.tst test/local-functions/local_functions.tst test/logical-
	index.tst test/mex/bug-51725.tst test/mex/bug-54096.tst test/mk-bc-
	overloads-tst.sh test/mk-conv-tst.sh test/mk-sparse-tst.sh
	test/nest/nest.tst test/null-assign.tst test/parser.tst
	test/pkg/mfile_basic_test/doc/macros.texi
	test/pkg/mfile_basic_test/inst/example_mfile.m
	test/pkg/mfile_minimal_test/inst/example_mfile.m test/pkg/pkg.tst
	test/prefer.tst test/publish/publish.tst test/range.tst
	test/recursion.tst test/return.tst test/show-failures.awk
	test/single-index.tst test/slice.tst test/sparse-assign.tst
	test/struct.tst test/switch.tst test/system.tst test/transpose.tst
	test/try.tst test/unwind.tst test/while.tst

2023-12-22  Markus Mützel  <markus.muetzel@gmx.de>

	norm: Increase tolerance in test by 1*eps.

	* chol.cc: Increase tolerance in BIST by 1*eps to have it pass with musl libc.
	See: https://octave.discourse.group/t/test-suite-results-of-octave-9/5077

	Files: libinterp/corefcn/chol.cc

2023-12-20  Jun Wang  <tzwj@aliyun.com>

	zh_CN.ts: Update Chinese translation file for Octave 9.1 (bug #64982)

	* zh_CN.ts: Update Chinese translation file.

	Files: libgui/languages/zh_CN.ts

2023-12-20  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (macos): Work around conflict between pre-installed and Homebrew Python.

	* .github/workflows/make.yaml (macos): GitHub-hosted macOS runners now come
	with pre-installed Python 3.11 or 3.12. Force overwriting files from both
	pre-installed versions. They conflict with the files from Homebrew's versions
	of Python.

	Files: .github/workflows/make.yaml

2023-12-19  Rik  <rik@octave.org>

	doc: Add new contributors to Octave manual.

	* contributors.in: Add new contributors to Octave manual.

	Files: doc/interpreter/contributors.in

	test: Change two inv() BIST tests to %!xtest and tag with bug number (bug #65054).

	* inv.cc (Finv): Change two tests for exceptional input "Inf (2,2)" to be
	xtests.  Tag with bug #65054.

	Files: libinterp/corefcn/inv.cc

2023-12-19  Markus Mützel  <markus.muetzel@gmx.de>

	de_DE.ts: Minor update to German translation file for Octave 9 (bug #64982).

	* nl_NL.ts: Update German translation file.

	Files: libgui/languages/de_DE.ts

2023-12-17  A.R. Burgers  <arburgers@gmail.com>

	nl_NL.ts: Update Dutch translation file for Octave 9.1 (bug #64982)

	* nl_NL.ts: Update Dutch translation file.

	Files: libgui/languages/nl_NL.ts

2023-12-17  Torsten Lilge  <ttl-octave@mailbox.org>

	* de_DE.ts: updated German translation

	Files: libgui/languages/de_DE.ts

	fix toggling column visibility in workspace view and file browser

	* files-dock-widget.cc (files_dock_widget::headercontextmenu):
	  use new signal mappedInt for qt6 instead of old signal mapper

	* workspace-view.cc (header_contextmenu_request):
	  use new signal mappedInt for qt6 instead of old signal mapper

	Files: libgui/src/files-dock-widget.cc libgui/src/workspace-view.cc

2023-12-13  Markus Mützel  <markus.muetzel@gmx.de>

	Allow making copies of symbol_match objects (bug #64975).

	* glob-match.h, glob-match.cc: Add implementations for copy constructor and
	copy assignment operator.

	Files: liboctave/util/glob-match.cc liboctave/util/glob-match.h

2023-12-13  Óvári  <ovari123@zoho.com>

	hu_HU.ts: Update Hungarian translation file for Octave 9.1 (bug #64982)

	* hu_HU.ts: Update Hungarian translation file for Octave 9.1.

	Files: libgui/languages/hu_HU.ts

2023-12-12  Rik  <rik@octave.org>

	maint: C++ style check for src/ before 9.1 release.

	* src/main.in.cc, src/octave-svgconvert.cc:
	C++ style check for src/ before 9.1 release.

	Files: src/main.in.cc src/octave-svgconvert.cc

	maint: C++ style check for liboctave/ before 9.1 release.

	* liboctave/array/Array-b.cc, liboctave/array/Array-base.cc,
	liboctave/array/CMatrix.cc, liboctave/array/CNDArray.cc,
	liboctave/array/CSparse.cc, liboctave/array/MArray.cc,
	liboctave/array/Range.cc, liboctave/array/Sparse.cc, liboctave/array/Sparse.h,
	liboctave/array/dMatrix.cc, liboctave/array/fCMatrix.cc,
	liboctave/array/fCNDArray.cc, liboctave/array/fMatrix.cc,
	liboctave/array/idx-vector.cc, liboctave/numeric/CollocWt.cc,
	liboctave/numeric/gsvd.cc, liboctave/numeric/lo-mappers.cc,
	liboctave/numeric/lo-specfun.cc, liboctave/numeric/oct-norm.cc,
	liboctave/numeric/oct-rand.cc, liboctave/numeric/oct-spparms.cc,
	liboctave/numeric/randmtzig.cc, liboctave/numeric/randpoisson.cc,
	liboctave/operators/mx-inlines.cc, liboctave/system/child-list.cc,
	liboctave/system/file-ops.cc, liboctave/system/lo-sysdep.cc,
	liboctave/system/lo-sysinfo.cc, liboctave/system/mach-info.cc,
	liboctave/util/file-info.cc, liboctave/util/glob-match.cc,
	liboctave/util/lo-error.h, liboctave/util/lo-utils.cc,
	liboctave/util/oct-inttypes.h, liboctave/util/oct-shlib.cc,
	liboctave/util/oct-sort.cc, liboctave/util/oct-string.cc,
	liboctave/util/pathsearch.cc, liboctave/util/quit.cc, liboctave/version.cc:
	C++ style check for liboctave/ before 9.1 release.

	Files: liboctave/array/Array-b.cc liboctave/array/Array-base.cc
	liboctave/array/CMatrix.cc liboctave/array/CNDArray.cc
	liboctave/array/CSparse.cc liboctave/array/MArray.cc
	liboctave/array/Range.cc liboctave/array/Sparse.cc
	liboctave/array/Sparse.h liboctave/array/dMatrix.cc
	liboctave/array/fCMatrix.cc liboctave/array/fCNDArray.cc
	liboctave/array/fMatrix.cc liboctave/array/idx-vector.cc
	liboctave/numeric/CollocWt.cc liboctave/numeric/gsvd.cc
	liboctave/numeric/lo-mappers.cc liboctave/numeric/lo-specfun.cc
	liboctave/numeric/oct-norm.cc liboctave/numeric/oct-rand.cc
	liboctave/numeric/oct-spparms.cc liboctave/numeric/randmtzig.cc
	liboctave/numeric/randpoisson.cc liboctave/operators/mx-inlines.cc
	liboctave/system/child-list.cc liboctave/system/file-ops.cc
	liboctave/system/lo-sysdep.cc liboctave/system/lo-sysinfo.cc
	liboctave/system/mach-info.cc liboctave/util/file-info.cc
	liboctave/util/glob-match.cc liboctave/util/lo-error.h
	liboctave/util/lo-utils.cc liboctave/util/oct-inttypes.h
	liboctave/util/oct-shlib.cc liboctave/util/oct-sort.cc
	liboctave/util/oct-string.cc liboctave/util/pathsearch.cc
	liboctave/util/quit.cc liboctave/version.cc

	maint: C++ style check for libinterp/ before 9.1 release.

	* libinterp/corefcn/__ichol__.cc, libinterp/corefcn/__ilu__.cc,
	libinterp/corefcn/bsxfun.cc, libinterp/corefcn/call-stack.cc,
	libinterp/corefcn/defaults.cc, libinterp/corefcn/environment.cc,
	libinterp/corefcn/error.cc, libinterp/corefcn/event-manager.cc,
	libinterp/corefcn/ft-text-renderer.cc, libinterp/corefcn/gl-render.cc,
	libinterp/corefcn/graphics-utils.cc, libinterp/corefcn/graphics.cc,
	libinterp/corefcn/graphics.in.h, libinterp/corefcn/help.cc,
	libinterp/corefcn/hook-fcn.cc, libinterp/corefcn/input.cc,
	libinterp/corefcn/interpreter-private.cc, libinterp/corefcn/interpreter.cc,
	libinterp/corefcn/load-path.cc, libinterp/corefcn/load-save.cc,
	libinterp/corefcn/ls-hdf5.cc, libinterp/corefcn/lu.cc,
	libinterp/corefcn/mex.cc, libinterp/corefcn/oct-hist.cc,
	libinterp/corefcn/oct-map.cc, libinterp/corefcn/oct-stream.cc,
	libinterp/corefcn/pager.cc, libinterp/corefcn/perms.cc,
	libinterp/corefcn/pr-output.cc, libinterp/corefcn/qr.cc,
	libinterp/corefcn/settings.cc, libinterp/corefcn/sparse-xdiv.cc,
	libinterp/corefcn/stack-frame.cc, libinterp/corefcn/syminfo.cc,
	libinterp/corefcn/symrcm.cc, libinterp/corefcn/symscope.cc,
	libinterp/corefcn/symtab.cc, libinterp/corefcn/sysdep.cc,
	libinterp/corefcn/tsearch.cc, libinterp/corefcn/url-handle-manager.cc,
	libinterp/corefcn/utils.cc, libinterp/corefcn/xnorm.cc,
	libinterp/dldfcn/__init_fltk__.cc, libinterp/octave-value/ov-base.cc,
	libinterp/octave-value/ov-bool-mat.cc, libinterp/octave-value/ov-cell.cc,
	libinterp/octave-value/ov-ch-mat.cc, libinterp/octave-value/ov-class.cc,
	libinterp/octave-value/ov-classdef.cc, libinterp/octave-value/ov-fcn-handle.cc,
	libinterp/octave-value/ov-fcn-handle.h, libinterp/octave-value/ov-fcn.h,
	libinterp/octave-value/ov-inline.h, libinterp/octave-value/ov-lazy-idx.cc,
	libinterp/octave-value/ov-range.cc, libinterp/octave-value/ov-range.h,
	libinterp/octave-value/ov-typeinfo.cc, libinterp/octave-value/ov-usr-fcn.cc,
	libinterp/octave-value/ov.cc, libinterp/octave.cc,
	libinterp/parse-tree/anon-fcn-validator.cc, libinterp/parse-tree/bp-table.cc,
	libinterp/parse-tree/oct-lvalue.cc, libinterp/parse-tree/pt-classdef.cc,
	libinterp/parse-tree/pt-colon.cc, libinterp/parse-tree/pt-eval.cc,
	libinterp/parse-tree/pt-eval.h, libinterp/parse-tree/pt-tm-const.cc,
	libinterp/parse-tree/pt-walk.cc:
	C++ style check for libinterp/ before 9.1 release.

	Files: libinterp/corefcn/__ichol__.cc libinterp/corefcn/__ilu__.cc
	libinterp/corefcn/bsxfun.cc libinterp/corefcn/call-stack.cc
	libinterp/corefcn/defaults.cc libinterp/corefcn/environment.cc
	libinterp/corefcn/error.cc libinterp/corefcn/event-manager.cc
	libinterp/corefcn/ft-text-renderer.cc libinterp/corefcn/gl-render.cc
	libinterp/corefcn/graphics-utils.cc libinterp/corefcn/graphics.cc
	libinterp/corefcn/graphics.in.h libinterp/corefcn/help.cc
	libinterp/corefcn/hook-fcn.cc libinterp/corefcn/input.cc
	libinterp/corefcn/interpreter-private.cc
	libinterp/corefcn/interpreter.cc libinterp/corefcn/load-path.cc
	libinterp/corefcn/load-save.cc libinterp/corefcn/ls-hdf5.cc
	libinterp/corefcn/lu.cc libinterp/corefcn/mex.cc
	libinterp/corefcn/oct-hist.cc libinterp/corefcn/oct-map.cc
	libinterp/corefcn/oct-stream.cc libinterp/corefcn/pager.cc
	libinterp/corefcn/perms.cc libinterp/corefcn/pr-output.cc
	libinterp/corefcn/qr.cc libinterp/corefcn/settings.cc
	libinterp/corefcn/sparse-xdiv.cc libinterp/corefcn/stack-frame.cc
	libinterp/corefcn/syminfo.cc libinterp/corefcn/symrcm.cc
	libinterp/corefcn/symscope.cc libinterp/corefcn/symtab.cc
	libinterp/corefcn/sysdep.cc libinterp/corefcn/tsearch.cc
	libinterp/corefcn/url-handle-manager.cc libinterp/corefcn/utils.cc
	libinterp/corefcn/xnorm.cc libinterp/dldfcn/__init_fltk__.cc
	libinterp/octave-value/ov-base.cc libinterp/octave-value/ov-bool-
	mat.cc libinterp/octave-value/ov-cell.cc libinterp/octave-value/ov-
	ch-mat.cc libinterp/octave-value/ov-class.cc libinterp/octave-
	value/ov-classdef.cc libinterp/octave-value/ov-fcn-handle.cc
	libinterp/octave-value/ov-fcn-handle.h libinterp/octave-value/ov-
	fcn.h libinterp/octave-value/ov-inline.h libinterp/octave-value/ov-
	lazy-idx.cc libinterp/octave-value/ov-range.cc libinterp/octave-
	value/ov-range.h libinterp/octave-value/ov-typeinfo.cc
	libinterp/octave-value/ov-usr-fcn.cc libinterp/octave-value/ov.cc
	libinterp/octave.cc libinterp/parse-tree/anon-fcn-validator.cc
	libinterp/parse-tree/bp-table.cc libinterp/parse-tree/oct-lvalue.cc
	libinterp/parse-tree/pt-classdef.cc libinterp/parse-tree/pt-colon.cc
	libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-eval.h
	libinterp/parse-tree/pt-tm-const.cc libinterp/parse-tree/pt-walk.cc

2023-12-11  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	Apply consistent notes in docstrings for aliased functions

	* /libinterp/corefcn/data.cc (islogical, merge): Add Programming Note about
	isbool and ifelse aliases.
	* /libinterp/corefcn/debug.cc (dbstep): Update Programming Note about dbnext
	alias.
	* libinterp/corefcn/interpreter.cc (quit): Add deftypefnx definition and
	update Programming Note about exit alias.
	* libinterp/corefcn/inv.cc: Update Programming Note about inverse alias.
	* libinterp/corefcn/sysdep.cc (clc): Add Programming Note about home alias.

	Files: libinterp/corefcn/data.cc libinterp/corefcn/debug.cc
	libinterp/corefcn/interpreter.cc libinterp/corefcn/inv.cc
	libinterp/corefcn/sysdep.cc

2023-12-10  José Luis García Pallero  <jgpallero@gmail.com>

	es_ES.ts: Update Spanish translation file for Octave 9.1 (bug #64982).

	* es_ES.ts: Update Spanish translation file for Octave 9.1.

	Files: libgui/languages/es_ES.ts

2023-12-10  Markus Mützel  <markus.muetzel@gmx.de>

	Fix syntax error in e424a55bc9fb (bug #64975).

	* glob-match.cc (symbol_match::symbol_match): Fix syntax error.

	Files: liboctave/util/glob-match.cc

	Show warning for incompatible terminal on each startup on Windows (bug #62791).

	* scripts/startup/site-rcfile: Display warning on startup for incompatible
	terminal setting on Windows.

	Files: scripts/startup/site-rcfile

2023-12-04  Markus Mützel  <markus.muetzel@gmx.de>

	Use own function for symbol name matching on Windows (bug #64975).

	* glob-match.h, glob-match.cc (symbol_match): Add new class that can efficiently
	match symbol names cross-platform.
	* call-stack.cc (call_stack::clear_global_variable_pattern),
	load-save.cc (matches_patterns, load_save_system::save_fields),
	ls-hdf5.cc (read_hdf5_data),
	stack-frame.cc (symbol_cleaner::clear_symbols, symbol_info_accumulator::filter),
	symtab.cc (symbol_table::clear_function_pattern),
	variables.cc (name_matches_any_pattern): Use new class to match symbol names.
	* variables.cc (Fclear): Update docstring to point to difference of patterns on
	Windows.

	Files: libinterp/corefcn/call-stack.cc libinterp/corefcn/load-save.cc
	libinterp/corefcn/ls-hdf5.cc libinterp/corefcn/stack-frame.cc
	libinterp/corefcn/symtab.cc libinterp/corefcn/variables.cc
	liboctave/util/glob-match.cc liboctave/util/glob-match.h

2023-12-10  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (alpine): Use software OpenGL.

	* .github/workflows/make.yaml (alpine): Set environment variable to use
	software OpenGL rendering from mesa.

	Files: .github/workflows/make.yaml

	build: Update autoconf macros with changes from upstream.

	* ax_blas.m4, ax_compare_version.m4, ax_cxx_compile_stdcxx.m4, ax_openmp.m4:
	Update with changes from upstream:
	https://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=tree;hb=eb940c6cf25be8247f7efff4465fd1b770891c5b

	Files: m4/ax_blas.m4 m4/ax_compare_version.m4 m4/ax_cxx_compile_stdcxx.m4
	m4/ax_openmp.m4

	GitHub-CI (alpine): Install missing package "coreutils".

	* .github/workflows/make.yaml (alpine): Explicitly install package "coreutils".

	Files: .github/workflows/make.yaml

2023-12-09  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	fr_FR.ts: Update French language translation file for 9.1 release.

	* fr_FR.ts: fr_FR.ts: Update French language translation file for 9.1 release.

	Files: libgui/languages/fr_FR.ts

2023-12-09  Rik  <rik@octave.org>

	maint: Update translation files to account for OCTAVE_NAMESPACE macro

	* libgui/languages/ca_ES.ts, libgui/languages/de_DE.ts,
	libgui/languages/en_US.ts, libgui/languages/es_ES.ts,
	libgui/languages/eu_ES.ts, libgui/languages/fr_FR.ts,
	libgui/languages/hu_HU.ts, libgui/languages/it_IT.ts,
	libgui/languages/ja_JP.ts, libgui/languages/lt_LT.ts,
	libgui/languages/nl_NL.ts, libgui/languages/pt_BR.ts,
	libgui/languages/pt_PT.ts, libgui/languages/ru_RU.ts,
	libgui/languages/tr_TR.ts, libgui/languages/uk_UA.ts, libgui/languages/zh_CN.ts:
	Update Octave translation files after expanding OCTAVE_NAMESPACE macros in
	libgui/.

	Files: libgui/languages/be_BY.ts libgui/languages/ca_ES.ts
	libgui/languages/de_DE.ts libgui/languages/en_US.ts
	libgui/languages/es_ES.ts libgui/languages/eu_ES.ts
	libgui/languages/fr_FR.ts libgui/languages/hu_HU.ts
	libgui/languages/it_IT.ts libgui/languages/ja_JP.ts
	libgui/languages/lt_LT.ts libgui/languages/nl_NL.ts
	libgui/languages/pt_BR.ts libgui/languages/pt_PT.ts
	libgui/languages/ru_RU.ts libgui/languages/tr_TR.ts
	libgui/languages/uk_UA.ts libgui/languages/zh_CN.ts

2023-12-07  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	polar.m: Add function BISTs

	* /scripts/plot/draw/polar.m:  Add BISTs that check input validation,
	handle types, x and y values for various input combinations, complex
	inputs, format strings, and rtick and ttick values.

	Files: scripts/plot/draw/polar.m

2023-12-08  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI: Remove steps that check the bytecode-interpreter

	* .github/workflows/make.yaml (ubuntu, macos, mingw, cygwin): Remove steps that
	run checks for the bytecode-interpreter which was moved to a feature branch.

	Files: .github/workflows/make.yaml

2023-12-07  Rik  <rik@octave.org>

	update_ts_files: Prepare script to be configurable between qt5 and qt6.

	* update_ts_files: Add variable QT_VERSION which is initially hardcoded to
	"qt5", but eventually should come from the local build environment.

	Files: libgui/languages/build_ts/update_ts_files

2023-12-06  John W. Eaton  <jwe@octave.org>

	remove experimental bytecode interpreter from stable branch for release

	Files: .github/workflows/make.yaml Makefile.am build-aux/mk-octave-
	config-h.sh configure.ac doc/interpreter/doccheck/aspell-
	octave.en.pws doc/interpreter/doccheck/mk_undocumented_list
	doc/interpreter/vectorize.txi etc/NEWS.9.md libinterp/corefcn/call-
	stack.cc libinterp/corefcn/call-stack.h libinterp/corefcn/compile.cc
	libinterp/corefcn/load-path.cc libinterp/corefcn/load-path.h
	libinterp/corefcn/module.mk libinterp/corefcn/stack-frame.cc
	libinterp/corefcn/stack-frame.h libinterp/corefcn/toplev.cc
	libinterp/corefcn/variables.cc libinterp/octave-value/module.mk
	libinterp/octave-value/ov-base-diag.h libinterp/octave-value/ov-
	base-mat.cc libinterp/octave-value/ov-base-mat.h libinterp/octave-
	value/ov-base-scalar.cc libinterp/octave-value/ov-base-scalar.h
	libinterp/octave-value/ov-base-sparse.h libinterp/octave-value/ov-
	base.cc libinterp/octave-value/ov-base.h libinterp/octave-value/ov-
	cell.h libinterp/octave-value/ov-classdef.h libinterp/octave-
	value/ov-colon.h libinterp/octave-value/ov-fcn-handle.cc
	libinterp/octave-value/ov-fcn-handle.h libinterp/octave-value/ov-
	fcn.cc libinterp/octave-value/ov-fcn.h libinterp/octave-value/ov-
	ref.cc libinterp/octave-value/ov-ref.h libinterp/octave-value/ov-
	struct.cc libinterp/octave-value/ov-struct.h libinterp/octave-
	value/ov-usr-fcn.cc libinterp/octave-value/ov-usr-fcn.h
	libinterp/octave-value/ov-vm.h libinterp/octave-value/ov.cc
	libinterp/octave-value/ov.h libinterp/parse-tree/module.mk
	libinterp/parse-tree/pt-bytecode-vm-internal.h libinterp/parse-
	tree/pt-bytecode-vm.cc libinterp/parse-tree/pt-bytecode-vm.h
	libinterp/parse-tree/pt-bytecode-walk.cc libinterp/parse-tree/pt-
	bytecode-walk.h libinterp/parse-tree/pt-bytecode.h libinterp/parse-
	tree/pt-eval.cc libinterp/parse-tree/pt-eval.h libinterp/parse-
	tree/pt-tm-const.cc libinterp/parse-tree/pt-tm-const.h
	scripts/help/bytecode.m scripts/help/module.mk test/Makefile.am
	test/compile-bench/bench-octave/bench.m test/compile-bench/bench-
	octave/bench_cov.m test/compile-bench/bench-octave/bench_median.m
	test/compile-bench/bench-octave/bench_valgrind.m test/compile-
	bench/bench-octave/cdef_ctor.m test/compile-bench/bench-
	octave/cdef_foo.m test/compile-bench/bench-octave/cdef_method1.m
	test/compile-bench/bench-octave/do_until_loop_empty.m test/compile-
	bench/bench-octave/dummy_script.m test/compile-bench/bench-
	octave/fib.m test/compile-bench/bench-octave/for_loop_binop_1.m
	test/compile-bench/bench-octave/for_loop_binop_2.m test/compile-
	bench/bench-octave/for_loop_binop_2_script.m test/compile-
	bench/bench-octave/for_loop_call_script_1.m test/compile-
	bench/bench-octave/for_loop_empty.m test/compile-bench/bench-
	octave/for_loop_fncall.m test/compile-bench/bench-
	octave/for_loop_ifs.m test/compile-bench/bench-
	octave/for_loop_matselfmul.m test/compile-bench/bench-
	octave/for_loop_silly.m test/compile-bench/bench-
	octave/for_loop_sinpi.m test/compile-bench/bench-
	octave/for_loop_subfun_1.m test/compile-bench/bench-
	octave/for_sum_1.m test/compile-bench/bench-octave/for_sum_2.m
	test/compile-bench/bench-octave/get_bench_conf.m test/compile-
	bench/bench-octave/qsort_iterative.m test/compile-bench/bench-
	octave/qsort_recursive.m test/compile-bench/bench-octave/str_mod.m
	test/compile-bench/bench-octave/while_loop_empty.m test/compile-
	bench/bench-py3/bench.py test/compile-bench/module.mk
	test/compile/bytecode.tst test/compile/bytecode_anon_handles.m
	test/compile/bytecode_ans.m test/compile/bytecode_assign.m
	test/compile/bytecode_binops.m test/compile/bytecode_cdef_use.m
	test/compile/bytecode_cell.m test/compile/bytecode_dountil.m
	test/compile/bytecode_end.m test/compile/bytecode_errors.m
	test/compile/bytecode_eval_1.m test/compile/bytecode_evalin_1.m
	test/compile/bytecode_evalin_2.m test/compile/bytecode_for.m
	test/compile/bytecode_global_1.m test/compile/bytecode_if.m
	test/compile/bytecode_index_obj.m test/compile/bytecode_inputname.m
	test/compile/bytecode_leaks.m
	test/compile/bytecode_load_script_load_and_assert.m
	test/compile/bytecode_load_script_save.m
	test/compile/bytecode_matrix.m test/compile/bytecode_misc.m
	test/compile/bytecode_multi_assign.m test/compile/bytecode_nested.m
	test/compile/bytecode_persistant.m test/compile/bytecode_range.m
	test/compile/bytecode_return.m
	test/compile/bytecode_script_topscope.m
	test/compile/bytecode_script_topscope_assert.m
	test/compile/bytecode_script_topscope_setup.m
	test/compile/bytecode_script_topscope_setup_script.m
	test/compile/bytecode_scripts.m test/compile/bytecode_struct.m
	test/compile/bytecode_subfuncs.m test/compile/bytecode_subsasgn.m
	test/compile/bytecode_switch.m test/compile/bytecode_trycatch.m
	test/compile/bytecode_unary.m test/compile/bytecode_unwind.m
	test/compile/bytecode_varargin.m test/compile/bytecode_varargout.m
	test/compile/bytecode_while.m test/compile/bytecode_wordlistcmd.m
	test/compile/cdef_bar.m test/compile/cdef_foo.m
	test/compile/inputname_args.m
	test/compile/just_call_handle_with_arg.m test/compile/module.mk
	test/compile/return_isargout.m test/compile/script1.m
	test/compile/script11.m test/compile/script2.m
	test/compile/script3.m test/compile/script_defines_qweqwe.m
	test/compile/shutup_operator_test/@double/display.m
	test/compile/shutup_operator_test/@logical/display.m
	test/compile/shutup_operator_test/bytecode_disp.m
	test/compile/shutup_operator_test/bytecode_disp.tst
	test/compile/wrongname_fn.m

	skip a few more code blocks missed in changeset 435cfe35e3c6

	* call-stack.cc, call-stack.h, load-path.cc, load-path.h,
	stack-frame.cc, stack-frame.h, variables.cc, ov-fcn.cc, ov-vm.h,
	pt-eval.cc, pt-eval.h, pt-tm-const.cc: Skip compilation of more
	bytecode evaluator code blocks unless OCTAVE_ENABLE_BYTECODE_EVALUATOR
	is defined.

	Files: libinterp/corefcn/call-stack.cc libinterp/corefcn/call-stack.h
	libinterp/corefcn/load-path.cc libinterp/corefcn/load-path.h
	libinterp/corefcn/stack-frame.cc libinterp/corefcn/stack-frame.h
	libinterp/corefcn/variables.cc libinterp/octave-value/ov-fcn.cc
	libinterp/octave-value/ov-vm.h libinterp/parse-tree/pt-eval.cc
	libinterp/parse-tree/pt-eval.h libinterp/parse-tree/pt-tm-const.cc

2023-12-05  Torsten Lilge  <ttl-octave@mailbox.org>

	updated README for handling translation files

	* libgui/languages/build_ts/README.md: added information on how to
	  update Qt and QSci sources required for language files without
	  translations provided by Qt or Qsci

	Files: libgui/languages/build_ts/README.md

2023-12-05  John W. Eaton  <jwe@octave.org>

	fix variadic macro definition

	This issue came up in bug #64977.

	* oct-parse.yy (OCTAVE_YYUSE): Eliminate named argument that is never
	used in variadic macro definition.  This change avoids a possible
	warning if the macro is used with only one argument.

	Files: libinterp/parse-tree/oct-parse.yy

	avoid variable-length array declarations

	This issue came up in bug #64977.

	* file-ops.cc, oct-string.cc: Use OCTAVE_LOCAL_BUFFER instead of
	variable-length array.

	Files: liboctave/system/file-ops.cc liboctave/util/oct-string.cc

2023-12-05  Torsten Lilge  <ttl-octave@mailbox.org>

	update_ts_files: more comprehensive output

	* libgui/languages/update_ts_files: added more comprehensive output
	  of the script for updating the GUI's öanguage files

	Files: libgui/languages/build_ts/update_ts_files

2023-12-05  Rik  <rik@octave.org>

	maint: Update .ts translation files after incorporation of external files.

	* libgui/languages/be_BY.ts, libgui/languages/ca_ES.ts,
	libgui/languages/de_DE.ts, libgui/languages/en_US.ts,
	libgui/languages/es_ES.ts, libgui/languages/eu_ES.ts,
	libgui/languages/fr_FR.ts, libgui/languages/hu_HU.ts,
	libgui/languages/it_IT.ts, libgui/languages/ja_JP.ts,
	libgui/languages/lt_LT.ts, libgui/languages/nl_NL.ts,
	libgui/languages/pt_BR.ts, libgui/languages/pt_PT.ts,
	libgui/languages/ru_RU.ts, libgui/languages/tr_TR.ts,
	libgui/languages/uk_UA.ts, libgui/languages/zh_CN.ts:
	Update .ts translation files after incorporation of external files.

	Files: libgui/languages/be_BY.ts libgui/languages/ca_ES.ts
	libgui/languages/de_DE.ts libgui/languages/en_US.ts
	libgui/languages/es_ES.ts libgui/languages/eu_ES.ts
	libgui/languages/fr_FR.ts libgui/languages/hu_HU.ts
	libgui/languages/it_IT.ts libgui/languages/ja_JP.ts
	libgui/languages/lt_LT.ts libgui/languages/nl_NL.ts
	libgui/languages/pt_BR.ts libgui/languages/pt_PT.ts
	libgui/languages/ru_RU.ts libgui/languages/tr_TR.ts
	libgui/languages/uk_UA.ts libgui/languages/zh_CN.ts

2023-12-04  Torsten Lilge  <ttl-octave@mailbox.org>

	update Qt and Qsci sources for scanning text for translation

	* libgui/languages/build_ts/octave-qsci/*: updated source files
	  from Qscintilla

	* libgui/languages/build_ts/octave-qt/*.: updated source files
	  from Qt

	* libgui/languages/build_ts/update_external_sources: script for
	  updating above mentioned source files from user defined directories

	Files: libgui/languages/build_ts/octave-qsci/Qsci/qsciabstractapis.h
	libgui/languages/build_ts/octave-qsci/Qsci/qsciapis.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscicommand.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscicommandset.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscidocument.h
	libgui/languages/build_ts/octave-qsci/Qsci/qsciglobal.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexer.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexeravs.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerbash.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerbatch.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexercmake.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexercoffeescript.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexercpp.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexercsharp.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexercss.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexercustom.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerd.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerdiff.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexeredifact.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerfortran.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerfortran77.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerhtml.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexeridl.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerjava.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerjavascript.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerjson.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerlua.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexermakefile.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexermarkdown.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexermatlab.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexeroctave.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerpascal.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerperl.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerpo.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerpostscript.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerpov.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerproperties.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerpython.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerruby.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerspice.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexersql.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexertcl.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexertex.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerverilog.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexervhdl.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexerxml.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscilexeryaml.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscimacro.h
	libgui/languages/build_ts/octave-qsci/Qsci/qsciprinter.h
	libgui/languages/build_ts/octave-qsci/Qsci/qsciscintilla.h
	libgui/languages/build_ts/octave-qsci/Qsci/qsciscintillabase.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscistyle.h
	libgui/languages/build_ts/octave-qsci/Qsci/qscistyledtext.h
	libgui/languages/build_ts/octave-qsci/qscilexer.cpp
	libgui/languages/build_ts/octave-qsci/qscilexerbash.cpp
	libgui/languages/build_ts/octave-qsci/qscilexerbatch.cpp
	libgui/languages/build_ts/octave-qsci/qscilexercpp.cpp
	libgui/languages/build_ts/octave-qsci/qscilexerdiff.cpp
	libgui/languages/build_ts/octave-qsci/qscilexermatlab.cpp
	libgui/languages/build_ts/octave-qsci/qscilexeroctave.cpp
	libgui/languages/build_ts/octave-qsci/qscilexerperl.cpp
	libgui/languages/build_ts/octave-qsci/qsciscintilla.cpp
	libgui/languages/build_ts/octave-qsci/qsciscintillabase.cpp
	libgui/languages/build_ts/octave-qt/qabstractprintdialog.cpp
	libgui/languages/build_ts/octave-qt/qcolordialog.cpp
	libgui/languages/build_ts/octave-qt/qdialog.cpp
	libgui/languages/build_ts/octave-qt/qdialogbuttonbox.cpp
	libgui/languages/build_ts/octave-qt/qerrormessage.cpp
	libgui/languages/build_ts/octave-qt/qfiledialog.cpp
	libgui/languages/build_ts/octave-qt/qfileinfogatherer.cpp
	libgui/languages/build_ts/octave-qt/qfilesystemmodel.cpp
	libgui/languages/build_ts/octave-qt/qfontdialog.cpp
	libgui/languages/build_ts/octave-qt/qhelpsearchquerywidget.cpp
	libgui/languages/build_ts/octave-qt/qinputdialog.cpp
	libgui/languages/build_ts/octave-qt/qmessagebox.cpp
	libgui/languages/build_ts/octave-qt/qpagesetupdialog.cpp
	libgui/languages/build_ts/octave-qt/qpagesetupdialog_unix.cpp
	libgui/languages/build_ts/octave-qt/qpagesetupdialog_win.cpp
	libgui/languages/build_ts/octave-qt/qplatformtheme.cpp
	libgui/languages/build_ts/octave-qt/qprintdialog_unix.cpp
	libgui/languages/build_ts/octave-qt/qprintdialog_win.cpp
	libgui/languages/build_ts/update_external_sources

2023-12-04  Rik  <rik@octave.org>

	maint: Update translation files *.ts ahead of version 9.1.0 release.

	*  libgui/languages/ca_ES.ts,
	libgui/languages/de_DE.ts, libgui/languages/en_US.ts,
	libgui/languages/es_ES.ts, libgui/languages/eu_ES.ts,
	libgui/languages/fr_FR.ts, libgui/languages/hu_HU.ts,
	libgui/languages/it_IT.ts, libgui/languages/ja_JP.ts,
	libgui/languages/lt_LT.ts, libgui/languages/nl_NL.ts,
	libgui/languages/pt_BR.ts, libgui/languages/pt_PT.ts,
	libgui/languages/ru_RU.ts, libgui/languages/tr_TR.ts,
	libgui/languages/uk_UA.ts, libgui/languages/zh_CN.ts:
	Update translation files *.ts ahead of version 9.1.0 release.

	* libgui/languages/build_ts/README.md: Fix typo.

	Files: libgui/languages/be_BY.ts libgui/languages/build_ts/README.md
	libgui/languages/ca_ES.ts libgui/languages/de_DE.ts
	libgui/languages/en_US.ts libgui/languages/es_ES.ts
	libgui/languages/eu_ES.ts libgui/languages/fr_FR.ts
	libgui/languages/hu_HU.ts libgui/languages/it_IT.ts
	libgui/languages/ja_JP.ts libgui/languages/lt_LT.ts
	libgui/languages/nl_NL.ts libgui/languages/pt_BR.ts
	libgui/languages/pt_PT.ts libgui/languages/ru_RU.ts
	libgui/languages/tr_TR.ts libgui/languages/uk_UA.ts
	libgui/languages/zh_CN.ts

2023-12-04  John W. Eaton  <jwe@octave.org>

	disable building bytecode evaluator by default (bug #64977)

	* configure.ac (ENABLE_BYTECODE-EVALUATOR): Default to "no".
	Reverse sense of AC_ARG_ENABLE option for bytecode-evaluator.

	* call-stack.cc, call-stack.h, compile.cc, stack-frame.cc,
	stack-frame.h, ov-base-diag.h, ov-base-mat.cc, ov-base-mat.h,
	ov-base-scalar.cc, ov-base-scalar.h, ov-base-sparse.h, ov-base.cc,
	ov-base.h, ov-cell.h, ov-classdef.h, ov-colon.h, ov-fcn-handle.cc,
	ov-fcn-handle.h, ov-fcn.cc, ov-fcn.h, ov-ref.cc, ov-ref.h,
	ov-struct.cc, ov-struct.h, ov-usr-fcn.cc, ov-usr-fcn.h, ov.cc, ov.h,
	pt-bytecode-vm-internal.h, pt-bytecode-vm.cc, pt-bytecode-vm.h,
	pt-bytecode-walk.cc, pt-bytecode-walk.h, pt-bytecode.h, pt-eval.cc,
	pt-eval.h, pt-tm-const.cc, pt-tm-const.h:
	Skip compilation of bytecode evaluator unless
	OCTAVE_ENABLE_BYTECODE_EVALUATOR is defined.

	* bytecode.tst, bytecode_disp.tst:
	Use "testif ENABLE_BYTECODE_EVALUATOR" to skip tests that require
	bytecode interpreter.

	Files: configure.ac libinterp/corefcn/call-stack.cc libinterp/corefcn/call-
	stack.h libinterp/corefcn/compile.cc libinterp/corefcn/stack-
	frame.cc libinterp/corefcn/stack-frame.h libinterp/octave-value/ov-
	base-diag.h libinterp/octave-value/ov-base-mat.cc libinterp/octave-
	value/ov-base-mat.h libinterp/octave-value/ov-base-scalar.cc
	libinterp/octave-value/ov-base-scalar.h libinterp/octave-value/ov-
	base-sparse.h libinterp/octave-value/ov-base.cc libinterp/octave-
	value/ov-base.h libinterp/octave-value/ov-cell.h libinterp/octave-
	value/ov-classdef.h libinterp/octave-value/ov-colon.h
	libinterp/octave-value/ov-fcn-handle.cc libinterp/octave-value/ov-
	fcn-handle.h libinterp/octave-value/ov-fcn.cc libinterp/octave-
	value/ov-fcn.h libinterp/octave-value/ov-ref.cc libinterp/octave-
	value/ov-ref.h libinterp/octave-value/ov-struct.cc libinterp/octave-
	value/ov-struct.h libinterp/octave-value/ov-usr-fcn.cc
	libinterp/octave-value/ov-usr-fcn.h libinterp/octave-value/ov.cc
	libinterp/octave-value/ov.h libinterp/parse-tree/pt-bytecode-vm-
	internal.h libinterp/parse-tree/pt-bytecode-vm.cc libinterp/parse-
	tree/pt-bytecode-vm.h libinterp/parse-tree/pt-bytecode-walk.cc
	libinterp/parse-tree/pt-bytecode-walk.h libinterp/parse-tree/pt-
	bytecode.h libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-
	eval.h libinterp/parse-tree/pt-tm-const.cc libinterp/parse-tree/pt-
	tm-const.h test/compile/bytecode.tst
	test/compile/shutup_operator_test/bytecode_disp.tst

2023-11-28  John W. Eaton  <jwe@octave.org>

	restore option to disable bytecode evaluator removed in cset 6efda6ed0d17

	* configure.ac: Restore --disable-bytecode-evaluator option and
	associated variables, renamed from --disable-vm-evaluator.
	* Makefile.am, test/Makefile.am (check-bytecode-evaluator):
	Rename target from check-vm.  Now conditional on
	AMCOND_ENABLE_BYTECODE_EVALUATOR.
	* mk-octave-config-h.sh: Copy OCTAVE_ENABLE_BYTECODE_EVALUATOR macro.
	* toplev.cc (F__octave_config_info__):
	Include ENABLE_BYTECODE_EVALUATOR in the struct.

	Files: Makefile.am build-aux/mk-octave-config-h.sh configure.ac
	libinterp/corefcn/toplev.cc test/Makefile.am

2023-12-04  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.9.md: Use same list item in section "Graphics backend" as in other sections.

	* etc/NEWS.9.md: Use same list item in section "Graphics backend" as in other
	sections.

	Files: etc/NEWS.9.md

	NEWS.9.md: Add note about added support for Qt6.

	* etc/NEWS.9.md: Add note about added support to build the GUI for Qt6.

	Files: etc/NEWS.9.md

2023-12-03  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (MSYS2/MinGW): Build with UCRT64 instead of CLANG64.

	* .github/workflows/make.yaml (mingw): Run CI in the UCRT64 environment instead
	of in the CLANG64 environment. That is closer to what will likely distributed
	as version 9 of Octave for Windows. Do not install mesa, it isn't used anyway.
	Create and upload build artifacts only from default branch. Remove explicitly
	setting "gl_cv_have_weak=no" which is no longer needed since gnulib update.

	Files: .github/workflows/make.yaml

2023-12-01  Rik  <rik@octave.org>

	doc: Add new contributors to Octave manual.

	* contributors.in: Add new contributors to Octave manual.

	Files: doc/interpreter/contributors.in

2023-11-30  Rik  <rik@octave.org>

	maint: Fix compilation error resultin from cset 6ff63f154144.

	* version.in.h (octave_name_version_and_copyright): Add default for single
	argument to function.

	Files: liboctave/version.in.h

2023-11-29  Rik  <rik@octave.org>

	maint: Review and update strings that appear in GUI.

	* NEWS.9.md: Correct typo.

	* annotation-dialog.ui: Spell out "Horizontal" and "Vertical" rather than
	"Horz" and "Vert".  Right-align "Width:" and "Height:" labels.

	* documentation.cc, find-files-dialog.cc, gui-preferences-cs.h,
	gui-preferences-sc.cc, gui-preferences-sd.h, gui-preferences-ve.h,
	m-editor/file-editor.cc, m-editor/find-dialog.cc, main-window.cc,
	news-reader.cc, octave-dock-widget.cc, set-path-dialog.cc, settings-dialog.cc,
	settings-dialog.ui, shortcuts-tree-widget.cc, variable-editor.cc,
	welcome-wizard.cc: Many string changes for clarity and consistecy.

	* history-dock-widget.cc: Add separator before "Hide/Show Filter" in
	Command History context menu.

	* version.cc (octave_name_version_and_copyright): Change function prototype to
	accept a single input parameter "html".  Use parameter inside function
	to decide how to represent a line break.

	* __add_default_menu__.m: Capitalize terms in menus (except for small words)
	for consistency with most GUI applications.

	Files: etc/NEWS.9.md libgui/graphics/annotation-dialog.ui
	libgui/src/documentation.cc libgui/src/find-files-dialog.cc
	libgui/src/gui-preferences-cs.h libgui/src/gui-preferences-sc.cc
	libgui/src/gui-preferences-sd.h libgui/src/gui-preferences-ve.h
	libgui/src/history-dock-widget.cc libgui/src/m-editor/file-editor-
	tab.cc libgui/src/m-editor/file-editor.cc libgui/src/m-editor/find-
	dialog.cc libgui/src/main-window.cc libgui/src/news-reader.cc
	libgui/src/octave-dock-widget.cc libgui/src/set-path-dialog.cc
	libgui/src/settings-dialog.cc libgui/src/settings-dialog.ui
	libgui/src/shortcuts-tree-widget.cc libgui/src/variable-editor.cc
	libgui/src/welcome-wizard.cc liboctave/version.cc
	scripts/plot/util/private/__add_default_menu__.m

2023-11-28  Rik  <rik@octave.org>

	maint: Changes to wording of GUI strings and NEWS for clarity.

	* NEWS.9.md, welcome-wizard.cc: Changes to wording for clarity and consistency
	suggested by robertf on Discourse.

	Files: etc/NEWS.9.md libgui/src/welcome-wizard.cc

	doc: Add Johannes Pfeifer to list of Octave contributors.

	* contributors.in: Add Johannes Pfeifer to list of Octave contributors.

	Files: doc/interpreter/contributors.in

	maint: update newly added m-file functions to use Octave coding guidelines.

	* isuniform.m, tensorprod.m:
	Update newly added m-file functions to use Octave coding guidelines.

	Files: scripts/general/isuniform.m scripts/linear-algebra/tensorprod.m

2023-11-25  Markus Mützel  <markus.muetzel@gmx.de>

	maint: Add space " " between C++ cast and argument.

	* __pchip_deriv__.cc, ccolamd.cc, data.cc, gzfstream.h, stack-frame.cc,
	strfind.cc, urlwrite.cc, xpow.cc, __init_fltk__.cc, ov-base-scalar.cc,
	ov-base.cc, ov-float.cc, ov-scalar.cc, ov-struct.cc, pt-bytecode-vm-internal.h,
	pt-bytecode-vm.cc, CSparse.cc, dSparse.cc, dSparse.h, MSparse.h, Sparse.cc,
	lo-mappers.cc, oct-fftw.cc, sparse-chol.cc, sparse-qr.cc, oct-string.cc,
	url-transfer.cc: Add space " " between C++ cast and argument.

	Files: libinterp/corefcn/__pchip_deriv__.cc libinterp/corefcn/ccolamd.cc
	libinterp/corefcn/data.cc libinterp/corefcn/gzfstream.h
	libinterp/corefcn/stack-frame.cc libinterp/corefcn/strfind.cc
	libinterp/corefcn/urlwrite.cc libinterp/corefcn/xpow.cc
	libinterp/dldfcn/__init_fltk__.cc libinterp/octave-value/ov-base-
	scalar.cc libinterp/octave-value/ov-base.cc libinterp/octave-
	value/ov-float.cc libinterp/octave-value/ov-scalar.cc
	libinterp/octave-value/ov-struct.cc libinterp/parse-tree/pt-
	bytecode-vm-internal.h libinterp/parse-tree/pt-bytecode-vm.cc
	liboctave/array/CSparse.cc liboctave/array/MSparse.h
	liboctave/array/Sparse.cc liboctave/array/dSparse.cc
	liboctave/array/dSparse.h liboctave/numeric/lo-mappers.cc
	liboctave/numeric/oct-fftw.cc liboctave/numeric/sparse-chol.cc
	liboctave/numeric/sparse-qr.cc liboctave/util/oct-string.cc
	liboctave/util/url-transfer.cc

	maint: Eliminate "(void)" in C++ function prototypes/declarations.

	* stack-frame.cc, stack-frame.h, ov-base-diag.h, ov-base-int.h, ov-base-mat.h,
	ov-base-scalar.h, ov-base-sparse.h, ov-base.cc, ov-base.h, ov-cell.h,
	ov-classdef.h, ov-colon.h, ov-fcn-handle.cc, ov-fcn-handle.h, ov-fcn.h,
	ov-magic-int.h, ov-null-mat.h, ov-range.h, ov-ref.h, ov-scalar.cc, ov-scalar.h,
	ov.h, pt-bytecode-walk.h, sparse-chol.cc: Eliminate "(void)" in C++ function
	prototypes/declarations.

	Files: libinterp/corefcn/stack-frame.cc libinterp/corefcn/stack-frame.h
	libinterp/octave-value/ov-base-diag.h libinterp/octave-value/ov-
	base-int.h libinterp/octave-value/ov-base-mat.h libinterp/octave-
	value/ov-base-scalar.h libinterp/octave-value/ov-base-sparse.h
	libinterp/octave-value/ov-base.cc libinterp/octave-value/ov-base.h
	libinterp/octave-value/ov-cell.h libinterp/octave-value/ov-
	classdef.h libinterp/octave-value/ov-colon.h libinterp/octave-
	value/ov-fcn-handle.cc libinterp/octave-value/ov-fcn-handle.h
	libinterp/octave-value/ov-fcn.h libinterp/octave-value/ov-magic-
	int.h libinterp/octave-value/ov-null-mat.h libinterp/octave-
	value/ov-range.h libinterp/octave-value/ov-ref.h libinterp/octave-
	value/ov-scalar.cc libinterp/octave-value/ov-scalar.h
	libinterp/octave-value/ov-struct.h libinterp/octave-value/ov.h
	libinterp/parse-tree/pt-bytecode-walk.h liboctave/numeric/sparse-
	chol.cc

	Fix ambiguous overload error for operator+ (bug #64914).

	* pt-bytecode-vm.cc: Fix error for platforms on which long is not 64-bit wide.

	Files: libinterp/parse-tree/pt-bytecode-vm.cc

	Prefix enumeration values in public header with "OCT_" (bug #64829).

	* ov-base.h: The enumeration value HANDLE conflicts with a type of the same name
	in the Windows CRT. Prefix all enumeration values with "OCT_" to avoid this and
	potentially other conflicts.
	* ov-base-diag.h, ov-base-mat.h, ov-base-scalar.h, ov-base-sparse.h, ov-base.cc,
	ov-cell.h, ov-classdef.h, ov-colon.h, ov-fcn-handle.h, ov-fcn.h, ov-struct.h,
	pt-bytecode-vm.cc: Adapt for that change.

	Files: libinterp/octave-value/ov-base-diag.h libinterp/octave-value/ov-
	base-mat.h libinterp/octave-value/ov-base-scalar.h libinterp/octave-
	value/ov-base-sparse.h libinterp/octave-value/ov-base.cc
	libinterp/octave-value/ov-base.h libinterp/octave-value/ov-cell.h
	libinterp/octave-value/ov-classdef.h libinterp/octave-value/ov-
	colon.h libinterp/octave-value/ov-fcn-handle.h libinterp/octave-
	value/ov-fcn.h libinterp/octave-value/ov-struct.h libinterp/parse-
	tree/pt-bytecode-vm.cc

2023-11-25  Arun Giridhar  <arungiridhar@gmail.com>

	doc: Placate Texinfo warnings

	Texinfo gave the following warnings:

	* @verb{} should not be used in @item{} or any other construct that
	generates a reference.

	* @flushright and @image should not be on the same line.

	* For the section "Hardware vs. Software Rendering", the section title
	cannot have a dot, which would interfere with link generation.

	This patch makes the following changes:

	Replace @verb{} by @qcode{} and verify that it does not interfere
	with info's formatting, though it may have done so in the past.

	Move @image after @flushright to a separate line.

	Change "vs." to "vs".

	Files: doc/interpreter/octave.texi doc/interpreter/plot.txi

2023-11-25  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS: Update links to previous NEWS files.

	* etc/NEWS.6.md, etc/NEWS.7.md, etc/NEWS.8.md, etc/NEWS.9.md: The NEWS files for
	Octave 5 and later are in markdown format and have a .md extension. Update the
	links at the bottom of the NEWS files to adapt for that change.

	Files: etc/NEWS.6.md etc/NEWS.7.md etc/NEWS.8.md etc/NEWS.9.md

2023-11-24  Rik  <rik@octave.org>

	maint: Style check m-files in scripts/ directory before 9.1 release.

	* scripts/ode/private/ode_event_handler.m,
	scripts/ode/private/odemergeopts.m,
	scripts/ode/private/runge_kutta_interpolate.m, scripts/optimization/sqp.m,
	scripts/pkg/private/build.m, scripts/plot/appearance/text.m,
	scripts/plot/draw/quiver3.m, scripts/set/ismembertol.m,
	scripts/signal/unwrap.m, scripts/specfun/betainc.m, scripts/specfun/primes.m,
	scripts/statistics/cov.m, scripts/statistics/mad.m, scripts/statistics/mode.m,
	scripts/strings/dec2bin.m, scripts/strings/unicode2native.m,
	scripts/time/datevec.m:
	Style check m-files in scripts/ directory before 9.1 release.

	Files: scripts/general/interp2.m scripts/miscellaneous/license.m
	scripts/ode/private/integrate_adaptive.m
	scripts/ode/private/ode_event_handler.m
	scripts/ode/private/odemergeopts.m
	scripts/ode/private/runge_kutta_interpolate.m
	scripts/optimization/sqp.m scripts/pkg/private/build.m
	scripts/plot/appearance/text.m scripts/plot/draw/quiver3.m
	scripts/set/ismembertol.m scripts/signal/unwrap.m
	scripts/specfun/betainc.m scripts/specfun/primes.m
	scripts/statistics/cov.m scripts/statistics/mad.m
	scripts/statistics/mode.m scripts/strings/dec2bin.m
	scripts/strings/unicode2native.m scripts/time/datevec.m

	maint: Update check for undocumented functions in Octave manual.

	* mk_undocumented_list: Add new exceptions for "bytecode", "desktop".
	Change exceptions "lower", "upper" to "tolower", "toupper.

	* doc/interpreter/module.mk (undocumented_list): Rewrite makefile rule for
	undocumented_list to output clean text as to whether check passed or failed.

	Files: doc/interpreter/doccheck/mk_undocumented_list
	doc/interpreter/module.mk

	maint: merge away head on stable

	Files: 

	doc: Spellcheck documentation ahead of 9.1 release.

	* aspell-octave.en.pws: Add new words to Octave's aspell dictionary.

	* doc/interpreter/plot.txi, doc/interpreter/vectorize.txi,
	libinterp/corefcn/input.cc, libinterp/octave-value/ov-struct.cc,
	scripts/io/fileread.m, scripts/linear-algebra/tensorprod.m,
	scripts/optimization/optimget.m, scripts/optimization/optimset.m,
	scripts/statistics/cov.m, scripts/statistics/mean.m,
	scripts/strings/isstrprop.m, scripts/time/datevec.m:
	Fix spelling mistakes, re-phrase to avoid awkward words, add
	@nospell macro around some @qcode macros.

	Files: doc/interpreter/doccheck/aspell-octave.en.pws
	doc/interpreter/plot.txi doc/interpreter/vectorize.txi
	libinterp/corefcn/input.cc libinterp/octave-value/ov-struct.cc
	scripts/io/fileread.m scripts/linear-algebra/tensorprod.m
	scripts/optimization/optimget.m scripts/optimization/optimset.m
	scripts/statistics/cov.m scripts/statistics/mean.m
	scripts/strings/isstrprop.m scripts/time/datevec.m

2023-11-22  Petter T.  <Petter T.>

	Bytecode interpreter: Populate cells on the heap (bug #64914)

	Previously, cells in the bytecode interpreter were being populated
	on the stack instead of on the heap. This led to repeatable crashes with
	cell concatenations like `b = {b{:} a{:}}`. This patch moves such cells to
	the heap so that large cell concatenations are made possible.
	[Commit message summary and text by Arun Giridhar]

	* pt-bytecode-vm.cc: Rework how cells are pushed.
	                     PUSH_CELL_BIG, New opcode
			     APPEND_CELL, New opcode
			     PUSH_OV_U64, EXPAND_CS_LIST removed
	* pt-bytecode-walk.cc: Use new opcodes
	* pt-bytecode.h: New opcodes, delete redundant
	* test/compile/bytecode_cell.m: Add more tests for cells

	Files: libinterp/parse-tree/pt-bytecode-vm.cc libinterp/parse-tree/pt-
	bytecode-walk.cc libinterp/parse-tree/pt-bytecode.h
	test/compile/bytecode_cell.m

2023-11-23  Rik  <rik@octave.org>

	doc: grammarcheck Octave manual before 9.1 release.

	* doc/interpreter/func.txi, doc/interpreter/numbers.txi,
	doc/interpreter/octave.texi, doc/interpreter/plot.txi,
	doc/interpreter/sparse.txi, doc/interpreter/vectorize.txi,
	scripts/miscellaneous/jupyter_notebook.m, scripts/plot/draw/stemleaf.m:
	grammarcheck Octave manual before 9.1 release.

	Files: doc/interpreter/container.txi doc/interpreter/expr.txi
	doc/interpreter/func.txi doc/interpreter/numbers.txi
	doc/interpreter/octave.texi doc/interpreter/plot.txi
	doc/interpreter/sparse.txi doc/interpreter/vectorize.txi
	scripts/miscellaneous/jupyter_notebook.m
	scripts/plot/draw/stemleaf.m

	doc: grammarcheck C++ files before 9.1 release.

	* libinterp/corefcn/graphics.cc, libinterp/corefcn/input.cc,
	libinterp/corefcn/pr-output.cc, libinterp/corefcn/qz.cc,
	libinterp/corefcn/sysdep.cc:
	grammarcheck C++ files before 9.1 release.

	Files: libinterp/corefcn/compile.cc libinterp/corefcn/graphics.cc
	libinterp/corefcn/input.cc libinterp/corefcn/pr-output.cc
	libinterp/corefcn/qz.cc libinterp/corefcn/sysdep.cc

	doc: grammarcheck m-files before 9.1 release.

	* scripts/help/bytecode.m, scripts/linear-algebra/tensorprod.m,
	scripts/optimization/optimget.m, scripts/optimization/optimset.m,
	scripts/plot/appearance/xlim.m, scripts/plot/appearance/ylim.m,
	scripts/plot/appearance/zlim.m, scripts/plot/draw/quiver.m,
	scripts/plot/draw/quiver3.m, scripts/plot/util/print.m,
	scripts/set/ismembertol.m, scripts/statistics/cov.m, scripts/statistics/mad.m,
	scripts/time/datenum.m:
	grammarcheck m-files before 9.1 release.

	Files: scripts/help/bytecode.m scripts/linear-algebra/tensorprod.m
	scripts/optimization/optimget.m scripts/optimization/optimset.m
	scripts/plot/appearance/xlim.m scripts/plot/appearance/ylim.m
	scripts/plot/appearance/zlim.m scripts/plot/draw/quiver.m
	scripts/plot/draw/quiver3.m scripts/plot/util/print.m
	scripts/set/ismembertol.m scripts/statistics/cov.m
	scripts/statistics/mad.m scripts/time/datenum.m

2023-11-22  Rik  <rik@octave.org>

	maint: Bump version for pre-release (see etc/HACKING.md)

	* configure.ac (AC_INIT): Bump version.
	(OCTAVE_PATCH_VERSION): Set to 1 for stabilization period before full release.
	(OCTAVE_RELEASE_DATE): Update.

	Files: configure.ac

	maint: Merge default to stable to begin version 9 release process.

	Files: 

2023-11-17  Arun Giridhar  <arungiridhar@gmail.com>

	lex.ll: Accept block comments at the command prompt (bug #64903)

	* lex.ll: Previously, the end of a block comment was also treated
	as the end of a statement, which prevented loops with block comments
	inside from being copy-pasted at the command prompt.  This patch
	accepts block comments without ending the statement.

	Files: libinterp/parse-tree/lex.ll

2023-11-05  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release

	* configure.ac (AC_INIT): Set version to 8.4.1.
	(OCTAVE_PATCH_VERSION): Now 1.
	* NEWS.8.md: Create section for a future 8.5 release.

	Files: configure.ac etc/NEWS.8.md

	Added tag release-8-4-0 for changeset 78c13a2594f3

	Files: .hgtags

	Version 8.4.0 released.

	* configure.ac (AC_INIT): Set version to 8.4.0.
	(OCTAVE_MINOR_VERSION): Now 4.
	(OCTAVE_PATCH_VERSION): Now 0.
	(OCTAVE_RELEASE_DATE): Set to "2023-11-05".
	* org.octave.Octave.appdata.xml: Add release info for version 8.4.0.
	* CITATION: Update for 8.4.0.
	* NEWS.8.md: Update release date.
	* liboctave/module.mk (%canon_reldir%_liboctave_revision): Increment.
	* libinterp/module.mk (%canon_reldir%_liboctinterp_revision): Increment.

	Files: CITATION configure.ac etc/NEWS.8.md
	etc/icons/org.octave.Octave.appdata.xml libinterp/module.mk
	liboctave/module.mk

2023-10-31  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.8.md: Update NEWS file with recent change for Octave 8.4.0.

	* etc/NEWS.8.md: Update NEWS file with recent change for Octave 8.4.0.

	Files: etc/NEWS.8.md

2023-10-28  Markus Mützel  <markus.muetzel@gmx.de>

	webread: Apply timeout also for initial connection (bug #64826).

	* liboctave/util/url-transfer.cc (curl_transfer::set_weboptions): Set timeout
	in Milliseconds for transfer and connection with CURLOPT_TIMEOUT_MS and
	CURLOPT_CONNECTTIMEOUT_MS.
	* scripts/web/webread.m: Fix function name in error message. Use transpose
	operator instead of complex conjugate transpose operator.

	Files: liboctave/util/url-transfer.cc scripts/web/webread.m

2023-10-26  Arun Giridhar  <arungiridhar@gmail.com>

	Fix minor typo for NEWS.8.md

	Fix minor typo in commit logs for filename.

	Files: etc/NEWS.8.md

2023-10-26  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.8.md: Update NEWS file with changes for Octave 8.4.0.

	* etc/NEWS.8.md: Update NEWS file with changes for Octave 8.4.0.

	Files: etc/NEWS.8.md

2023-10-13  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	betainf.m: Improve integer input logic and validation (bug #64726)

	* betainf.m:  Add shortcut function return for integer x inputs.  Add x = 0
	or 1 case to trivial input handling. Move tail input string check to
	beginning of function and replace repeat checks with state variable.  Add
	numeric type input validation test and BISTs.  Add BISTS to check inputs
	with mix of 0, 1, and other numbers for x for both tail options.

	Files: scripts/specfun/betainc.m

2023-10-13  Markus Mützel  <markus.muetzel@gmx.de>

	Avoid use-after-free issue (bug #60882).

	* libinterp/parse-tree/oct-parse.yy (base_parser::make_for_command): Avoid
	use-after-free in (unimplemented?) parfor block.

	Files: libinterp/parse-tree/oct-parse.yy

2023-10-05  Johannes Pfeifer  <Johannes Pfeifer>

	intersect.m: Correct third output with "stable" flag (bug #60347).

	* scripts/set/intersect.m: Return indices in third output in correct order
	when using "stable" flag.

	Files: scripts/set/intersect.m

2023-10-03  Markus Mützel  <markus.muetzel@gmx.de>

	fft: Avoid overwriting input for inplace operations (bug #64733).

	With contributions from Markus Meisinger.

	* liboctave/numeric/oct-fftw.cc (fftw_planner::do_create_plan,
	float_fftw_planner::do_create_plan): Avoid overwriting input in planner when
	output is returned in place.
	* libinterp/corefcn/fft.cc: Add test cases.
	* liboctave/util/oct-locbuf.h (OCTAVE_SCOPED_BUFFER_ANCHOR,
	OCTAVE_SCOPED_BUFFER): Add new preprocessor macros to facilitate creating a
	buffer which can leave the scope where it is created.

	Files: libinterp/corefcn/fft.cc liboctave/numeric/oct-fftw.cc
	liboctave/util/oct-locbuf.h

2023-10-01  Markus Mützel  <markus.muetzel@gmx.de>

	fft: Avoid segmentation fault with ND-arrays (bug #64729).

	* liboctave/numeric/act-fftw.cc (fftw_planner::do_create_plan,
	float_fftw_planner::do_create_plan): Allocate sufficiently large buffer for
	FFTW plan (as suggested by Markus Meisinger).
	* libinterp/corefcn/fft.cc: Add test cases.

	Files: libinterp/corefcn/fft.cc liboctave/numeric/oct-fftw.cc

2023-09-20  John W. Eaton  <jwe@octave.org>

	Search for tests in and install octave-value template sources (bug #64696).

	* libinterp/module.mk (LIBINTERP_TEMPLATE_SRC): New variable.
	(octinclude_HEADERS): Include $(LIBINTERP_TEMPLATE_SRC) in the list.
	(DIST_SRC): Likewise.

	* libinterp/octave-value/module.mk: Add template source files to
	LIBINTERP_TEMPLATE_SRC instead of libinterp_EXTRA_DIST.

	Files: libinterp/module.mk libinterp/octave-value/module.mk

2023-09-29  Markus Mützel  <markus.muetzel@gmx.de>

	mkoctfile: Prefer parsing over passing on argument after unknown argument (bug #64725).

	* src/mkoctfile.in.cc: Try to parse argument following an unknown parameter
	before passing it on to the compiler flags.

	Files: src/mkoctfile.in.cc

2023-09-22  Arun Giridhar  <arungiridhar@gmail.com>

	doc: Add range example and some copyedits

	Files: doc/interpreter/numbers.txi

	doc: Describe various pitfalls with floating point ranges (Bug #64692)

	Files: doc/interpreter/numbers.txi

2023-09-21  John W. Eaton  <jwe@octave.org>

	allocate correct storage for interleaved complex mxArray objects (bug #64687)

	Track complexity of mxArray objects in mxArray_matlab base class
	instead of individually in derived classes.

	* mex.cc (mxArray::m_is_complex): New data member.  Update
	constructors as needed to accept argument specifying complexity.
	Change all uses.
	(mxArray::is_complex): Return m_complex instead of 0.
	(mxArray::set_complexity): New function.
	(mxArray_base_full, mxArray_base_sparse): Update constructors as
	needed to accept argument specifying complexity.  Change all uses.
	(mxArray_interleaved_full::is_complex): Delete.
	(mxArray_interleaved_full::m_complex): Delete.
	(mxArray_separate_full::is_complex): Delete.
	(mxArray_separate_sparse::set_imag_data): Update complexity.
	(mxArray_interleaved_sparse::is_complex): Delete.
	(mxArray_interleaved_sparse::m_complex): Delete.
	(mxArray_separate_sparse::is_complex): Delete.
	(mxArray_separate_sparse::set_imag_data): Update complexity.

	Files: libinterp/corefcn/mex.cc

2023-09-19  John W. Eaton  <jwe@octave.org>

	ensure that new test writes a text file

	* ov-base-sparse.cc: In new test, use "-text" option for save command.

	Files: libinterp/octave-value/ov-base-sparse.cc

	correctly load all-zero sparse matrices from text files (bug #64696)

	Since changeset c0d8ce61c1c9, sparse arrays have reserved at least one
	element of storage so nzmax is always greater than 0.  That causes
	trouble for the read_sparse_matrix function which only reads a set of
	triplets (ROW, COL, VAL) from the input stream and assumes that the
	sparse array that it receives and fills with values has been
	initialized with exactly the correct amount of storage to hold all the
	values in the file (it assumes that nnz is the same as nzmax).  But
	that's not the case for sparse arrays created with nnz equal to 0 and
	read_sparse_matrix attempts to read an element when it should not.  We
	can't avoid the problem by calling Sparse<T>::nnz in
	read_sparse_matrix because it returns zero for a newly allocated
	sparse array and won't be correct until the values are stored in the
	array.  Instead, we have to skip reading array elements in the
	load_ascii function if NZ is zero.

	* ov-base-sparse.cc (octave_base_sparse<T>::load_ascii): Skip input of
	matrix elements if NNZ is zero.  New test.

	Files: libinterp/octave-value/ov-base-sparse.cc

2023-09-14  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	datevec: Add help text that inputs can be arrays (bug #54679).

	* datevec.m: Update help text to explain that arguments can be scalar or
	arrays.

	Files: scripts/time/datevec.m

2021-11-22  Andrew Janke  <andrew@apjanke.net>

	datenum: Add help text that inputs can be arrays, add examples (bug #54679).

	* datenum.m: Update help text to explain that arguments can be scalar or
	arrays.  Add docsstring examples of several use cases.

	Files: scripts/time/datenum.m

2023-09-13  Markus Mützel  <markus.muetzel@gmx.de>

	delaunayn: Also warn for negative integers with large magnitude (bug #64658).

	* scripts/geometry/delaunay.m: Also warn for negative integers with large
	magnitude.

	Files: scripts/geometry/delaunayn.m

2023-09-12  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	delaunayn: Add precision loss warning for large int inputs (bug #64658).

	* delaunayn.m: Add conditional warning for int values larger that flintmax.
	Move int-to-double conversion after call to __dalaunayn__.  Add TODO
	note about correcting simplex checking calculations to be stable for
	integer values.

	Files: scripts/geometry/delaunayn.m

	delaunayn.m: Avoid erroneous simplex removal for integer inputs (bug #64658).

	* delaunany.m:  Add conditional conversion from integer to double inputs.  Add
	BIST checking for same output with double and int inputs for known
	problematic input.
	* NEWS.8.md:  Note bugfix under Improvements and fixes.

	Files: etc/NEWS.8.md scripts/geometry/delaunayn.m

2023-09-07  Markus Mützel  <markus.muetzel@gmx.de>

	Fix getting number of non-zero elements in SuiteSparse matrices.

	Based on changes by @DrTimothyAldenDavis on GitHub:
	https://github.com/DrTimothyAldenDavis/SuiteSparse/issues/221#issuecomment-1710586946

	* liboctave/numeric/sparse-qr.cc (rcs2ros, ccs2cos): Add cholmod_common as
	input argument. Use "cholmod_l_nnz" to get number of non-zero matrix elements.
	(sparse_qr<T>::sparse_qr_rep::V): Pass cholmod_common to conversion function.
	Get correct number of non-zero matrix elements.
	(sparse_qr<T>::sparse_qr_rep::R): Use "cholmod_l_nnz" to get number of non-zero
	matrix elements. Get correct number of non-zero matrix elements.
	(sparse_qr<T>::sparse_qr_rep::tall_solve): Use "cholmod_l_nnz" to get number of
	non-zero matrix elements.
	(sparse_qr<T>::min2norm_solve): Pass cholmod_common to conversion function.

	* liboctave/numeric/sparse-qr.cc (parse_chol<chol_type>::L): Use
	"cholmod_[l_]nnz" to get number of non-zero matrix elements.

	* liboctave/array/CSparse.cc, dSparse.cc (fsolve): Use "cholmod_[l_]nnz" to get
	number of non-zero matrix elements.

	Files: liboctave/array/CSparse.cc liboctave/array/dSparse.cc
	liboctave/numeric/sparse-chol.cc liboctave/numeric/sparse-qr.cc

2023-08-28  Markus Mützel  <markus.muetzel@gmx.de>

	mkoctfile: Skip parsing for less flags (bug #64590).

	* src/mkoctfile.in.cc: Don't skip parsing of arguments that follow something
	that looks like a compiler option containing '='.

	Files: src/mkoctfile.in.cc

2023-08-26  Markus Mützel  <markus.muetzel@gmx.de>

	doc: Clarify that heuristics are used to detect the format of a date string (bug #64563).

	* scripts/time/datevec.m: Add sentences in the documentation to clarify that
	heuristics are used when no format string is provided.

	Files: scripts/time/datevec.m

2023-08-23  Arun Giridhar  <arungiridhar@gmail.com>

	doc: Expand documentation for gcd() and lcm()

	gcd.cc: Add tip about num2cell for multiple inputs in the same array.

	lcm.m: Expand documentation, mention complex inputs, add tip about
	num2cell for multiple inputs in the same array.

	Files: libinterp/corefcn/gcd.cc scripts/specfun/lcm.m

2023-08-23  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	doc: Correct variable name typo in slice.m docstring

	* slice.m: Correct "parameter X, X, and Z" to "parameter X, Y, and Z".

	Files: scripts/plot/draw/slice.m

2023-08-10  Arun Giridhar  <arungiridhar@gmail.com>

	mkpp.m: Remove stray text causing error with demo code.

	Files: scripts/polynomial/mkpp.m

2023-08-08  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release

	* configure.ac (AC_INIT): Set version to 8.3.1.
	(OCTAVE_PATCH_VERSION): Now 1.
	* NEWS.8.md: Create section for a future 8.4 release.

	Files: configure.ac etc/NEWS.8.md

	Added tag release-8-3-0 for changeset 6fc591af58ba

	Files: .hgtags

	Version 8.2.0 released.

	* configure.ac (AC_INIT): Set version to 8.3.0.
	(OCTAVE_MINOR_VERSION): Now 3.
	(OCTAVE_PATCH_VERSION): Now 0.
	(OCTAVE_RELEASE_DATE): Set to "2023-08-08".
	* org.octave.Octave.appdata.xml: Add release info for version 8.3.0.
	* CITATION: Update for 8.3.0.
	* NEWS.8.md: Update release date.
	* libgui/module.mk (%canon_reldir%_liboctgui_revision): Increment.
	* libinterp/module.mk (%canon_reldir%_liboctinterp_revision): Increment.
	* liboctave/module.mk (%canon_reldir%_%canon_reldir%_revision): Increment.

	Files: CITATION configure.ac etc/NEWS.8.md
	etc/icons/org.octave.Octave.appdata.xml libgui/module.mk
	libinterp/module.mk liboctave/module.mk

2023-08-05  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.8.md: Update NEWS file with recent changes for Octave 8.3.0.

	* etc/NEWS.8.md: Update NEWS file with recent changes for Octave 8.3.0.

	Files: etc/NEWS.8.md

2023-05-18  Philip Nienhuis  <prnienhuis@users.sf.net>

	datevec.m: Add some ISO 8601 conform formats (patch #9964).

	* scripts/time/datevec.m: Add more formats that are automatically recognized.
	Add BISTs.

	Files: scripts/time/datevec.m

2023-08-04  Markus Mützel  <markus.muetzel@gmx.de>

	fileparts.m: Overhaul BISTs.

	* scripts/miscellaneous/fileparts.m: Use multiple assert with simpler statements
	in tests. Add more tests for trivial input.

	Files: scripts/miscellaneous/fileparts.m

2023-07-29  Philip Nienhuis  <prnienhuis@users.sf.net>

	fileparts.m: Allow for relative path on different drive on Windows (bug #64462).

	* fileparts.m: Add stanza to check for relative path on a specific drive on
	Windows. Add BISTs.

	Files: scripts/miscellaneous/fileparts.m

2023-08-03  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (windows): Run check with "--no-gui-libs" flag.

	* .github/workflows/make.yaml (windows): Run the test suite without loading
	the GUI libraries. This works arounds a crash on the GitHub hosted Windows
	runner.

	Files: .github/workflows/make.yaml

2023-08-01  Arun Giridhar  <arungiridhar@gmail.com>

	lex.ll: Remove `$` as an identifier character

	lex.ll: Remove `$` from list of valid identifier characters
	to make it consistent with `isvarname` and the Octave manual.

	Discussion:
	https://octave.discourse.group/t/is-the-dollar-sign-a-valid-variable-name-or-not/4725

	Files: libinterp/parse-tree/lex.ll

2023-07-29  Markus Mützel  <markus.muetzel@gmx.de>

	subsasgn: Add function name to error message (bug #64213).

	* libinterp/octave-value/ov-struct.cc (octave_struct::subsasgn): Add function
	name to error message.

	Files: libinterp/octave-value/ov-struct.cc

2023-07-28  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.8.md: Update NEWS file with changes for Octave 8.3.0.

	* etc/NEWS.8.md: Update NEWS file with changes for Octave 8.3.0.

	Files: etc/NEWS.8.md

	subsasgn: Avoid panic on invalid field names (bug #64213).

	* libinterp/octave-value/ov-struct.cc (octave_struct::subsasgn,
	octave_scalar_struct::subsasgn): Throw an exception if field name is not a
	string instead of panicking. Add tests.

	Files: libinterp/octave-value/ov-struct.cc

2023-07-24  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	ellipsoid.m: Prevent geometry data return when not requested (bug #64468)

	* scripts/plot/draw/ellipsoid.m:  Change return variables from xx,yy,zz to
	x,y,z so that nothing is returned unless the nargout > 0 condition is met.
	Add BISTs to verify behavior and ensure ans is not overwritten when
	nargout=0.  Remove optional variable N from first deftypefn definition.
	* etc/NEWS.8.md:  Add bugfix note to 8.3.0 Improvements and fixes section.

	Files: etc/NEWS.8.md scripts/plot/draw/ellipsoid.m

2023-07-19  Sébastien Villemot  <sebastien@debian.org>

	Fix FTBFS against SuiteSparse 7.1.0 when SPQR is disabled (bug #64446).

	* liboctave/numeric/sparse-qr.cc sparse_qr_rep::Q): In SuiteSparse 7.1.0,
	"cs_complex_t" is "double _Complex". (It was previously "std::complex<double>".)
	This patches fixes the initialization syntax accordingly. Fixes code paths
	missed in 134152cf1a3f.

	Files: liboctave/numeric/sparse-qr.cc

2023-07-18  Rik  <rik@octave.org>

	Avoid false detection of "non-real pivot" in ichol() (bug #63785)

	* __ichol__.cc (ichol_checkpivot_complex): Use comparison with a tolerance to
	avoid issuing an error when small round-off errors are present.

	Files: libinterp/corefcn/__ichol__.cc

	pcg.m: Use eps tolerance in BIST test for ishermitian (Bug #63787)

	* pcg.m: Use "ishermitian (x, eps)" to test for Hermitian property in BIST
	tests.

	Files: scripts/sparse/pcg.m

2023-07-12  Rik  <rik@octave.org>

	Remove obsolete callback constructor code for @audioplayer, @audiorecorder (bug #64379)

	Remove ancient code for a calling form of @audioplayer, @audiorecorder
	constructor that is not supported by Matlab and has been commented out
	and unavailable in Octave for years.

	* audiodevinfo.cc (init_fn): Delete function.
	* audiodevinfo.cc (__recorder_audiorecorder__): Remove calling form with first
	argument a function from Texinfo focumentation.  Remove input validation to
	check for function as first argument.  Remove potential call to init_fn().

	* audioplayer.m: Remove commented-out documentation for calling form with
	callback function.  Remove input validation checking for function as first
	argument.  Add FIXME note about incomplete input validation for this function.
	Remove commented-out BIST tests for this functionality.  Add BIST test for
	existing input validation.

	* audiorecorder.m: Remove commented-out documentation for calling form with
	callback function.  Remove input validation checking for function as first
	argument.  Add FIXME note about lack of input validation for this function.
	Remove commented-out BIST tests for this functionality.  Add BIST tests
	for existing input validation.

	Files: libinterp/dldfcn/audiodevinfo.cc
	scripts/audio/@audioplayer/audioplayer.m
	scripts/audio/@audiorecorder/audiorecorder.m

2023-07-08  Rik  <rik@octave.org>

	audioplayer.m: Emit error if input data Y is empty (bug #64379).

	* audioplayer.m: Emit error if input data Y is empty.

	Files: scripts/audio/@audioplayer/audioplayer.m

2023-07-03  Markus Mützel  <markus.muetzel@gmx.de>

	sparse-qr.cc: Fix compatibility with SuiteSparse 7.1.0 / CXSparse 4.0.4.

	* liboctave/numeric/sparse-qr.cc (sparse_qr_rep::Q): "I" is a preprocessor
	macro when <complex.h> is included. Rename variable to "I_mat".
	(sparse_qr_rep::tall_solve, sparse_qr_rep::wide_solve): "cs_complex_t" is
	"double _Complex" in SuiteSparse 7.1.0 / CXSparse 4.0.4 or newer.  So, it is
	not possible to use it as a constructor with two arguments.  It was
	"std::complex<double>" in previous versions.  Use the default one-argument
	constructor that works with both instead.

	Files: liboctave/numeric/sparse-qr.cc

	fullfile.m: Return empty cell for input with empty cell (bug #64377).

	* scripts/miscellaneous/fullfile.m: Don't remove empty cells from input.
	Add test. Fix comment (filesep character on *nix is slash, not backslash).

	Files: scripts/miscellaneous/fullfile.m

2023-06-23  Markus Mützel  <markus.muetzel@gmx.de>

	native2unicode, unicode2native: Support empty second argument (bug #64331).

	* scripts/strings/native2unicode.m, scripts/strings/unicode2native.m: Restore
	support for empty second argument. Add BIST.

	Files: scripts/strings/native2unicode.m scripts/strings/unicode2native.m

	unicode2native.m: Restore support for one input parameter (bug #64331).

	* scripts/string/unicode2native.m: Restore support for calling form with one
	input parameter. Add BIST.

	Files: scripts/strings/unicode2native.m

2023-06-21  Arun Giridhar  <arungiridhar@gmail.com>

	doc: Add note to isprime.m on inputs over 2^64.

	* isprime.m: Add note pointing the user to the Symbolic package for
	inputs over 2^64, similar to the help for factor.m.

	Files: scripts/specfun/isprime.m

2023-06-11  Rik  <rik@octave.org>

	Reset all axes properties except Units, Position with "cla ('reset')"

	* graphics.cc (axes::properties::set_defaults): Add code to reset
	"alphamap", "alphascale", "colormap", "colorscale", "fontsizemode",
	"xlimitmethod", "ylimitmethod", "zlimitmethod".

	* axis.m: Update BIST test to pass given correct behavior of cla().

	Files: libinterp/corefcn/graphics.cc scripts/plot/appearance/axis.m

	colorbar.m: Tag BIST test with bug number (bug #64287)

	* colorbar.m: Tag BIST test in cset 13a2062926b6 with bug #64287.

	Files: scripts/plot/draw/colorbar.m

2023-06-11  Arun Giridhar  <arungiridhar@gmail.com>

	colorbar.m: Add BIST (bug #64287)

	Files: scripts/plot/draw/colorbar.m

2023-06-08  Arun Giridhar  <arungiridhar@gmail.com>

	colorbar.m: Fix undefined variable `d` (Bug #64287)

	Files: scripts/plot/draw/colorbar.m

2023-06-03  Rik  <rik@octave.org>

	Fix restoring breakpoints from dbstatus breakpoint structure (bug #64271)

	* debug.cc (Fdbstop): Clear "lines" variable each time through loop to add
	breakpoints so that line numbers don't simply accumulate and aren't applied to
	the wrong file.

	Files: libinterp/corefcn/debug.cc

2023-05-22  Rik  <rik@octave.org>

	Fix segfault when saveobj() used with old-style class files (bug #64220)

	* ov-class.cc (save_ascii, save_binary, save_hdf5): Replace accidental typo
	"m_map" (class member variable) with "m" local variable of type octave_map
	introduced in cset 7c8a70e4daad.

	Files: libinterp/octave-value/ov-class.cc

2023-05-13  Markus Mützel  <markus.muetzel@gmx.de>

	lo-regexp.cc: Only include PCRE2/PCRE headers if feature test succeeded (bug #64172).

	* liboctave/util/lo-regexp.cc: Condition inclusion of PCRE2/PCRE headers on
	whether the configure test for the respective libraries succeeded.

	Files: liboctave/util/lo-regexp.cc

2023-05-12  Markus Mützel  <markus.muetzel@gmx.de>

	uniconv-wrappers: Avoid freeing uninitialized pointer (bug #64182).

	* liboctave/wrappers/uniconv-wrappers.c (octave_u8_conv_to_encoding_intern):
	Initialize pointer with NULL that might be freed without assignment otherwise.

	Files: liboctave/wrappers/uniconv-wrappers.c

2023-05-07  Markus Mützel  <markus.muetzel@gmx.de>

	memory: Fix execution on Cygwin.

	* scripts/miscellaneous/memory.m: Check if field "Cached" exists before using
	it.

	Files: scripts/miscellaneous/memory.m

2023-05-03  Markus Mützel  <markus.muetzel@gmx.de>

	unicode2native: Fix conversion to UTF-16 (bug #64139).

	* liboctave/wrappers/uniconv-wrappers.c (octave_u8_conv_to_encoding_intern):
	Avoid appending a zero-byte when converting to UTF-* to avoid having to strip
	a varying number of bytes after the conversion.

	* scripts/strings/unicode2native.m: Add test for conversion to UTF-16.

	Files: liboctave/wrappers/uniconv-wrappers.c
	scripts/strings/unicode2native.m

2023-05-02  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (macos): Fail job if test suite doesn't pass.

	* .github/workflow/make.yaml (macos): Fail job for any failure or regression in
	the test suite (instead of just emitting a warning).

	Files: .github/workflows/make.yaml

	betaincinv.m: Slightly increase test tolerance (for macOS 13).

	* scripts/specfun/betaincinv.m: Slightly increase test tolerance to pass on
	macOS 13.

	Files: scripts/specfun/betaincinv.m

2023-04-30  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (macos): Drop macos-11 runner and add macos-13 runner.

	* .github/workflows/make.yaml (macos): Use shorter name for job. Remove macos-11
	runner. Add macos-13 runner.

	Files: .github/workflows/make.yaml

2023-04-25  Rik  <rik@octave.org>

	Return documentation for "help properties" (bug #64067)

	* op-kw-docs: Remove delimiter character \x1d from @c comment lines
	because it interferes with downstream processing.

	Files: libinterp/op-kw-docs

2023-04-20  Rik  <rik@octave.org>

	Fix floating point exception when Sparse array reshaped to 0x0 (bug #64080)

	* Sparse.cc (reshape): Test for empty matrix (number of rows or columns equal
	to 0) and immediately return constructed, but unfilled, empty sparse matrix.

	* data.cc (Freshape): Add BIST test for bug #64080.

	Files: libinterp/corefcn/data.cc liboctave/array/Sparse.cc

2023-04-18  Rik  <rik@octave.org>

	Stop excessive memory usage for minor grid ticks (bug #64017).

	* graphics.cc (calc_ticks_and_lims): Cap the number of minor ticks above or
	below the current tick range at 1000 (configurable constant).

	Files: libinterp/corefcn/graphics.cc

2023-04-18  Markus Mützel  <markus.muetzel@gmx.de>

	Include needed headers in installed .cc files (bug #63922).

	* liboctave/array/Array-oct.cc, libinterp/template-inst/Array.cc: Explicitly
	include all headers (forward) declaring the types that are used to instantiate
	the Array template in these files.

	Files: libinterp/template-inst/Array.cc liboctave/array/Array-oct.cc

2023-04-16  Rik  <rik@octave.org>

	undo_string_escapes: Return '\0' for NUL byte input (bug #64051)

	* utils.cc (undo_string_escape): Delete test of input character
	'c' which short-circuited function and returned immediately for
	"c == 0".
	* utils.cc (Fundo_string_escapes): Add BIST tests for NUL byte.
	Add expected pattern for %!error input validation tests.

	Files: libinterp/corefcn/utils.cc

2023-04-16  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (mingw): Add missing output for build artifact name.

	* .github/workflows/make.yaml (mingw): Add output "timestamp" to
	"prepare ccache" step that is used in "upload build artifact" step.

	Files: .github/workflows/make.yaml

2023-04-13  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release

	* configure.ac (AC_INIT): Set version to 8.2.1.
	(OCTAVE_PATCH_VERSION): Now 1.
	* NEWS.8.md: Create section for a future 8.3 release.

	Files: configure.ac etc/NEWS.8.md

	Added tag release-8-2-0 for changeset fdadf31961bb

	Files: .hgtags

	Version 8.2.0 released.

	* configure.ac (AC_INIT): Set version to 8.2.0.
	(OCTAVE_MINOR_VERSION): Now 2.
	(OCTAVE_PATCH_VERSION): Now 0.
	(OCTAVE_RELEASE_DATE): Set to "2023-04-13".
	* org.octave.Octave.appdata.xml: Add release info for version 8.2.0.
	* CITATION: Update for 8.2.0.
	* NEWS.8.md: Update release date.

	Files: CITATION configure.ac etc/NEWS.8.md
	etc/icons/org.octave.Octave.appdata.xml

2023-04-08  Markus Mützel  <markus.muetzel@gmx.de>

	logm.m: Use larger tolerance in test with libc++.

	* scripts/linear-algebra/logm.m: Add change missing from last commit.

	Files: scripts/linear-algebra/logm.m

	Make tests that fail with libc++ dependent on whether Octave uses it.

	* libinterp/corefcn/dlmread.cc, libinterp/corefcn/strfcns.cc,
	libinterp/corefcn/mappers.cc, scripts/general/logspace.m,
	scripts/io/importdata.m, test/io.tst: Currently, some tests are guarded on
	whether they execute on MacOS or not. But the test result in fact depends on
	known differences between libstdc++ and libc++. Use HAVE_LLVM_LIBCXX as the
	condition for these tests instead.

	Files: libinterp/corefcn/dlmread.cc libinterp/corefcn/mappers.cc
	libinterp/corefcn/strfns.cc scripts/general/logspace.m
	scripts/io/importdata.m test/io.tst

	NEWS.8.md: Update NEWS file with recent changes for Octave 8.2.0.

	* etc/NEWS.8.md: Update NEWS file with recent changes for Octave 8.2.0.

	Files: etc/NEWS.8.md

	GitHub-CI: Switch clang runners on Ubuntu to use libc++ as the STL.

	* .github/workflows/make.yaml (ubuntu): Shorten job names. Use libc++ as the
	STL. Build without SPQR and GraphickMagick++ to avoid build issues caused by
	mixing GNU libstdc++ and LLVM libc++.

	Files: .github/workflows/make.yaml

2023-04-07  Markus Mützel  <markus.muetzel@gmx.de>

	fopen: Do not convert encoding for file streams with libc++ (bug #63930).

	* oct-conf-post-private.in.h: Define OCTAVE_HAVE_STRICT_ENCODING_FACET if
	Octave was linked against STL from LLVM or Apple.
	* libinterp/corefcn/file-io.cc (Ffopen): Do not convert encoding if
	OCTAVE_HAVE_STRICT_ENCODING_FACET is defined.
	* test/io.tst: Skip test for encoding conversion if Octave was linked against
	STL from LLVM or Apple.

	Files: libinterp/corefcn/file-io.cc oct-conf-post-private.in.h test/io.tst

2023-04-06  Markus Mützel  <markus.muetzel@gmx.de>

	build: Check whether using STL from LLVM or Apple (bug #63930).

	* m4/acinclude.m4 (OCTAVE_LLVM_LIBCXX): Some Octave features that rely on the
	STL don't work correctly with libc++ from LLVM or Apple. Add a check that
	allows referring to the used STL on build and run time.

	* configure.ac: Run new DEFUN.

	Files: configure.ac m4/acinclude.m4

2023-04-07  Rik  <rik@octave.org>

	Fix display of scalar complex variables with mixed Inf/NaN and floating point values (bug #63961)

	* pr-output.cc (make_complex_scalar_format): Skip using isfinite() to influence
	field with variables r_x and i_x.
	* pr-output.cc (make_complex_format): Restrict code path for integers to only
	take place when "int_only" is true (don't take this path when "inf_or_nan" is
	true).  For case of real values, guarantee a minimum fieldwidth of 3 if
	"inf_or_nan" is true.

	Files: libinterp/corefcn/pr-output.cc

2023-04-06  Rik  <rik@octave.org>

	doc: Correct and improve documentation for sparse() function.

	* sparse.cc (Fsparse): Correct documentation which said final NZMAX input was
	ignored (it is implemented).  Reword portions of documentation for clarity.
	Add example code for converting a full matrix to a sparse matrix.

	Files: libinterp/corefcn/sparse.cc

2023-04-05  Markus Mützel  <markus.muetzel@gmx.de>

	codecvt_u8: Avoid random segmentation faults with libc++ (bug #63930).

	* liboctave/util/oct-string.cc (octave::string::codecvt_u8::do_out): Set valid
	values for pointers that are passed by reference before returning early.

	Files: liboctave/util/oct-string.cc

2023-04-03  Markus Mützel  <markus.muetzel@gmx.de>

	Try to gather complete UTF-8 surrogates when converting encoding (bug #63930).

	* liboctave/util/oct-string.cc (octave::string::codecvt_u8::do_out): Check if
	end of buffer is a complete UTF-8 surrogate.

	* test/io.tst: Add test case for transcoding with the buffer being aligned and
	misaligned with the UTF-8 surrogate borders.

	Files: liboctave/util/oct-string.cc test/io.tst

	Fix converting short char arrays with invalid UTF-8 (bug #63930).

	It looks like u8_conv_to_encoding checks the first input byte whether it looks
	like an initial byte of a UTF-8 multi-byte surrogate. It returns an empty
	string if the input buffer is too short to hold a surrogate of the expected
	length. Additionally, it looks like it drops the trailing byte if it looks like
	an initial byte of a multi-byte surrogate.
	But we need it to "convert" the invalid byte sequences, e.g., to the
	replacement character of the respective output encoding.

	* liboctave/wrappers/uniconv-wrappers.c (octave_u8_conv_to_encoding_intern):
	Add a new function that pads the input with zeros and zero terminates the
	input string.
	(octave_u8_conv_to_encoding, octave_u8_conv_to_encoding_strict,
	octave_u8_conv_to_encoding_offsets): Use new function.

	* scripts/strings/unicode2native.m: Add tests.

	Files: liboctave/wrappers/uniconv-wrappers.c
	scripts/strings/unicode2native.m

2023-04-02  Rik  <rik@octave.org>

	NEWS.8.md: Reword comment on second integral output for clarity (bug #63991).

	* NEWS.8.md: Refer to "error estimate" rather than "error measurement" as
	the integral() function does not actually measure a quantity in an empirical
	sense.

	Files: etc/NEWS.8.md

2023-04-02  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.8.md: Add entry about recent change (bug #63931).

	* etc/NEWS.8.md: Add entry about fixed issue when writing bytes to output
	stream with encoding facet.

	Files: etc/NEWS.8.md

2023-04-01  Markus Mützel  <markus.muetzel@gmx.de>

	Don't use encoding facet when writing bytes to stream (bug #63931).

	* libinterp/corefcn/oct-stream.h (octave::stream::output_stream): Do not return
	output stream with encoding facet.
	(octave::stream::preferred_output_stream): Add new function that returns output
	stream with encoding facet if applicable.
	* libinterp/corefcn/pr-output.cc (Ffdisp): Use new function
	`preferred_output_stream` instead of `output_stream`.

	Files: libinterp/corefcn/oct-stream.h libinterp/corefcn/pr-output.cc

2023-04-01  Arun Giridhar  <arungiridhar@gmail.com>

	NEWS.8.md: Merge two entries for the same bug.

	Two entries both referred to bug #63940, one fix for floating point
	and once more for integer. This edit combines them.

	Files: etc/NEWS.8.md

2023-04-01  Markus Mützel  <markus.muetzel@gmx.de>

	NEWS.8.md: Update NEWS file with recent changes for Octave 8.2.0.

	* etc/NEWS.8.md: Update NEWS file with recent changes for Octave 8.2.0. Remove
	duplicate section further down in the file.

	Files: etc/NEWS.8.md

	build: Disable visibility flags by default (bug #61855, bug #63916).

	* configure.ac (ENABLE_LIB_VISIBILITY_FLAGS): Change default to not using
	visibility flags (on stable branch only).  Some symbols from using-declarations
	don't seem to be usable on Linux if symbol visibility is limited.

	Files: configure.ac

	Backed out changeset fcd97a68e5f7

	Files: libinterp/corefcn/oct-stream.h

2023-03-31  Markus Mützel  <markus.muetzel@gmx.de>

	fopen: Avoid unused variable warning.

	* file-io.cc (Ffopen): Remove variable that is no longer used.

	Files: libinterp/corefcn/file-io.cc

	fopen: Use "UTF-8" as default encoding for fopen (bug #63930).

	* file-io.cc (Ffopen): Default to no conversion between Octave's internal
	representation of char arrays and the output stream (i.e., UTF-8).  That is
	compatible to latest versions of Matlab.  And it will help to mitigate issues
	when transcoding non-ASCII characters in streams when they are opened without
	specifying an encoding.

	Files: libinterp/corefcn/file-io.cc

	lu: Add self-test with complex valued input.

	* libinterp/corefcn/lu.cc: Add a self-test with complex valued input.
	Thanks to Dmitri A. Sergatskov for providing that test case.
	See also: https://octave.discourse.group/t/4289/13

	Files: libinterp/corefcn/lu.cc

2023-03-24  John Donoghue  <john.donoghue@ieee.org>

	Remove trailing \r from curl dir list (bug #63851).

	* liboctave/util/url-transfer.cc (curl_transfer::list): Remove potential
	trailing '\r' from filenames.

	Files: liboctave/util/url-transfer.cc

2023-03-27  Arun Giridhar  <arungiridhar@gmail.com>

	perms.m: Change "unique" output order to reverse lexicographic to match non-unique order (bug #63962)

	* perms.m: The documentation says "reverse lexicographic order" for the output
	but that was being met only for the inputs without "unique" specified.  This edit
	makes them both comply with the documentation.

	Files: scripts/specfun/perms.m

2023-03-25  Rik  <rik@octave.org>

	acinclude.m4: Correct typo in #define PCRE2_CODE_UNIT_WIDTH.

	* acinclude.m4 (OCTAVE_CHECK_LIB_PCRE2_OK)): Correct obvious typo
	"PCRE2_CODE-uNIT_WIDTH" with "PCRE2_CODE_UNIT_WIDTH".

	Files: m4/acinclude.m4

	maint: replace double semicolon ';;' line ending with just ';'.

	* qfiledialog.cpp, qpagesetupdialog_win.cpp, Filter.cpp,
	QWinTerminalImpl.cpp, gl-render.cc, ls-hdf5.cc, ls-mat4.cc, oct-map.cc,
	regexp.cc, stack-frame.h, __init_fltk__.cc, octave.cc, lo-specfun.cc,
	oct-rand.cc, installed_packages.m, pbaspect.m, index.tst, parser.tst:
	Replace double semicolon ';;' line ending with just ';'.

	Files: libgui/languages/build_ts/octave-qt/qfiledialog.cpp
	libgui/languages/build_ts/octave-qt/qpagesetupdialog_win.cpp
	libgui/qterminal/libqterminal/unix/Filter.cpp
	libgui/qterminal/libqterminal/win32/QWinTerminalImpl.cpp
	libinterp/corefcn/gl-render.cc libinterp/corefcn/ls-hdf5.cc
	libinterp/corefcn/ls-mat4.cc libinterp/corefcn/oct-map.cc
	libinterp/corefcn/regexp.cc libinterp/corefcn/stack-frame.h
	libinterp/dldfcn/__init_fltk__.cc libinterp/octave.cc
	liboctave/numeric/lo-specfun.cc liboctave/numeric/oct-rand.cc
	scripts/pkg/private/installed_packages.m
	scripts/plot/appearance/pbaspect.m test/index.tst test/parser.tst

2023-03-24  Arun Giridhar  <arungiridhar@gmail.com>

	file-io.cc: Fix failing BIST (bug #63930)

	file-io.cc: A BIST to check text file encoding was using the binary file
	open mode "w+" with an explicit text encoding, causing a BIST failure
	after changeset fcd97a68e5f7. This edit changes the file mode to "wt+",
	where text encodings make more sense.

	Files: libinterp/corefcn/file-io.cc

	oct-stream.h: Do not convert text encoding for binary streams (bugs 63415 and 63931)

	* oct-stream.h (preferred_output_stream):  Previously, text encoding
	conversions were skipped if the stream was in UTF-8.  This change also includes
	binary streams as streams to skip encoding conversion for.

	Files: libinterp/corefcn/oct-stream.h

2023-03-24  Rik  <rik@octave.org>

	doc: Improve documentation for linspace and logspace functions.

	* data.cc (Flinspace), logspace.m: Improve wording and add Programming Notes
	section detailing behavior for certain corner cases.

	Files: libinterp/corefcn/data.cc scripts/general/logspace.m

2023-03-23  Arun Giridhar  <arungiridhar@gmail.com>

	NEWS.8.md: add bugfixes that will show in 8.2.0

	NEWS.8.md: Add bugfixes on the stable branch made after 8.1.0 was released.

	Files: etc/NEWS.8.md

	pr-output.cc: Fix integer output for `format native-bit` (bug #63940)

	pr-output.cc: Changeset d4d3098a15dc fixed the output of `format native-bit`
	for floating point numbers to make it consistent with `format native-hex`.
	This changeset does the same thing for integer types.

	Files: libinterp/corefcn/pr-output.cc

2023-03-21  Rik  <rik@octave.org>

	mpoles.m: Overhaul function and use absolute tolerance for zero poles (bug #63937)

	* mpoles.m: Re-write documentation to explain relative tolerance used for regular
	poles and absolute tolerance used for zero poles.  Rename second output variable
	to "idxp" so that it matches documentation.  Add input validation for all three
	inputs.  Create outputs based on class of input P.  Rename internal variable
	"ordr" to "order" for clarity.  Create new vector of tolerances which has
	relative tolerances for ordinary poles and the value of TOL for zero poles.
	Add BIST tests for class single inputs, for relative tolerances, for absolute
	tolerances, and for input validation.

	Files: scripts/polynomial/mpoles.m

2023-03-20  John W. Eaton  <jwe@octave.org>

	avoid clang warning about possible* buffer overflow

	(*) Actual overflow could have only occurred for extremely large
	screen sizes, but we might as well avoid the warning.

	* Vt102Emulation.cpp (Vt102Emulation::reportCursorPosition):
	Increase buffer from 20 to 32 bytes.

	Files: libgui/qterminal/libqterminal/unix/Vt102Emulation.cpp

2023-03-20  A.R. Burgers  <arburgers@gmail.com>

	* if.tst: New test for bug #63935.

	Files: test/if.tst

2023-03-20  John W. Eaton  <jwe@octave.org>

	fix evaluation of & and | expressions in conditional contexts (bug #63935)

	* pt-binop.cc (tree_braindead_shortcircuit_binary_expression::evaluate):
	Call parent class evaluate method if expression doesn't match
	requirements for shortcut evaluation.  This step was accidentally and
	incorrectly omitted in changeset 7781b1e77406.

	Files: libinterp/parse-tree/pt-binop.cc

2023-03-18  Arun Giridhar  <arungiridhar@gmail.com>

	pr-output.cc: Fix output for `format native-bit` (bug #63940)

	pr-output.cc: The output of `format native-bit` was reversing the order
	of bits inside a byte as well as the order of bytes in a word. That behavior
	was inconsistent with `format native-hex`. This changeset fixes that bug and
	expands the documentation for `format`.

	Files: libinterp/corefcn/pr-output.cc

2023-03-13  A.R. Burgers  <arburgers@gmail.com>

	NEWS.8.md: Fix typo in mean change summary (bug #63887)

	Files: etc/NEWS.8.md

2023-03-10  Torsten Lilge  <ttl-octave@mailbox.org>

	speedup loading and saving preferences dialog (bug #63909)

	* settings-dialog.cc (get_lexer_settings): set appropriate size adjust
	  policy for the font combo boxes

	Files: libgui/src/settings-dialog.cc

2023-03-07  John W. Eaton  <jwe@octave.org>

	maint: Merge away extra head on stable

	Files: 

2023-03-06  Arun Giridhar  <arungiridhar@gmail.com>

	maint: Update comment to fix broken citation for inpolygon

	inpolygon.m: A comment cited the source of the original algorithm
	but the URL was defunct. I contacted the author through a web search
	and I've updated the citation with the data they provided.

	Files: scripts/geometry/inpolygon.m

2023-03-03  Arun Giridhar  <arungiridhar@gmail.com>

	inpolygon.m: Fix demo code (bug #63865)

	Demo code for inpolygon.m was using "@" as a plot marker which is
	no longer recognized.  This edit fixes that, and also uses different
	markers for inside / on / outside the polygon, which helps with CVD
	accessibility.

	Files: scripts/geometry/inpolygon.m

2023-03-07  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release

	* configure.ac (AC_INIT): Set version to 8.1.1.
	(OCTAVE_PATCH_VERSION): Now 1.
	* NEWS.8.md: Create section for a future 8.2 release.

	Files: configure.ac etc/NEWS.8.md

	Added tag release-8-1-0 for changeset 75b1efe727d4

	Files: .hgtags

	Version 8.1.0 released

	* configure.ac (AC_INIT): Update version info for release.
	(OCTAVE_MINOR_VERSION): Set to 1.
	(OCTAVE_PATCH_VERSION): Set to 0.
	(OCTAVE_RELEASE_DATE): Set to 2023-03-07.
	(OCTAVE_API_VERSION): Set to api-v58.

	* org.octave.Octave.appdata.xml: Update release date for 8.1.0.

	* etc/NEWS.7.md: Update release date.

	Files: configure.ac etc/NEWS.8.md etc/icons/org.octave.Octave.appdata.xml

2023-03-02  Markus Mützel  <markus.muetzel@gmx.de>

	bicg: Allow variable number of input arguments in functions (bug #63860).

	* scripts/sparse/private/__alltohandles__.m: Allow variable number of arguments
	in function handles created for bicg.

	* scripts/sparse/bicg.m: Add BIST with additional input argument.

	Files: scripts/sparse/bicg.m scripts/sparse/private/__alltohandles__.m

2023-03-02  Nicholas R. Jankowski  <jankowski.nicholas@gmail.com>

	mean: Process single as double to avoid precision limits on stable (bug #63848).

	* mean.m: Change all sum calls to process as "double" to avoid single
	precision limits from producing erroneous output.  Update output
	conversion block to preserve single output for 'default' after forcing
	double processing and replace expensive call to cast with feval in
	'native'. Add BISTs to test calls to sum that could lose precision. Add
	xfail BIST showing the same problem with large doubles.
	* NEWS.8.md: Update description of changes to mean.m.

	Files: etc/NEWS.8.md scripts/statistics/mean.m

2023-02-26  Rik  <rik@octave.org>

	movfun.m: Return correct class of output (bug #63802).

	* movfun.m: Check whether there are any elements to process based on requested
	dimension.  If there are none, short-circuit execution and return an empty
	matrix with the same size as the input.  Rename variable "tmp" to "fout" for
	clarity.  Declare new variable "yclass" which is the class ouf the output
	determined by executing "f(x)".  Initialize output "y" to be an array of
	zeros of class "yclass".  Add BIST tests for bug #63802.
	* movfun.m (movfun_oncol): Add new input parameter "yclass" to function.
	Initialize output "y" to be an array of zeros of class "yclass".

	Files: scripts/signal/movfun.m

2023-02-24  Arun Giridhar  <arungiridhar@gmail.com>

	doc: Expand vector indexing description (bug #63833)

	expr.txi: Describe the rules for the shape of A(P)
	when A and/or P are matrices, arrays, and/or vectors.

	Files: doc/interpreter/expr.txi

2023-02-18  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI: Don't use weak symbols on Windows.

	* .github/workflows/make.yaml (mingw): Manually set gl_cv_have_weak=no to work
	around bug in binutils on Windows.
	See: https://cygwin.com/pipermail/cygwin/2023-February/253067.html
	or: https://octave.discourse.group/t/octave-8-release-tasks/3602/131

	Files: .github/workflows/make.yaml

2023-02-16  Markus Mützel  <markus.muetzel@gmx.de>

	doc: Refer to OCTAVE_HOME in section about graphics renderer.

	* doc/interpreter/plot.txi (Hardware vs Software Rendering): Refer to output of
	OCTAVE_HOME to locate the opengl32.dll file.
	Thanks to N. Jankowski for noticing.

	Files: doc/interpreter/plot.txi

2023-02-15  Markus Mützel  <markus.muetzel@gmx.de>

	doc: Update section about hardware vs. software rendering on Windows.

	* doc/interpreter/plot.txi (Hardware vs Software Rendering): Refer to "OpenGL
	Switcher" application with Octave for Windows.

	Files: doc/interpreter/plot.txi

2023-02-02  Rik  <rik@octave.org>

	NEWS.6.md: Use explicit HTML <br> code for line break for clarity.

	* NEWS.6.md: Use explicit HTML <br> code for line break rather than two spaces
	at end-of-line convention of Markdown language.

	Files: etc/NEWS.6.md

2023-02-01  Markus Mützel  <markus.muetzel@gmx.de>

	Back out changeset 3678187f4355.

	It is no longer needed now that bug #63646 has a fix.

	Files: doc/interpreter/sparseimages.m

2023-01-31  Markus Mützel  <markus.muetzel@gmx.de>

	print: Add option to merge only subsequent triangles with SVG toolchain (bug #63646).

	Trying to merge all triangles that are sharing an edge might take a long time.
	But that might be necessary to avoid hairlines in figures containing patch or
	surface graphics objects. Allow selecting if no, all, or only subsequent
	triangles sharing an edge should be merged into a polygon.

	* src/octave-svgconvert.cc (main): Distinguish between merging no (0), only
	consecutive (1), or all (2) triangles into polygons.
	(octave_polygon::reconstruct): Skip numerically expensive part of trying to
	merge all polygons that are sharing an edge unless it was selected.

	* scripts/plot/util/print.m: Document new options "-polymerge", "-nopolymerge",
	and "-polymerge-all" for polygon merging with the SVG toolchain.
	(svgconvert): Call "octave-svgconvert" with the selected polygon merge mode.

	* scripts/plot/private/__print_parge_opts__.m: Select default value and parse
	input for new options.

	Files: scripts/plot/util/print.m
	scripts/plot/util/private/__print_parse_opts__.m src/octave-
	svgconvert.cc

2023-01-30  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI: Update list of installed packages.

	* .github/workflows/make.yaml (ubuntu): Install PCRE2 packages.
	* .github/workflows/codeql-analysis.yaml (ubuntu): Install PCRE2 packages.
	(windows): Update with packages installed by make.yaml rules.

	Files: .github/workflows/codeql-analysis.yaml .github/workflows/make.yaml

	isosurface: Avoid integer saturation with many vertices (bug #63704).

	* scripts/plot/draw/private/__marching_cube__.m (init_mc): Cast edge_table from
	uint16 to double precision floating point numbers to avoid integer saturation
	with many vertices.

	Files: scripts/plot/draw/private/__marching_cube__.m

2022-12-08  John W. Eaton  <jwe@octave.org>

	attempt to avoid race condition when initializing list of async signals

	* cxx-signal-helpers.cc: New file.  Move
	(async_signals): New file-scope static const variable.
	(octave_block_async_signals, octave_unblock_async_signals,
	signal_watcher, octave_create_interrupt_watcher_thread):
	Move functions here from signal-wrappers.c.  Use file-scope
	async_signals variable instead of calling octave_async_signals to get
	list of asynchronous signals.
	(init_async_signals): Rename from octave_async_signals and move here
	from signal-wrappers.cc.  Return sigset_t object instead of pointer to
	static storage that is local to the function.

	* module.mk: Update.

	Files: liboctave/wrappers/cxx-signal-helpers.cc
	liboctave/wrappers/module.mk liboctave/wrappers/signal-wrappers.c
	liboctave/wrappers/signal-wrappers.h

2023-01-29  John W. Eaton  <jwe@octave.org>

	avoid calls to warning from GUI thread (bug #63714)

	* Table.cc (qStringValueFor, Table::sendCellEditCallback):
	Don't call warning.

	Files: libgui/graphics/Table.cc

2023-01-27  Rik  <rik@octave.org>

	doc: Use hyphen in "comma-separated list".

	* container.txi, octave.texi, graphics.cc, deal.m, importdata.m,
	test.m: Use hyphen in "comma-separated list".

	Files: doc/interpreter/container.txi doc/interpreter/octave.texi
	libinterp/corefcn/graphics.cc scripts/general/deal.m
	scripts/io/importdata.m scripts/testfun/test.m

	doc: Add examples for first 3 calling forms of set()

	* graphics.cc: Add examples for first 3 calling forms of set().

	Files: libinterp/corefcn/graphics.cc

	doc: Use '{' and '}' around cell array inputs in set documentation for clarity.

	* graphics.cc (Fset): Use '{' and '}' around cell array inputs in documentation
	for clarity.

	Files: libinterp/corefcn/graphics.cc

2023-01-26  Rik  <rik@octave.org>

	doc: Fix example URLs in urlread, urlwrite to work.

	* urlwrite.cc (Furlread, Furlwrite): Replace URL references to
	"ftp://ftp.octave.org" to "http://ftp.octave.org" because server no longer
	accepts ftp protocol.  Re-write awkward sentence construction that required
	capitalizing "Curl" when referring to "curl" library.

	Files: libinterp/corefcn/urlwrite.cc

2023-01-25  John W. Eaton  <jwe@octave.org>

	capture modified operands when rewriting binary expressions in parse tree

	* pt-binop.h (tree_binary_expression::lhs,
	tree_binary_expression::rhs): New functions.
	* oct-parse.yy (base_parser::maybe_convert_to_braindead_shortcircuit):
	Reset binary expression object operands after recursive call.

	Files: libinterp/parse-tree/oct-parse.yy libinterp/parse-tree/pt-binop.h

2023-01-25  Markus Mützel  <markus.muetzel@gmx.de>

	build: Bump library versions for Octave 8.

	* libgui/module.mk, libinterp/module.mk, liboctave/module.mk: Bump library
	versions.

	Files: libgui/module.mk libinterp/module.mk liboctave/module.mk

2023-01-22  John W. Eaton  <jwe@octave.org>

	bump stable branch version after release candidate

	* configure.ac (AC_INIT): Set version to 8.0.91.
	(OCTAVE_PATCH_VERSION): Now 91.

	Files: configure.ac

	Added tag rc-8-0-90 for changeset 74aa32d5fd08

	Files: .hgtags

	bump version for first 8.1 release candidate

	* configure.ac (AC_INIT): Set version to 8.0.90.
	(OCTAVE_PATCH_VERSION): Now 90.
	(OCTAVE_RELEASE_DATE): Set to 2023-01-22.

	* CITATION: Update.
	* etc/NEWS.8.md: Update.
	* etc/icons/org.octave.Octave.appdata.xml: Update.

	Files: CITATION configure.ac etc/NEWS.8.md
	etc/icons/org.octave.Octave.appdata.xml

2023-01-21  Markus Mützel  <markus.muetzel@gmx.de>

	test: Add self test for auto xticks with tight axis limits (bug #63264).

	* libinterp/corefcn/graphics.cc (axes): Add BIST for auto xticks with tight
	axis limits.

	Files: libinterp/corefcn/graphics.cc

2023-01-20  Markus Mützel  <markus.muetzel@gmx.de>

	Adapt for API changes in SuiteSparse 7.0.0 or newer (bug #63684).

	* liboctave/util/oct-sparse.h (SUITESPARSE_ASSIGN_FPTR,
	SUITESPARSE_ASSIGN_FPTR2): Adapt macro for changes in API of SuiteSparse 7.0.0
	or newer.

	Files: liboctave/util/oct-sparse.h

2023-01-08  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fix regression with xitck not updating after axis tight (bug #63624)

	* graphics.cc (axes::properties::calc_ticks_and_lims): make sure min and max
	  ticks are within limits when xlimmode is auto as well.

	Files: libinterp/corefcn/graphics.cc

2023-01-18  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (cygwin): Revert to cache action version 3.2.2.

	* .github/workflows/make.yaml (cygwin): Recent changes to the cache action made
	it incompatible with Cygwin.
	See also: https://github.com/actions/cache/issues/1073
	Revert to a version of the action that was still working with Cygwin.

	Files: .github/workflows/make.yaml

2023-01-16  Markus Mützel  <markus.muetzel@gmx.de>

	GitHub-CI (macos): Enable C++14 with GNU extensions (bug #63633).

	* .github/workflows/make.yaml (macos): SUNDIALS >= 6.5.0 doesn't compile with
	the default flags ("-std=gnu++11") determined by the configure script for Apple
	Clang. Set CXX manually to include "-std=gnu++14" to enable building with it.

	Files: .github/workflows/make.yaml

2023-01-15  Markus Mützel  <markus.muetzel@gmx.de>

	build: Make sure SUNDIALS headers compile with C++ compiler (bug #63633).

	* configure.ac (sundials_nvecserial): Check for working SUNDIALS headers in C++
	mode.

	Files: configure.ac

2023-01-13  Rik  <rik@octave.org>

	sparseimages.m: Disable -svgconvert option to print for "spchol" image (bug #63646)

	* sparseimages.m: Disable -svgconvert option to print for "spchol" image.

	hanged doc/interpreter/sparseimages.m

	Files: doc/interpreter/sparseimages.m

2023-01-11  John W. Eaton  <jwe@octave.org>

	don't emit signals for invalid objects in interpreter callbacks (bug #62863)

	Some interpreter_event callbacks emit Qt signals.  The callback is
	queued by the Octave interpreter and may be executed at
	some arbitrary time.  It is possible that the object for which the
	signal is intended to be executed may be deleted before the callback
	executes.  If so, then the callback should not emit the signal.  In
	some cases, execution of the entire callback function may be skipped.
	In others, we still need to perform actions in the interpreter but
	must skip the signals for Qt objects that no longer exist.

	* command-widget.cc, file-editor-tab.cc, file-editor.cc,
	octave-qscintilla.cc, main-window.cc, set-path-model.cc,
	variable-editor-model.cc, variable-editor.cc: In all interpreter_event
	callback functions that emit Qt signals, use a QPointer object to
	protect the "this" pointer and check that it is still valid when the
	callback executes.

	Files: libgui/src/command-widget.cc libgui/src/m-editor/file-editor-tab.cc
	libgui/src/m-editor/file-editor.cc libgui/src/m-editor/octave-
	qscintilla.cc libgui/src/main-window.cc libgui/src/set-path-model.cc
	libgui/src/variable-editor-model.cc libgui/src/variable-editor.cc

2023-01-10  Rik  <rik@octave.org>

	Fix segfault when using jsonencode on empty struct arrays (bug #63622)

	* jsonencode.cc (encode_struct): Change is_array test to "numel != 1" so that
	empty array is included.

	* jsonencode_BIST.tst: Add BIST tests for bug #63622.

	Files: libinterp/corefcn/jsonencode.cc test/json/jsonencode_BIST.tst

2023-01-07  Rik  <rik@octave.org>

	NEWS.6.md: Reverse stripping of spaces at end of lines in cset bc24b226891a.

	* NEWS.6.md: Restore 2 spaces at end of line which create a newline in Markdown
	syntax.

	Files: etc/NEWS.6.md

2023-01-06  John W. Eaton  <jwe@octave.org>

	fix typo in previous change

	Files: configure.ac

	update configure message for missing fftw libraries (bug #63628)

	* configure.ac: Update warning message for missing fftw libraries.
	Octave no longer uses FFTPACK if FFTW is not available.

	Files: configure.ac

	strip trailing whitespace and extra blank lines

	modified files: HACKING.md, NEWS.6.md, NEWS.8.md, RELEASE_CHECKLIST.md

	Files: etc/HACKING.md etc/NEWS.6.md etc/NEWS.8.md etc/RELEASE_CHECKLIST.md

	update Octave Project Developers copyright for the new year

	Files: Makefile.am README bootstrap.conf build-aux/OctJavaQry.java build-
	aux/changelog.tmpl build-aux/check-subst-vars.in.sh build-aux/find-
	defun-files.sh build-aux/find-files-with-tests.sh build-aux/get-
	source-mtime.sh build-aux/mk-hg-id.sh build-aux/mk-octave-
	config-h.sh build-aux/mk-opts.pl build-aux/mk-pkg-add.sh build-
	aux/subst-config-vals.in.sh build-aux/subst-cross-config-vals.in.sh
	build-aux/subst-script-vals.in.sh build-aux/update-bug-status.sh
	configure.ac doc/doxyhtml/Doxyfile.in doc/interpreter/arith.txi
	doc/interpreter/audio.txi doc/interpreter/basics.txi
	doc/interpreter/bugs.txi doc/interpreter/config-images.sh
	doc/interpreter/container.txi doc/interpreter/cp-idx.txi
	doc/interpreter/data.txi doc/interpreter/debug.txi
	doc/interpreter/diagperm.txi doc/interpreter/diffeq.txi
	doc/interpreter/doccheck/add_to_aspell_dict
	doc/interpreter/doccheck/mk_undocumented_list
	doc/interpreter/doccheck/spellcheck doc/interpreter/errors.txi
	doc/interpreter/eval.txi doc/interpreter/expr.txi
	doc/interpreter/external.txi doc/interpreter/fn-idx.txi
	doc/interpreter/func.txi doc/interpreter/genpropdoc.m
	doc/interpreter/geometry.txi doc/interpreter/geometryimages.m
	doc/interpreter/grammar.txi doc/interpreter/gui.txi
	doc/interpreter/image.txi doc/interpreter/images.awk
	doc/interpreter/install.txi doc/interpreter/interp.txi
	doc/interpreter/interpimages.m doc/interpreter/intro.txi
	doc/interpreter/io.txi doc/interpreter/linalg.txi
	doc/interpreter/macros.texi doc/interpreter/matrix.txi
	doc/interpreter/mk-doc-cache.pl doc/interpreter/mkcontrib.awk
	doc/interpreter/mkoctfile.1 doc/interpreter/munge-texi.pl
	doc/interpreter/nonlin.txi doc/interpreter/numbers.txi
	doc/interpreter/obsolete.txi doc/interpreter/octave-cli.1
	doc/interpreter/octave-config.1 doc/interpreter/octave.1
	doc/interpreter/octave.css doc/interpreter/octave.texi
	doc/interpreter/oop.txi doc/interpreter/op-idx.txi
	doc/interpreter/optim.txi doc/interpreter/package.txi
	doc/interpreter/plot.txi doc/interpreter/plotimages.m
	doc/interpreter/poly.txi doc/interpreter/pr-idx.txi
	doc/interpreter/preface.txi doc/interpreter/quad.txi
	doc/interpreter/set.txi doc/interpreter/signal.txi
	doc/interpreter/sparse.txi doc/interpreter/sparseimages.m
	doc/interpreter/splineimages.m doc/interpreter/stats.txi
	doc/interpreter/stmt.txi doc/interpreter/strings.txi
	doc/interpreter/system.txi doc/interpreter/testfun.txi
	doc/interpreter/var.txi doc/interpreter/vectorize.txi
	doc/liboctave/array.texi doc/liboctave/bugs.texi doc/liboctave/cp-
	idx.texi doc/liboctave/dae.texi doc/liboctave/diffeq.texi
	doc/liboctave/error.texi doc/liboctave/factor.texi doc/liboctave/fn-
	idx.texi doc/liboctave/install.texi doc/liboctave/intro.texi
	doc/liboctave/liboctave.texi doc/liboctave/matvec.texi
	doc/liboctave/nleqn.texi doc/liboctave/nlfunc.texi
